<?php
/*
 * Plugin Name:	DesignThemes Blog Addon
 * URI: 		http://wedesignthemes.com/plugins/designthemes-blog-addon
 * Description: A simple wordpress plugin designed to implements <strong>blog features of DesignThemes</strong>
 * Version: 	1.4
 * Author: 		DesignThemes
 * Text Domain: designthemes-blog
 * Author URI:	http://themeforest.net/user/designthemes
 */
if (! class_exists ( 'DTBlogAddon' )) {

	class DTBlogAddon {

		function __construct() {

			add_action( 'plugins_loaded', array( $this, 'plugins_loaded' ) );

			add_action ( 'init', array($this, 'dtBlogAddonTextDomain') );

			register_activation_hook( __FILE__ , array( $this , 'dtBlogAddonActivate' ) );
			register_deactivation_hook( __FILE__ , array( $this , 'dtBlogAddonDeactivate' ) );

			// Register Shortcodes
			require_once plugin_dir_path ( __FILE__ ) . '/shortcodes/register-shortcodes.php';
			if(class_exists('DTBlogAddonShortcodes')){
				new DTBlogAddonShortcodes();
			}

			// Register Widgets
			require_once plugin_dir_path ( __FILE__ ) . '/widgets/register-widgets.php';
			if(class_exists('DTBlogAddonWidgets')){
				new DTBlogAddonWidgets();
			}

			// Register Templates
			require_once plugin_dir_path ( __FILE__ ) . '/templates/register-templates.php';
			if(class_exists('DTBlogAddonTemplates')){
				new DTBlogAddonTemplates();
			}

		}

		/**
		 * Load Text Domain
		 */
		function dtBlogAddonTextDomain() {
			load_plugin_textdomain ( 'designthemes-blog', false, dirname ( plugin_basename ( __FILE__ ) ) . '/languages/' );
		}
		
		function plugins_loaded() {

			if( !class_exists( 'Vc_Manager' ) ) {
				add_action ('admin_notices', array( $this, 'vc_plugin_notice' ) );
				return;
			} else {
				// Register Visual Composer Modules
				require_once plugin_dir_path ( __FILE__ ) . '/vc/register-vc.php';
				if (class_exists ( 'DTBlogAddonVcModules' )) {
					new DTBlogAddonVcModules ();
				}
			}			
		}

		function vc_plugin_notice() {

			$plugin  = get_plugin_data(__FILE__);

			echo '<div class="updated notice is-dismissible">';
			echo '<p>';
			echo '	<strong>'.$plugin['Name'].'</strong> ';
			echo __('requires','designthemes-blog');
			echo '	<strong><a href="https://codecanyon.net/item/visual-composer-page-builder-for-wordpress/242431" target="_blank"> '.__('Visual Composer','designthemes-blog').' </a></strong> ';
			echo __('plugin to be installed and activated on your site','designthemes-blog');
			echo '</p>';
			echo '<button type="button" class="notice-dismiss">';
			echo '	<span class="screen-reader-text">'.__('Dismiss this notice.','designthemes-blog').'</span>';
			echo '	</button>';
			echo '</div>';
		}

		/**
		 * Blog Addon Activate
		 */
		public static function dtBlogAddonActivate() {
		}

		/**
		 * Blog Addon Deactivate
		 */
		public static function dtBlogAddonDeactivate() {
		}

	}

	new DTBlogAddon();
}?>