jQuery.noConflict();
jQuery(document).ready(function($){

	"use strict";

	//Animate Post Images
    $(".blog-entry .entry-thumb img.animate").each(function(){
	  $(this).one('inview', function (event, visible) {
		  if(visible) {
			  $(this).addClass($(this).attr('data-animate'));
		  }
	  });
    });

	// Related article animation
	dt_blog_related_article();
    function dt_blog_related_article(){

        var $related = $(".related-article");
        var $relatedflag = $(".related-flag");
        var effect = 'auto';

        if($related.length) {
            $related.hover(function(){
                effect = 'normal';
                $related.addClass('open');
            }, function(){
                $related.removeClass('open');
            });

            $relatedflag.waypoint(function (direction) {
                if(effect == 'auto') {
                    if(direction == 'up'){
                        $related.removeClass('open');
                    } else {
                        $related.addClass('open');
                    }
                }

            }, {
                offset: '100%',
                context: window
            });
        }
    }

	// Window Load Start
	$(window).on("load",function(){

		//Blog Masonry Shortcode
		if( $('.blog-masonry').length ) {
			$('.blog-masonry').each(function(){
				$(this).css({overflow:'hidden'}).isotope({itemSelector : '.blog-entry',masonry: { gutter: 5 } });	
			});
		}//Blog Masonry Shortcode End

		//Breaking News Default
		$('.dt-sc-breaking-news').each(function(){
			var $this = $(this).find('.breaking');

			var $a = $(this).attr('data-auto');
			if( $a === 'yes'){ $a = true; } else { $a = false; }

			var $ac = $(this).attr('data-controls');
			if( $ac === 'yes'){ $ac = true; } else { $ac = false; }

			$this.bxSlider({
				auto: $a,
				autoControls: $ac,
				controls: $ac,
				speed: 1000,
				mode: 'fade',
				pager: false,
				autoControlsCombine: true
			});
		});//Breaking News Default End

		//Tabbed Widget Start
		var  $tab = $('.dt-sc-tabbed-post-widget');
		if($tab.length) {
			$tab.tabs({ show:500  });
		}//Tabbed Widget End

		//Masonry Block Shortcode
		if( $('.masonry-block').length ) {
			$('.masonry-block .post-block-modern').each(function(){
				var $space = ($(this).attr('data-gspace') !== null) ? $(this).attr('data-gspace') : 0;

				$(this).css({overflow:'hidden'}).isotope({itemSelector : '.blog-entry',masonry: { gutter: parseInt($space) } });
			});
		}//Masonry Block Shortcode End

		//Breaking News Type2
		if($(".dt-sc-breaking-news-type2").length) {
			$(".dt-sc-breaking-news-type2 .breaking_type2").each(function(){

			  var $min = parseInt($(this).attr('data-visible'));
			  var $scroll = parseInt($(this).attr('data-scroll'));
			  var $auto = false;
			  if($(this).attr('data-auto') == 'yes') {
				  $auto = true;
			  }

			  if($(window).width() <= 767) { $min = 1; }

			  var prv = $(this).parent('.breakingcarousel').find('.prev-arrow'); var nxt = $(this).parent('.breakingcarousel').find('.next-arrow');

			  $(this).carouFredSel({
				responsive: true,
				auto: $auto,
				width: '100%',
				prev: prv,
				next: nxt,
				height: 'variable',
				scroll: { items: $scroll, pauseOnHover: true, duration: 1000 },
				items: { width: parseInt( 1280 / $min ),  height: 'variable', visible: { min: $min } },
				onCreate: function () {
					$(window).on("resize", function() {
						$(this).trigger('configuration', ['debug', false, true]);
					}).trigger('resize');
				}
			  });
			});
		}//Breaking News Type2 End
		
		//Post Default Carousel
		if($(".dt-sc-post-default-carousel").length) {
			$(".dt-sc-post-default-carousel .post_default_carousel").each(function(){

			  var $min = parseInt($(this).attr('data-visible'));
			  var $scroll = parseInt($(this).attr('data-scroll'));

			  if($(window).width() <= 767) { $min = 1; }

			  var prv = $(this).parent('.postcarousel').find('.prev-arrow'); var nxt = $(this).parent('.postcarousel').find('.next-arrow');

			  $(this).carouFredSel({
				responsive: true,
				auto: false,
				width: '100%',
				prev: prv,
				next: nxt,
				height: 'variable',	
				scroll: { items: $scroll, pauseOnHover: true, duration: 1000 },
				items: { width: parseInt( 1280 / $min ),  height: 'variable', visible: { min: $min } },
				onCreate: function () {
					$(window).on("resize", function() {
						$(this).trigger('configuration', ['debug', false, true]);
					}).trigger('resize');
				}
			  });
			});
		}//Post Default Carousel End

		//Post Default Slider
		$('.dt-sc-post-default-slider').each(function(){
			var $this = $(this).find('.postslider');

			var $n = $(this).attr('data-nav');
			if( $n === 'yes'){ $n = true; } else { $n = false; }

			var $p = $(this).attr('data-paginate');
			if( $p === 'yes'){ $p = true; } else { $p = false; }

			var $a = $(this).attr('data-animation');

			$this.bxSlider({
				controls: $n,
				speed: 1000,
				mode: $a,
				pager: $p,
				autoControlsCombine: true
			});
		});//Post Default Slider End

    });

	//Smart Resize Start
	$(window).on("resize", function() {

		//Blog Masonry Shortcode
		if( $('.blog-masonry').length ) {
			$('.blog-masonry').each(function(){
				$(this).css({overflow:'hidden'}).isotope({itemSelector : '.blog-entry',masonry: { gutter: 5 } });	
			});
		}//Blog Masonry Shortcode End
		
		//Masonry Block Shortcode
		if( $('.masonry-block').length ) {
			$('.masonry-block .post-block-modern').each(function(){
				var $space = ($(this).attr('data-gspace') !== null) ? $(this).attr('data-gspace') : 0;

				$(this).css({overflow:'hidden'}).isotope({itemSelector : '.blog-entry',masonry: { gutter: parseInt($space) } });	
			});
		}//Masonry Block Shortcode End

    });

	//Ajax Previous & Next Items
	$('.dt-sc-post-block-default-wrapper').each(function(){
		var $page = 1;
		var $T = $(this);
		var $data = "", $content = $T.find('.post-block-default');
		
		var $b = $T.find('.block-paginate a.active');

		$( document ).on( 'click', '.loadmore-btn.more-items', function() {

   		  var $this = $($b);
		  var $parent = $(this).parent('.block-paginate');
		  var $noPosts = $parent.attr('data-per-page'), $order = $parent.attr('data-order'), $orderby = $parent.attr('data-orderby'), $cats = $parent.attr('data-cats'),
		  $style = $parent.attr('data-style'), $excerpt = $parent.attr('data-excerpt'), $elength = $parent.attr('data-elength'), $thumb = $parent.attr('data-thumb'),
		  $format = $parent.attr('data-format'), $author = $parent.attr('data-author'), $date = $parent.attr('data-date'), $comment = $parent.attr('data-comment'),
		  $category = $parent.attr('data-category'), $tag = $parent.attr('data-tag'), $likes = $parent.attr('data-likes'), $views = $parent.attr('data-views'),
		  $mpages = $parent.attr('data-maxpage'), $rbtn = $parent.attr('data-rbtn');

		  $content.addClass('loading');

		  if( $this.hasClass('block-next') ) {
			$page++;
		  } else {
			$page--;
		  }
	
		  $.ajax({
			 type : "post",
			 dataType : "html",
			 url : dttheme_urls.ajaxurl,
			 data : { action: "dt_blog_ajax_load_post_block_default", numPosts : $noPosts, cats : $cats, order: $order, orderby: $orderby, pageNumber: $page, style: $style, excerpt: $excerpt, elength: $elength, thumb: $thumb, format: $format, author: $author, date: $date, comment: $comment, category: $category, tag: $tag, likes: $likes, views: $views, rbtn : $rbtn },
			 cache: true,
			 success: function (data) {
				$data = $(data);
				if ($data.length > 0) {

					$content.html($data);

					var newbx = $content.find('ul.entry-gallery-post-slider');
					if(newbx !== null){
						newbx.bxSlider({auto:false, video:true, useCSS:false, pager:'', autoHover:true, adaptiveHeight:true});
					}

					$( $content.find('.blog-entry .entry-thumb img.animate') ).each(function(){
						$(this).one('inview', function (event, visible) {
							if(visible) {
								$(this).addClass($(this).attr('data-animate'));
							}
						});
					});

					if(parseInt($page) === 1) {
						$parent.children('.block-prev').removeClass('active');
					} else {
						$parent.children('.block-prev').addClass('active');
					}

					if(parseInt($page) == parseInt($mpages)) {
						$parent.children('.block-next').removeClass('active');
					} else {
						$parent.children('.block-next').addClass('active');
					}
				}
				$content.removeClass('loading');
			 },
			 error: function (jqXHR, textStatus, errorThrown) {
				$content.html('No More Posts Found');
			 }
		  });
		  return false;
		});
	});

	//Ajax masonry load more items
	$('.dt-sc-post-block-modern-wrapper.masonry-block').each(function(){
		var $page = 1;
		var $T = $(this);
		var $data = "", $content = $T.find('.post-block-modern');

		var $b = $T.find('.block-loadmore .loadmore-btn.more-items');

		if( $b.length ) {
			// When load more button click...
			$($b).live( "click", function() {
	
			  var $this = $(this);
			  var $parent = $T.find('.block-loadmore');
	
			  var $count = $parent.attr('data-count'), $column = $parent.attr('data-column'), $thumb = $parent.attr('data-thumb'),
			  $order = $parent.attr('data-order'), $orderby = $parent.attr('data-orderby'), $cats = $parent.attr('data-cats'), $style = $parent.attr('data-style'),
			  $excerpt = $parent.attr('data-excerpt'), $elength = $parent.attr('data-elength'), $format = $parent.attr('data-format'), $author = $parent.attr('data-author'),
			  $date = $parent.attr('data-date'), $comment = $parent.attr('data-comment'), $category = $parent.attr('data-category'), $tag = $parent.attr('data-tag'),
			  $likes = $parent.attr('data-likes'), $views = $parent.attr('data-views'), $mpages = $parent.attr('data-maxpage'), $rbtn = $parent.attr('data-rbtn');
	
			  $content.addClass('loading');
	
			  if( $this.hasClass('more-items') ) {
				$page++;
			  }
	
			  $.ajax({
				 type : "post",
				 dataType : "html",
				 url : dttheme_urls.ajaxurl,
				 data : { action: "dt_blog_ajax_load_post_block_masonry", count : $count, column : $column, thumb : $thumb, cats : $cats, order: $order, orderby: $orderby, pageNumber: $page, style: $style, excerpt: $excerpt, elength: $elength, format: $format, author: $author, date: $date, comment: $comment, category: $category, tag: $tag, likes: $likes, views: $views, rbtn : $rbtn },
				 cache: true,
				 success: function (data) {
					$data = $(data);
					if ($data.length > 0) {

						$content.append($data);

						var newbx = $content.find('ul.entry-gallery-post-slider');
						if(newbx !== null){
							newbx.bxSlider({auto:false, video:true, useCSS:false, pager:'', autoHover:true, adaptiveHeight:true});
						}

						$( $content.find('.blog-entry .entry-thumb img.animate') ).each(function(){
							$(this).one('inview', function (event, visible) {
								if(visible) {
									$(this).addClass($(this).attr('data-animate'));
								}
							});
						});

						$content.isotope( 'reloadItems' ).isotope();
						$(window).trigger( 'resize' );

						if(parseInt($page) >= parseInt($mpages)) {
							$parent.children('.loadmore-btn').removeClass('more-items').html('All Posts Loaded');
						} else {
							$parent.children('.loadmore-btn').addClass('more-items');
						}
					}
					$content.removeClass('loading');
				 },
				 error: function (jqXHR, textStatus, errorThrown) {
					$content.html('No More Posts Found');
				 }
			  });
			  return false;
			});
		}
		
		$(window).scroll(function(){
			var $c = $T.find('.post-block-masonry-infinite.more-items');			
			
			if( ($(window).scrollTop() == $(document).height() - $(window).height()) && $c.length > 0 ){

				var $count = $c.attr('data-count'), $column = $c.attr('data-column'), $thumb = $c.attr('data-thumb'),
				$order = $c.attr('data-order'), $orderby = $c.attr('data-orderby'), $cats = $c.attr('data-cats'), $style = $c.attr('data-style'),
				$excerpt = $c.attr('data-excerpt'), $elength = $c.attr('data-elength'), $format = $c.attr('data-format'), $author = $c.attr('data-author'),
				$date = $c.attr('data-date'), $comment = $c.attr('data-comment'), $category = $c.attr('data-category'), $tag = $c.attr('data-tag'),
				$likes = $c.attr('data-likes'), $views = $c.attr('data-views'), $mpages = $c.attr('data-maxpage'), $rbtn = $c.attr('data-rbtn');

				$content.addClass('loading');

				$page++;

				$.ajax({
				   type : "post",
				   dataType : "html",
				   url : dttheme_urls.ajaxurl,
				   data : { action: "dt_blog_ajax_load_post_block_masonry", count : $count, column : $column, thumb : $thumb, cats : $cats, order: $order, orderby: $orderby, pageNumber: $page, style: $style, excerpt: $excerpt, elength: $elength, format: $format, author: $author, date: $date, comment: $comment, category: $category, tag: $tag, likes: $likes, views: $views, rbtn : $rbtn },
				   cache: true,
				   success: function (data) {
					  $data = $(data);
					  if ($data.length > 0) {

						  $content.append($data);

						  var newbx = $content.find('ul.entry-gallery-post-slider');
						  if(newbx !== null){
							  newbx.bxSlider({auto:false, video:true, useCSS:false, pager:'', autoHover:true, adaptiveHeight:true});
						  }

						  $( $content.find('.blog-entry .entry-thumb img.animate') ).each(function(){
							  $(this).one('inview', function (event, visible) {
								  if(visible) {
									  $(this).addClass($(this).attr('data-animate'));
								  }
							  });
						  });

						  $content.isotope( 'reloadItems' ).isotope();
						  $(window).trigger( 'resize' );

						  if(parseInt($page) >= parseInt($mpages)) {
							  $c.removeClass('more-items').html('<span>All Posts Loaded</span>');
						  }
					  }
					  $content.removeClass('loading');
				   },
				   error: function (jqXHR, textStatus, errorThrown) {
					  $content.html('No More Posts Found');
				   }
				});
				return false;
			}
		});
	});

	//Ajax Category Filter, Previous & Next Items
	$('.dt-sc-post-block-default-filter-wrapper').each(function(){
		var $page = 1;
		var $T = $(this);
		var $data = "", $content = $T.find('.post-block-default-filter');

		var $b = $T.find('.block-paginate a.active, .dt-sc-block-filter a:not(.current)');

		$($b).live( "click", function() {

		  var $this = $(this);
		  var $parent = $T.find('.block-paginate');

		  if($this.is($('.dt-sc-block-filter a'))){
			  var $cats = $this.attr('data-id');
			  $parent.attr('data-cats', $cats);

			  var $m = $this.attr('data-max');
			  $parent.attr('data-maxpage', $m);

			  var $p = $this.parent('.dt-sc-block-filter');
			  $p.find('a').removeClass('current');
			  $this.addClass('current');
			  $page = 1;
		  }

		  var $order = $parent.attr('data-order'), $orderby = $parent.attr('data-orderby'), $cats = $parent.attr('data-cats'),
		  $style = $parent.attr('data-style'), $excerpt = $parent.attr('data-excerpt'), $elength = $parent.attr('data-elength'),
		  $format = $parent.attr('data-format'), $author = $parent.attr('data-author'), $date = $parent.attr('data-date'), $comment = $parent.attr('data-comment'),
		  $category = $parent.attr('data-category'), $tag = $parent.attr('data-tag'), $likes = $parent.attr('data-likes'), $views = $parent.attr('data-views'),
		  $mpages = $parent.attr('data-maxpage'), $rbtn = $parent.attr('data-rbtn');

		  $content.addClass('loading');

		  if( $this.hasClass('block-next') ) {
			$page++;
		  } else if( $this.hasClass('block-prev') ) {
			$page--;
		  }

		  $.ajax({
			 type : "post",
			 dataType : "html",
			 url : dttheme_urls.ajaxurl,
			 data : { action: "dt_blog_ajax_load_post_block_default_filter", cats : $cats, order: $order, orderby: $orderby, pageNumber: $page, style: $style, excerpt: $excerpt, elength: $elength, format: $format, author: $author, date: $date, comment: $comment, category: $category, tag: $tag, likes: $likes, views: $views, rbtn : $rbtn },
			 cache: true,
			 success: function (data) {
				$data = $(data);
				if ($data.length > 0) {

					$content.html($data);

					var newbx = $content.find('ul.entry-gallery-post-slider');
					if(newbx !== null){
						newbx.bxSlider({auto:false, video:true, useCSS:false, pager:'', autoHover:true, adaptiveHeight:true});
					}

					$( $content.find('.blog-entry .entry-thumb img.animate') ).each(function(){
						$(this).one('inview', function (event, visible) {
							if(visible) {
								$(this).addClass($(this).attr('data-animate'));
							}
						});
					});

					if(parseInt($page) === 1) {
						$parent.children('.block-prev').removeClass('active');
					} else {
						$parent.children('.block-prev').addClass('active');
					}

					if(parseInt($page) == parseInt($mpages)) {
						$parent.children('.block-next').removeClass('active');
					} else {
						$parent.children('.block-next').addClass('active');
					}

					if(1 == parseInt($mpages)) {
						$parent.children('.block-prev').removeClass('active');
						$parent.children('.block-next').removeClass('active');
					}
				}
				$content.removeClass('loading');
			 },
			 error: function (jqXHR, textStatus, errorThrown) {
				$content.html('No More Posts Found');
			 }
		  });
		  return false;
		});
	});

	//Ajax load more items
	$('.dt-sc-post-block-default-loadmore-wrapper').each(function(){
		var $page = 1;
		var $T = $(this);
		var $data = "", $content = $T.find('.post-block-default-loadmore');

		var $b = $T.find('.block-loadmore .loadmore-btn.more-items');

		$($b).live( "click", function() {

		  var $this = $(this);
		  var $parent = $T.find('.block-loadmore');

		  var $order = $parent.attr('data-order'), $orderby = $parent.attr('data-orderby'), $cats = $parent.attr('data-cats'),
		  $style = $parent.attr('data-style'), $excerpt = $parent.attr('data-excerpt'), $elength = $parent.attr('data-elength'),
		  $format = $parent.attr('data-format'), $author = $parent.attr('data-author'), $date = $parent.attr('data-date'), $comment = $parent.attr('data-comment'),
		  $category = $parent.attr('data-category'), $tag = $parent.attr('data-tag'), $likes = $parent.attr('data-likes'), $views = $parent.attr('data-views'),
		  $mpages = $parent.attr('data-maxpage'), $rbtn = $parent.attr('data-rbtn');

		  $content.addClass('loading');

		  if( $this.hasClass('more-items') ) {
			$page++;
		  }

		  $.ajax({
			 type : "post",
			 dataType : "html",
			 url : dttheme_urls.ajaxurl,
			 data : { action: "dt_blog_ajax_load_post_block_default_loadmore", cats : $cats, order: $order, orderby: $orderby, pageNumber: $page, style: $style, excerpt: $excerpt, elength: $elength, format: $format, author: $author, date: $date, comment: $comment, category: $category, tag: $tag, likes: $likes, views: $views, rbtn : $rbtn },
			 cache: true,
			 success: function (data) {
				$data = $(data);
				if ($data.length > 0) {

					$content.append($data);

					var newbx = $content.find('ul.entry-gallery-post-slider');
					if(newbx !== null){
						newbx.bxSlider({auto:false, video:true, useCSS:false, pager:'', autoHover:true, adaptiveHeight:true});
					}

					$( $content.find('.blog-entry .entry-thumb img.animate') ).each(function(){
						$(this).one('inview', function (event, visible) {
							if(visible) {
								$(this).addClass($(this).attr('data-animate'));
							}
						});
					});

					if(parseInt($page) >= parseInt($mpages)) {
						$parent.children('.loadmore-btn').removeClass('more-items').html('All Posts Loaded');
					} else {
						$parent.children('.loadmore-btn').addClass('more-items');
					}
				}
				$content.removeClass('loading');
			 },
			 error: function (jqXHR, textStatus, errorThrown) {
				$content.html('No More Posts Found');
			 }
		  });
		  return false;
		});
	});

	if( $(".single-post").length ) {
		$(".dt_like_btn a").on("click",function() {
			var btn = $(this);
			var post_id = btn.data("postid");
			var act = btn.data("action");

			$.ajax({
				type: "post",
				url: dttheme_urls.ajaxurl,
				data: { action: 'dt_blog_rating_like',
						nonce: dttheme_likes.wpnonce,
						post_id: post_id,
						doaction: act
					  },
				success: function(data, textStatus, XMLHttpRequest){
						btn.find('i').text(data);
				},
				error: function(MLHttpRequest, textStatus, errorThrown){
					//alert(textStatus);
				}
			});
			return false;
		});
	}

	$(".dt_scroll_down a").on( "click", function(a) {
		a.preventDefault();

		var st = 0;
		if(dttheme_urls.stickynav === 'enable') {
			st = 90;
		}

		$("html, body").stop();
		$("html, body").animate({
			scrollTop: $('.entry-details.within-image').offset().top - st
		}, {
			duration: 1000,
			easing: "easeInOutQuart"
		});
	});

	//Ajax masonry load more items
	$('.dt-sc-posts-list-wrapper').each(function(){
		var $page = 1;
		var $T = $(this);
		var $data = "", $content = $T.find('.tpl-blog-holder');

		var $b = $T.find('.loadmore-btn.more-items');

		if( $b.length ) {

			// When load more button click...
			$( document ).on( 'click', '.loadmore-btn.more-items', function() {
			  var $this = $($b);
			  var $count = $this.attr('data-count'), $pos = $this.attr('data-pos'), $alayout = $this.attr('data-alayout'),
			  $style = $this.attr('data-style'), $mpages = $this.attr('data-maxpage'), $column = $this.attr('data-column'),
			  $gpageid = $this.attr('data-gpageid'), $cats = $this.attr('data-cats');

			  $content.addClass('loading');

			  if( $this.hasClass('more-items') ) {
				$page++;
			  }

			  $.ajax({
				 type : "post",
				 dataType : "html",
				 url : dttheme_urls.ajaxurl,
				 data : { action: "dt_blog_ajax_load_more_post", count : $count, pos: $pos, alayout: $alayout, style: $style, column: $column, pageNumber : $page, gpageid : $gpageid, cats : $cats },
				 cache: true,
				 success: function (data) {
					var $res = data.split('#####$$$$$');
					if ($res.length > 0) {

						$content.append($res[0]);
						$T.children('.loadmore-btn').attr('data-pos', $res[1]);
						$T.children('.loadmore-btn').attr('data-column', $res[2]);

						var newbx = $content.find('ul.entry-gallery-post-slider');
						if(newbx !== null){
							newbx.bxSlider({auto:false, video:true, useCSS:false, pager:'', autoHover:true, adaptiveHeight:true});
						}

						$content.isotope( 'reloadItems' ).isotope();
						$(window).trigger( 'resize' );

						if(parseInt($page) >= parseInt($mpages)) {
							$T.children('.loadmore-btn').removeClass('more-items').html('All Posts Loaded');
						} else {
							$T.children('.loadmore-btn').addClass('more-items');
						}
					}
					$content.removeClass('loading');
				 },
				 error: function (jqXHR, textStatus, errorThrown) {
					$content.html('No More Posts Found');
				 }
			  });
			  return false;
			});
		}

		$(window).scroll(function(){
			var $c = $T.find('.infinite-btn.more-items');

			if( ($(window).scrollTop() == $(document).height() - $(window).height()) && $c.length > 0 ){

				var $count = $c.attr('data-count'), $pos = $c.attr('data-pos'), $alayout = $c.attr('data-alayout'),
				$style = $c.attr('data-style'), $mpages = $c.attr('data-maxpage'), $column = $c.attr('data-column'),
				$gpageid = $c.attr('data-gpageid'), $cats = $c.attr('data-cats');

				$content.addClass('loading');

				$page++;

				$.ajax({
				   type : "post",
				   dataType : "html",
				   url : dttheme_urls.ajaxurl,
				   data : { action: "dt_blog_ajax_load_more_post", count : $count, pos: $pos, alayout: $alayout, style: $style, column: $column, pageNumber : $page, gpageid: $gpageid, cats : $cats },
				   cache: true,
				   success: function (data) {
					  var $res = data.split('#####$$$$$');
					  if ($res.length > 0) {

						  $content.append($res[0]);
						  $T.children('.infinite-btn').attr('data-pos', $res[1]);
						  $T.children('.infinite-btn').attr('data-column', $res[2]);

						  var newbx = $content.find('ul.entry-gallery-post-slider');
						  if(newbx !== null){
							  newbx.bxSlider({auto:false, video:true, useCSS:false, pager:'', autoHover:true, adaptiveHeight:true});
						  }

						  $content.isotope( 'reloadItems' ).isotope();
						  $(window).trigger( 'resize' );

						  if(parseInt($page) >= parseInt($mpages)) {
							  $c.removeClass('more-items');
						  }
					  }
					  $content.removeClass('loading');
				   },
				   error: function (jqXHR, textStatus, errorThrown) {
					  $content.html('No More Posts Found');
				   }
				});
				return false;
			}
		});
	});

});