<?php
if (! class_exists ( 'DTBlogAddonShortcodes' )) {

	class DTBlogAddonShortcodes {

		function __construct() {

			if( ! class_exists( 'DTCoreShortcodesDefination' ) ) {
				require_once WP_PLUGIN_DIR . '/designthemes-core-features/shortcodes/shortcodes.php';
			}
			require_once plugin_dir_path ( __FILE__ ) . 'shortcodes.php';

			add_action( 'wp_enqueue_scripts', array ( $this, 'dt_blog_wp_enqueue_scripts' ) );

			add_action( 'wp_ajax_dt_blog_ajax_load_post_block_default', array ( $this, 'dt_blog_ajax_load_post_block_default' ) );
			add_action( 'wp_ajax_nopriv_dt_blog_ajax_load_post_block_default', array ( $this, 'dt_blog_ajax_load_post_block_default' ) );

			add_action( 'wp_ajax_dt_blog_ajax_load_post_block_masonry', array ( $this, 'dt_blog_ajax_load_post_block_masonry' ) );
			add_action( 'wp_ajax_nopriv_dt_blog_ajax_load_post_block_masonry', array ( $this, 'dt_blog_ajax_load_post_block_masonry' ) );

			add_action( 'wp_ajax_dt_blog_ajax_load_post_block_default_filter', array ( $this, 'dt_blog_ajax_load_post_block_default_filter' ) );
			add_action( 'wp_ajax_nopriv_dt_blog_ajax_load_post_block_default_filter', array ( $this, 'dt_blog_ajax_load_post_block_default_filter' ) );

			add_action( 'wp_ajax_dt_blog_ajax_load_post_block_default_loadmore', array ( $this , 'dt_blog_ajax_load_post_block_default_loadmore' ) );
			add_action( 'wp_ajax_nopriv_dt_blog_ajax_load_post_block_default_loadmore', array ( $this, 'dt_blog_ajax_load_post_block_default_loadmore' ) );
		}

		function dt_blog_wp_enqueue_scripts() {

			wp_enqueue_style ( 'animations', plugins_url ('designthemes-blog-addon') . '/shortcodes/css/animations.css' );
			wp_enqueue_style ( 'blog-widgets', plugins_url ('designthemes-blog-addon') . '/shortcodes/css/widget.css' );
			wp_enqueue_style ( 'dt-blog-addon', plugins_url ('designthemes-blog-addon') . '/shortcodes/css/blog-addon.css', array (), false, 'all' );

			wp_enqueue_script ( 'jquery.inview', plugins_url ('designthemes-blog-addon') . '/shortcodes/js/jquery.inview.js', array (), false, true );
			wp_enqueue_script ( 'jquery.waypoints', plugins_url ('designthemes-blog-addon') . '/shortcodes/js/jquery.waypoints.min.js', array (), false, true );
			wp_enqueue_script ( 'dt-blog-addon', plugins_url ('designthemes-blog-addon') . '/shortcodes/js/blog-addon.js', array ('jquery', 'jquery-ui-tabs'), false, true );
			wp_localize_script( 'dt-blog-addon', 'dttheme_likes', array(
				'wpnonce' => wp_create_nonce('rating-nonce')
			));
		}

		function dt_blog_ajax_load_post_block_default() {

			$out = '';

			$limit = (isset($_REQUEST['numPosts'])) ? $_REQUEST['numPosts'] : '4';
			$order = (isset($_REQUEST['order'])) ? $_REQUEST['order'] : 'DESC';
			$orderby = (isset($_REQUEST['orderby'])) ? $_REQUEST['orderby'] : 'date';
			$cats = (isset($_REQUEST['cats'])) ? $_REQUEST['cats'] : '1';
			$page = (isset($_REQUEST['pageNumber'])) ? $_REQUEST['pageNumber'] : '0';
			$style = (isset($_REQUEST['style'])) ? $_REQUEST['style'] : 'default';
			$allow_excerpt = (isset($_REQUEST['excerpt'])) ? $_REQUEST['excerpt'] : '';
			$excerpt_length = (isset($_REQUEST['elength'])) ? $_REQUEST['elength'] : '20';
			$show_thumb = (isset($_REQUEST['thumb'])) ? $_REQUEST['thumb'] : '';
			$show_post_format = (isset($_REQUEST['format'])) ? $_REQUEST['format'] : '';
			$show_author = (isset($_REQUEST['author'])) ? $_REQUEST['author'] : '';
			$show_date = (isset($_REQUEST['date'])) ? $_REQUEST['date'] : '';
			$show_comment = (isset($_REQUEST['comment'])) ? $_REQUEST['comment'] : '';
			$show_category = (isset($_REQUEST['category'])) ? $_REQUEST['category'] : '';
			$show_tag = (isset($_REQUEST['tag'])) ? $_REQUEST['tag'] : '';
			$show_likes = (isset($_REQUEST['likes'])) ? $_REQUEST['likes'] : '';
			$show_views = (isset($_REQUEST['views'])) ? $_REQUEST['views'] : '';
			$readmore = (isset($_REQUEST['rbtn'])) ? $_REQUEST['rbtn'] : '';
		
			$args = array('post_type' => 'post', 'posts_per_page' => 4, 'post_status' => 'publish', 'paged' => $page, 'orderby' => $orderby, 'order' => $order, 'cat' => $cats);
		
			$the_query = new WP_Query($args);
			if($the_query->have_posts()):
				$i = 1;
		
				while( $the_query->have_posts() ):
					$the_query->the_post();
					$the_id = get_the_ID();
					$the_title = get_the_title();
					$the_permalink = get_permalink();

					$post_meta = get_post_meta($the_id,'_dt_post_settings',TRUE);
					$post_meta = is_array($post_meta) ? $post_meta  : array();

					$the_format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard';

					$post_class = get_post_class( array('blog-entry', $style, 'format-'.$the_format) , $the_id );
					$post_class = implode(' ',$post_class );
		
					$temp_class = "";
					
					if($i == 1) $temp_class = $post_class." large-thumb"; else $temp_class = $post_class;
					if($i == $column) $i = 1; else $i = $i + 1;
		
					switch($i):
						case '2':
							$out .= "<article class='".esc_attr( $temp_class )."'>";
								$out .= '<!-- Featured Image -->';
								$out .= '<div class="entry-thumb">';
									// If it's galley post
									if( $the_format === "gallery" ) :
										if( $post_meta['post-gallery-items'] != '' ) :
											$out .= '<ul class="entry-gallery-post-slider">';
												$items = explode(',', $post_meta["post-gallery-items"]);
												foreach ( $items as $item ) {
													$out .= '<li>'.wp_get_attachment_image( $item, 'full' ).'</li>';
												}
											$out .= '</ul>';
										endif;
									// If it's video post
									elseif( $the_format === "video" ) :
										if( $post_meta['media-url'] != '' ) :
											$out .= '<div class="dt-video-wrap">';
												if( $post_meta['media-type'] == 'oembed' ) :
													$out .= wp_oembed_get($post_meta['media-url']);
												elseif( $post_meta['media-type'] == 'self' ) :
													$out .= wp_video_shortcode( array('src' => $post_meta['media-url']) );
												endif;
											$out .= '</div>';
										endif;
									// If it's audio post
									elseif( $the_format === "audio" ) :
										if( has_post_thumbnail() ) :
											$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
										endif;

										if( $post_meta['media-url'] != '' ) :
											if( $post_meta['media-type'] == 'oembed' ) :
												$out .= wp_oembed_get($post_meta['media-url']);
											elseif( $post_meta['media-type'] == 'self' ) :
												$out .= wp_audio_shortcode( array('src' => $post_meta['media-url']) );
											endif;
										endif;
									elseif( has_post_thumbnail() ) :
										$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
									endif;

									$out .= '<div class="entry-meta-data">';
										if( $show_post_format == 'yes' ):
											$out .= '<!-- Entry Format -->';
											$out .= '<div class="entry-format">';
												$out .= '<a class="ico-format" href="javascript:void(0)"></a>';
											$out .= '</div><!-- Entry Format -->';
										endif;
		
										$cats = wp_get_object_terms($the_id,'category');
										if( !empty($cats) && $show_category == 'yes' ):
											$count = count($cats);
											$out .= '<div class="category">';
												foreach( $cats as $key => $term ) {
													$meta = get_term_meta( $term->term_id, '_post_category_options', false );
													$color = !empty($meta[0]['c_color']) ? 'style="background: '.$meta[0]['c_color'].'"' : '';

													$out .= '<a href="'.get_term_link( $term->slug ,'category').'" rel="category" '.$color.'>'.esc_html( $term->name ).'</a>';
													$key += 1;
		
													if( $key !== $count ){
														$out .= ' ';
													}
												}
											$out .= '</div>';
										endif;
									 $out .= '</div>';
								$out .= '</div><!-- Featured Image -->';
		
								$out .= '<!-- Entry Details -->';
								$out .= '<div class="entry-details">';
									$out .= '<!-- Meta -->';
									$out .= '<div class="entry-meta"> ';
										if( $show_author == 'yes' ):
											$out .= '<div class="author"> <a href="'.get_author_posts_url(get_the_author_meta('ID')).'" title="'.esc_attr__('View all posts by ', 'designthemes-blog').get_the_author().'">'.get_the_author().'</a> </div>';
										endif;
		
										if( $show_date == 'yes' ):
											$out .= '<div class="date">'.get_the_date('M').' '.get_the_date('d').', '.get_the_date('Y').' '.get_the_date('h:i a').'</div>';
										endif;
		
										if( $show_comment == 'yes' ):
											$cmttext = "";
											if((wp_count_comments($the_id)->approved) == 0):
												$cmttext = '0';
											else:
												$cmttext = wp_count_comments($the_id)->approved;
											endif;
											$out .= '<div class="comments"> <a href="'.esc_url($the_permalink).'#respond"><i class="pe-icon pe-chat"> </i> '.esc_html($cmttext).' </a></div>';
										endif;

										if( $show_likes == 'yes' ):
											$lcount = !empty( $post_meta['like_count'] ) ? $post_meta['like_count'] : 0;
											$out .= '<div class="likes"><i class="zmdi zmdi-favorite-outline zmdi-hc-fw"> </i> '.$lcount.' </div>';
										endif;

										if( $show_views == 'yes' ):
											$vcount = !empty( $post_meta['view_count'] ) ? $post_meta['view_count'] : 0;
											$out .= '<div class="views"><i class="fa fa-eye"> </i> '.$vcount.' </div>';
										endif;
									$out .= '</div><!-- Meta -->';
									$out .= '<div class="entry-title">';
										$tags = wp_get_post_tags($the_id);
										if( !empty($tags) && $show_tag == 'yes' ):
											$count = count($tags);
											$out .= '<div class="tags">';
												foreach( $tags as $key => $term ) {
													$meta = get_term_meta( $term->term_id, '_post_tag_options', false );
													$color = !empty($meta[0]['t_color']) ? 'style="background: '.$meta[0]['t_color'].'"' : '';

													$out .= '<a href="'.get_term_link( $term->slug ,'post_tag').'" rel="tag" '.$color.'>'.esc_html( $term->name ).'</a>';
													$key += 1;
		
													if( $key !== $count ){
														$out .= ' ';
													}
												}
											$out .= '</div>';
										endif;
										$out .= '<h4><a href="'.$the_permalink.'" title="'.$the_title.'">'.$the_title.'</a></h4>';
									$out .= '</div>';
									if( $allow_excerpt == 'yes' ):
										$out .= '<div class="entry-body">';
											$out .= DTBlogAddonSCsDefinition::dt_sc_post_excerpt($excerpt_length);
										$out .= '</div>';
									endif;
									$out .= '<!-- Read More Button -->';
										$content = urldecode( $readmore );
										$sc = DTBlogAddonSCsDefinition::dtShortcodeHelper ( $content );
										$sc = str_replace("href='#'",'href="'.$the_permalink.'"',$sc);
										$out .= $sc;
									$out .= '<!-- Read More Button -->';
								$out .= '</div><!-- Entry Details -->';
							$out .= '</article>';
						break;

						default:
							$out .= "<article class='".esc_attr( $temp_class )."'>";
								if( $show_thumb == 'yes' ):
									$out .= '<!-- Featured Image -->';
									$out .= '<div class="entry-thumb">';
										// If it's galley post
										if( $the_format === "gallery" ) :
											if( $post_meta['post-gallery-items'] != '' ) :
												$out .= '<ul class="entry-gallery-post-slider">';
													$items = explode(',', $post_meta["post-gallery-items"]);
													foreach ( $items as $item ) {
														$out .= '<li>'.wp_get_attachment_image( $item, 'full' ).'</li>';
													}
												$out .= '</ul>';
											endif;
										// If it's video post
										elseif( $the_format === "video" ) :
											if( $post_meta['media-url'] != '' ) :
												$out .= '<div class="dt-video-wrap">';
													if( $post_meta['media-type'] == 'oembed' ) :
														$out .= wp_oembed_get($post_meta['media-url']);
													elseif( $post_meta['media-type'] == 'self' ) :
														$out .= wp_video_shortcode( array('src' => $post_meta['media-url']) );
													endif;
												$out .= '</div>';
											endif;
										// If it's audio post
										elseif( $the_format === "audio" ) :
											if( has_post_thumbnail() ) :
												$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
											endif;
	
											if( $post_meta['media-url'] != '' ) :
												if( $post_meta['media-type'] == 'oembed' ) :
													$out .= wp_oembed_get($post_meta['media-url']);
												elseif( $post_meta['media-type'] == 'self' ) :
													$out .= wp_audio_shortcode( array('src' => $post_meta['media-url']) );
												endif;
											endif;
										elseif( has_post_thumbnail() ) :
											$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
										endif;
									$out .= '</div><!-- Featured Image -->';
								endif;
								$out .= '<!-- Entry Details -->';
								$out .= '<div class="entry-details">';
									$out .= '<!-- Meta -->';
									$out .= '<div class="entry-meta">';
										$out .= '<div class="date">'.sprintf( esc_html__( '%s ago', 'designthemes-blog' ), human_time_diff( get_the_date('U'), current_time('timestamp') ) ).'</div>';
									$out .= '</div><!-- Meta -->';
									$out .= '<div class="entry-title">';
										$out .= '<h4><a href="'.$the_permalink.'" title="'.$the_title.'">'.$the_title.'</a></h4>';
									$out .= '</div>';
								$out .= '</div><!-- Entry Details -->';
							$out .= '</article>';
						break;
					endswitch;
				endwhile;
		
				wp_reset_postdata();
			endif;
		
			if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') :
				echo ($out);
			else :
				header("Location: ".$_SERVER["HTTP_REFERER"]);
			endif;
			die();
		}

		function dt_blog_ajax_load_post_block_masonry() {
		
			$out = $post_class = $col_class = '';
		
			$count = (isset($_REQUEST['count'])) ? $_REQUEST['count'] : '4';
			$column = (isset($_REQUEST['column'])) ? $_REQUEST['column'] : '4';
			$show_thumb = (isset($_REQUEST['thumb'])) ? $_REQUEST['thumb'] : '';
			$order = (isset($_REQUEST['order'])) ? $_REQUEST['order'] : 'DESC';
			$orderby = (isset($_REQUEST['orderby'])) ? $_REQUEST['orderby'] : 'date';
			$cats = (isset($_REQUEST['cats'])) ? $_REQUEST['cats'] : '1';
			$page = (isset($_REQUEST['pageNumber'])) ? $_REQUEST['pageNumber'] : '0';
			$style = (isset($_REQUEST['style'])) ? $_REQUEST['style'] : '';
			$allow_excerpt = (isset($_REQUEST['excerpt'])) ? $_REQUEST['excerpt'] : '';
			$excerpt_length = (isset($_REQUEST['elength'])) ? $_REQUEST['elength'] : '20';
			$show_post_format = (isset($_REQUEST['format'])) ? $_REQUEST['format'] : '';
			$show_author = (isset($_REQUEST['author'])) ? $_REQUEST['author'] : '';
			$show_date = (isset($_REQUEST['date'])) ? $_REQUEST['date'] : '';
			$show_comment = (isset($_REQUEST['comment'])) ? $_REQUEST['comment'] : '';
			$show_category = (isset($_REQUEST['category'])) ? $_REQUEST['category'] : '';
			$show_tag = (isset($_REQUEST['tag'])) ? $_REQUEST['tag'] : '';
			$show_likes = (isset($_REQUEST['likes'])) ? $_REQUEST['likes'] : '';
			$show_views = (isset($_REQUEST['views'])) ? $_REQUEST['views'] : '';
			$readmore = (isset($_REQUEST['rbtn'])) ? $_REQUEST['rbtn'] : '';
		
			$args = array('post_type' => 'post', 'posts_per_page' => $count, 'post_status' => 'publish', 'paged' => $page, 'orderby' => $orderby, 'order' => $order, 'cat' => $cats);
		
			switch( $column ) :
				case '2':
					$col_class = "column dt-sc-one-half";
					$column = 2;
				break;
		
				case '3':
					$col_class = "column dt-sc-one-third";
					$column = 3;
				break;
		
				default:
				case '4':
					$col_class = "column dt-sc-one-fourth";
					$column = 4;
				break;
			endswitch;
			
			$the_query = new WP_Query( $args );
			if ( $the_query->have_posts() ) :
				$i = 1;

				while( $the_query->have_posts() ):
					$the_query->the_post();
					$the_id = get_the_ID();
					$the_title = get_the_title();
					$the_permalink = get_permalink();

					$post_meta = get_post_meta($the_id,'_dt_post_settings',TRUE);
					$post_meta = is_array($post_meta) ? $post_meta  : array();

					$the_format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard';

					$post_class = get_post_class( array('blog-entry', 'grid', 'format-'.$the_format) , $the_id );
					$post_class = implode(' ',$post_class );
		
					$temp_class = $masonry = '';
					if( $style == 'grid_sizer' ):
						$masonry = array_key_exists('masonry-size', $post_meta) ? $post_meta['masonry-size'] : '';
						$temp_class = $post_class.' '.$masonry.' '.$col_class;
					else:
						if($i == 1) $temp_class = $post_class." first ".$col_class; else $temp_class = $post_class.' '.$col_class;
						if($i == $column) $i = 1; else $i = $i + 1;
					endif;
		
					$out .= "<article class='".esc_attr( $temp_class )."'>";
		
						if( $show_thumb == 'yes' ):
							$out .= '<!-- Featured Image -->';
							$out .= '<div class="entry-thumb">';
								// If it's galley post
								if( $the_format === "gallery" && $post_meta['post-gallery-items'] != '' ) :
									$out .= '<ul class="entry-gallery-post-slider">';
										$items = explode(',', $post_meta["post-gallery-items"]);
										foreach ( $items as $item ) {
											$out .= '<li>'.wp_get_attachment_image( $item, 'full' ).'</li>';
										}
									$out .= '</ul>';
								// If it's video post
								elseif( $the_format === "video" && $post_meta['media-url'] != '' ) :
									$out .= '<div class="dt-video-wrap">';
										if( $post_meta['media-type'] == 'oembed' ) :
											$out .= wp_oembed_get($post_meta['media-url']);
										elseif( $post_meta['media-type'] == 'self' ) :
											$out .= wp_video_shortcode( array('src' => $post_meta['media-url']) );
										endif;
									$out .= '</div>';
								// If it's audio post
								elseif( $the_format === "audio" ) :
									if( has_post_thumbnail() ) :
										$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
									endif;

									if( $post_meta['media-url'] != '' ) :
										if( $post_meta['media-type'] == 'oembed' ) :
											$out .= wp_oembed_get($post_meta['media-url']);
										elseif( $post_meta['media-type'] == 'self' ) :
											$out .= wp_audio_shortcode( array('src' => $post_meta['media-url']) );
										endif;
									endif;
								elseif( has_post_thumbnail() ) :
									$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
								endif;
							$out .= '</div><!-- Featured Image -->';
						endif;
						$out .= '<!-- Entry Details -->';
						$out .= '<div class="entry-details">'; 
							$out .= '<div class="entry-meta-data">';
								if( $show_post_format == 'yes' ):
									$out .= '<!-- Entry Format -->';
									$out .= '<div class="entry-format">';
										$out .= '<a class="ico-format" href="javascript:void(0)"></a>';
									$out .= '</div><!-- Entry Format -->';
								endif;
			
								$out .= '<!-- Meta -->';
								$out .= '<div class="entry-meta">';
									if( $show_author == 'yes' ):
										$out .= '<div class="author"> <a href="'.get_author_posts_url(get_the_author_meta('ID')).'" title="'.esc_attr__('View all posts by ', 'designthemes-blog').get_the_author().'">'.get_the_author().'</a> </div>';
									endif;
		
									if( $show_date == 'yes' ):
										$out .= '<div class="date">'.get_the_date('M').' '.get_the_date('d').', '.get_the_date('Y').'</div>';
									endif;	
										
									if( $show_comment == 'yes' ):
										$cmttext = "";
										if((wp_count_comments($the_id)->approved) == 0):
											$cmttext = '0';
										else:
											$cmttext = wp_count_comments($the_id)->approved;
										endif;
										$out .= '<div class="comments"> <a href="'.esc_url($the_permalink).'#respond"><i class="zmdi zmdi-comment-list zmdi-hc-fw"> </i> '.esc_html($cmttext).' </a></div>';
									endif;
		
									if( $show_likes == 'yes' ):
										$lcount = !empty( $post_meta['like_count'] ) ? $post_meta['like_count'] : 0;
										$out .= '<div class="likes"><i class="zmdi zmdi-favorite-outline zmdi-hc-fw"> </i> '.$lcount.' </div>';
									endif;
		
									if( $show_views == 'yes' ):
										$vcount = !empty( $post_meta['view_count'] ) ? $post_meta['view_count'] : 0;
										$out .= '<div class="views"><i class="zmdi zmdi-eye zmdi-hc-fw"> </i> '.$vcount.' </div>';
									endif;
								$out .= '</div><!-- Meta -->';
			
								$cats = wp_get_object_terms($the_id,'category');
								if( !empty($cats) && $show_category == 'yes' ):
									$counts = count($cats);
									$out .= '<div class="category">';
										foreach( $cats as $key => $term ) {
											$meta = get_term_meta( $term->term_id, '_post_category_options', false );
											$color = !empty($meta[0]['c_color']) ? 'style="background: '.$meta[0]['c_color'].'"' : '';

											$out .= '<a href="'.get_term_link( $term->slug ,'category').'" rel="category" '.$color.'>'.esc_html( $term->name ).'</a>';
											$key += 1;
		
											if( $key !== $counts ){
												$out .= ' ';
											}
										}
									$out .= '</div>';
								endif;
		
								$tags = wp_get_post_tags($the_id);
								if( !empty($tags) && $show_tag == 'yes' ):
									$counts = count($tags);
									$out .= '<div class="tags">';
										foreach( $tags as $key => $term ) {
											$meta = get_term_meta( $term->term_id, '_post_tag_options', false );
											$color = !empty($meta[0]['t_color']) ? 'style="background: '.$meta[0]['t_color'].'"' : '';

											$out .= '<a href="'.get_term_link( $term->slug ,'post_tag').'" rel="tag" '.$color.'>'.esc_html( $term->name ).'</a>';
											$key += 1;
		
											if( $key !== $counts ){
												$out .= ' ';
											}
										}
									$out .= '</div>';
								endif;
							$out .= '</div>';
		
							$out .= '<div class="entry-title">';
								$out .= '<h4><a href="'.$the_permalink.'" title="'.$the_title.'">'.$the_title.'</a></h4>';
							$out .= '</div>';

							if( $allow_excerpt == 'yes' ):
								$out .= '<div class="entry-body">';
									$out .= DTBlogAddonSCsDefinition::dt_sc_post_excerpt($excerpt_length);
								$out .= '</div>';
							endif;

							$out .= '<!-- Read More Button -->';
								$content = urldecode( $readmore );
								$sc = DTBlogAddonSCsDefinition::dtShortcodeHelper ( $content );
								$sc = str_replace("href='#'",'href="'.$the_permalink.'"',$sc);
								$out .= $sc;
							$out .= '<!-- Read More Button -->';
						$out .= '</div><!-- Entry Details -->';
		
					$out .= '</article>';
				endwhile;

				wp_reset_postdata();

			endif;
		
			if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') :
				echo ($out);
			else :
				header("Location: ".$_SERVER["HTTP_REFERER"]);
			endif;
			die();
		}

		function dt_blog_ajax_load_post_block_default_filter() {

			$out = $rside = '';

			$order = (isset($_REQUEST['order'])) ? $_REQUEST['order'] : 'DESC';
			$orderby = (isset($_REQUEST['orderby'])) ? $_REQUEST['orderby'] : 'date';
			$cats = (isset($_REQUEST['cats'])) ? $_REQUEST['cats'] : '1';
			$page = (isset($_REQUEST['pageNumber'])) ? $_REQUEST['pageNumber'] : '0';
			$style = (isset($_REQUEST['style'])) ? $_REQUEST['style'] : 'default';
			$allow_excerpt = (isset($_REQUEST['excerpt'])) ? $_REQUEST['excerpt'] : '';
			$excerpt_length = (isset($_REQUEST['elength'])) ? $_REQUEST['elength'] : '20';
			$show_post_format = (isset($_REQUEST['format'])) ? $_REQUEST['format'] : '';
			$show_author = (isset($_REQUEST['author'])) ? $_REQUEST['author'] : '';
			$show_date = (isset($_REQUEST['date'])) ? $_REQUEST['date'] : '';
			$show_comment = (isset($_REQUEST['comment'])) ? $_REQUEST['comment'] : '';
			$show_category = (isset($_REQUEST['category'])) ? $_REQUEST['category'] : '';
			$show_tag = (isset($_REQUEST['tag'])) ? $_REQUEST['tag'] : '';
			$show_likes = (isset($_REQUEST['likes'])) ? $_REQUEST['likes'] : '';
			$show_views = (isset($_REQUEST['views'])) ? $_REQUEST['views'] : '';
			$readmore = (isset($_REQUEST['rbtn'])) ? $_REQUEST['rbtn'] : '';
		
			$args = array('post_type' => 'post', 'posts_per_page' => 4, 'post_status' => 'publish', 'paged' => $page, 'orderby' => $orderby, 'order' => $order, 'cat' => $cats);
		
			$the_query = new WP_Query($args);
			if($the_query->have_posts()):
				$i = 1;
				
				while( $the_query->have_posts() ):
					$the_query->the_post();
					$the_id = get_the_ID();
					$the_title = get_the_title();
					$the_permalink = get_permalink();
		
					$post_meta = get_post_meta($the_id,'_dt_post_settings',TRUE);
					$post_meta = is_array($post_meta) ? $post_meta  : array();

					$the_format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard';

					$post_class = get_post_class( array('blog-entry', $style, 'format-'.$the_format) , $the_id );
					$post_class = implode(' ',$post_class );
		
					$temp_class = "";
					
					if($i == 1) $temp_class = $post_class." large-thumb"; else $temp_class = $post_class;
					if($i == $column) $i = 1; else $i = $i + 1;
		
					switch($i):
						case '2':
						  $out .= '<div class="dt-sc-one-half column first">';
							$out .= "<article class='".esc_attr( $temp_class )."'>";
								$out .= '<!-- Featured Image -->';
								$out .= '<div class="entry-thumb">';
									if( function_exists( 'wp_review_constants' ) ):
										$r_meta = get_post_meta($the_id,'wp_review_user_reviews',TRUE);
										if($r_meta > 0)
											$out .= '<div class="entry-rating">'.$r_meta.'</div>';
									endif;

									// If it's galley post
									if( $the_format === "gallery" && $post_meta['post-gallery-items'] != '' ) :
										$out .= '<ul class="entry-gallery-post-slider">';
											$items = explode(',', $post_meta["post-gallery-items"]);
											foreach ( $items as $item ) {
												$out .= '<li>'.wp_get_attachment_image( $item, 'full' ).'</li>';
											}
										$out .= '</ul>';
									// If it's video post
									elseif( $the_format === "video" && $post_meta['media-url'] != '' ) :
										$out .= '<div class="dt-video-wrap">';
											if( $post_meta['media-type'] == 'oembed' ) :
												$out .= wp_oembed_get($post_meta['media-url']);
											elseif( $post_meta['media-type'] == 'self' ) :
												$out .= wp_video_shortcode( array('src' => $post_meta['media-url']) );
											endif;
										$out .= '</div>';
									// If it's audio post
									elseif( $the_format === "audio" ) :
										if( has_post_thumbnail() ) :
											$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
										endif;

										if( $post_meta['media-url'] != '' ) :
											if( $post_meta['media-type'] == 'oembed' ) :
												$out .= wp_oembed_get($post_meta['media-url']);
											elseif( $post_meta['media-type'] == 'self' ) :
												$out .= wp_audio_shortcode( array('src' => $post_meta['media-url']) );
											endif;
										endif;
									elseif( has_post_thumbnail() ) :
										$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
									endif;
		
									$out .= '<div class="entry-meta-data">';
										if( $show_post_format == 'yes' ):
											$out .= '<!-- Entry Format -->';
											$out .= '<div class="entry-format">';
												$out .= '<a class="ico-format" href="javascript:void(0)"></a>';
											$out .= '</div><!-- Entry Format -->';
										endif;
		
										$cats = wp_get_object_terms($the_id,'category');
										if( !empty($cats) && $show_category == 'yes' ):
											$counts = count($cats);
											$out .= '<div class="category">';
												foreach( $cats as $key => $term ) {
													$meta = get_term_meta( $term->term_id, '_post_category_options', false );
													$color = !empty($meta[0]['c_color']) ? 'style="background: '.$meta[0]['c_color'].'"' : '';
		
													$out .= '<a href="'.get_term_link( $term->slug ,'category').'" rel="category" '.$color.'>'.esc_html( $term->name ).'</a>';
													$key += 1;
		
													if( $key !== $counts ){
														$out .= ' ';
													}
												}
											$out .= '</div>';
										endif;
									 $out .= '</div>';
								$out .= '</div><!-- Featured Image -->';
		
								$out .= '<!-- Entry Details -->';
								$out .= '<div class="entry-details">';
									$out .= '<!-- Meta -->';
									$out .= '<div class="entry-meta"> ';
										if( $show_author == 'yes' ):
											$out .= '<div class="author"> <a href="'.get_author_posts_url(get_the_author_meta('ID')).'" title="'.esc_attr__('View all posts by ', 'designthemes-blog').get_the_author().'">'.get_the_author().'</a> </div>';
										endif;
		
										if( $show_date == 'yes' ):
											$out .= '<div class="date">'.get_the_date('M').' '.get_the_date('d').', '.get_the_date('Y').' '.get_the_date('h:i a').'</div>';
										endif;
		
										if( $show_comment == 'yes' ):
											$cmttext = "";
											if((wp_count_comments($the_id)->approved) == 0):
												$cmttext = '0';
											else:
												$cmttext = wp_count_comments($the_id)->approved;
											endif;
											$out .= '<div class="comments"> <a href="'.esc_url($the_permalink).'#respond"><i class="zmdi zmdi-comment-list zmdi-hc-fw"> </i> '.esc_html($cmttext).' </a></div>';
										endif;

										if( $show_likes == 'yes' ):
											$lcount = !empty( $post_meta['like_count'] ) ? $post_meta['like_count'] : 0;
											$out .= '<div class="likes"><i class="zmdi zmdi-favorite-outline zmdi-hc-fw"> </i> '.$lcount.' </div>';
										endif;
		
										if( $show_views == 'yes' ):
											$vcount = !empty( $post_meta['view_count'] ) ? $post_meta['view_count'] : 0;
											$out .= '<div class="views"><i class="zmdi zmdi-eye zmdi-hc-fw"> </i> '.$vcount.' </div>';
										endif;
									$out .= '</div><!-- Meta -->';
									$out .= '<div class="entry-title">';
										$tags = wp_get_post_tags($the_id);
										if( !empty($tags) && $show_tag == 'yes' ):
											$counts = count($tags);
											$out .= '<div class="tags">';
												foreach( $tags as $key => $term ) {
													$meta = get_term_meta( $term->term_id, '_post_tag_options', false );
													$color = !empty($meta[0]['t_color']) ? 'style="background: '.$meta[0]['t_color'].'"' : '';
		
													$out .= '<a href="'.get_term_link( $term->slug ,'post_tag').'" rel="tag" '.$color.'>'.esc_html( $term->name ).'</a>';
													$key += 1;
		
													if( $key !== $counts ){
														$out .= ' ';
													}
												}
											$out .= '</div>';
										endif;
										$out .= '<h4><a href="'.$the_permalink.'" title="'.$the_title.'">'.$the_title.'</a></h4>';
									$out .= '</div>';
									if( $allow_excerpt == 'yes' ):
										$out .= '<div class="entry-body">';
											$out .= DTBlogAddonSCsDefinition::dt_sc_post_excerpt($excerpt_length);
										$out .= '</div>';
									endif;	
									$out .= '<!-- Read More Button -->';
										$content = urldecode( $readmore );
										$sc = DTCoreShortcodesDefination::dtShortcodeHelper ( $content );	
										$sc = str_replace("href='#'",'href="'.$the_permalink.'"',$sc);
										$out .= $sc;
									$out .= '<!-- Read More Button -->';
								$out .= '</div><!-- Entry Details -->';
							$out .= '</article>';
						  $out .= '</div>';
						break;
						
						default:
							$rside .= "<article class='".esc_attr( $temp_class )."'>";
								$rside .= '<!-- Featured Image -->';
								$rside .= '<div class="entry-thumb">';
									if( function_exists( 'wp_review_constants' ) ):
										$r_meta = get_post_meta($the_id,'wp_review_user_reviews',TRUE);
										if($r_meta > 0)
											$rside .= '<div class="entry-rating">'.$r_meta.'</div>';
									endif;
		
									// If it's galley post
									if( $the_format === "gallery" && $post_meta['post-gallery-items'] != '' ) :
										$rside .= '<ul class="entry-gallery-post-slider">';
											$items = explode(',', $post_meta["post-gallery-items"]);
											foreach ( $items as $item ) {
												$rside .= '<li>'.wp_get_attachment_image( $item, 'full' ).'</li>';
											}
										$rside .= '</ul>';
									// If it's video post
									elseif( $the_format === "video" && $post_meta['media-url'] != '' ) :
										$rside .= '<div class="dt-video-wrap">';
											if( $post_meta['media-type'] == 'oembed' ) :
												$rside .= wp_oembed_get($post_meta['media-url']);
											elseif( $post_meta['media-type'] == 'self' ) :
												$rside .= wp_video_shortcode( array('src' => $post_meta['media-url']) );
											endif;
										$rside .= '</div>';
									// If it's audio post
									elseif( $the_format === "audio" ) :
										if( has_post_thumbnail() ) :
											$rside .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
										endif;

										if( $post_meta['media-url'] != '' ) :
											if( $post_meta['media-type'] == 'oembed' ) :
												$rside .= wp_oembed_get($post_meta['media-url']);
											elseif( $post_meta['media-type'] == 'self' ) :
												$rside .= wp_audio_shortcode( array('src' => $post_meta['media-url']) );
											endif;
										endif;
									elseif( has_post_thumbnail() ) :
										$rside .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
									endif;
		
									$rside .= '<!-- Entry Format -->';
									$rside .= '<div class="entry-format">';
										$rside .= '<a class="ico-format" href="javascript:void(0)"></a>';
									$rside .= '</div><!-- Entry Format -->';
		
								$rside .= '</div><!-- Featured Image -->';
		
								$rside .= '<!-- Entry Details -->';
								$rside .= '<div class="entry-details">';
									$rside .= '<div class="entry-title">';
										$tags = wp_get_post_tags($the_id);
										if( !empty($tags) ):
											$counts = count($tags);
											$rside .= '<div class="tags">';
												foreach( $tags as $key => $term ) {
													$meta = get_term_meta( $term->term_id, '_post_tag_options', false );
													$color = !empty($meta[0]['t_color']) ? 'style="background: '.$meta[0]['t_color'].'"' : '';
		
													$rside .= '<a href="'.get_term_link( $term->slug ,'post_tag').'" rel="tag" '.$color.'>'.esc_html( $term->name ).'</a>';
													$key += 1;
		
													if( $key !== $counts ){
														$rside .= ' ';
													}
												}
											$rside .= '</div>';
										endif;
										$rside .= '<h4><a href="'.$the_permalink.'" title="'.$the_title.'">'.$the_title.'</a></h4>';
									$rside .= '</div>';
		
									$rside .= '<!-- Meta -->';
									$rside .= '<div class="entry-meta">';
										$rside .= '<div class="date">'.get_the_date('M').' '.get_the_date('d').', '.get_the_date('Y').' '.get_the_date('h:i a').'</div>';
									$rside .= '</div><!-- Meta -->';
								$rside .= '</div><!-- Entry Details -->';
							$rside .= '</article>';
						break;
					endswitch;
				endwhile;
		
				$out .= '<div class="dt-sc-one-half column">'.$rside.'</div>';
		
				wp_reset_postdata();
			endif;
		
			if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') :
				echo ($out);
			else :
				header("Location: ".$_SERVER["HTTP_REFERER"]);
			endif;
			die();
		}

		function dt_blog_ajax_load_post_block_default_loadmore() {

			$out = $rside = '';
			
			$order = (isset($_REQUEST['order'])) ? $_REQUEST['order'] : 'DESC';
			$orderby = (isset($_REQUEST['orderby'])) ? $_REQUEST['orderby'] : 'date';
			$cats = (isset($_REQUEST['cats'])) ? $_REQUEST['cats'] : '1';
			$page = (isset($_REQUEST['pageNumber'])) ? $_REQUEST['pageNumber'] : '0';
			$style = (isset($_REQUEST['style'])) ? $_REQUEST['style'] : 'default';
			$allow_excerpt = (isset($_REQUEST['excerpt'])) ? $_REQUEST['excerpt'] : '';
			$excerpt_length = (isset($_REQUEST['elength'])) ? $_REQUEST['elength'] : '20';
			$show_post_format = (isset($_REQUEST['format'])) ? $_REQUEST['format'] : '';
			$show_author = (isset($_REQUEST['author'])) ? $_REQUEST['author'] : '';
			$show_date = (isset($_REQUEST['date'])) ? $_REQUEST['date'] : '';
			$show_comment = (isset($_REQUEST['comment'])) ? $_REQUEST['comment'] : '';
			$show_category = (isset($_REQUEST['category'])) ? $_REQUEST['category'] : '';
			$show_tag = (isset($_REQUEST['tag'])) ? $_REQUEST['tag'] : '';
			$show_likes = (isset($_REQUEST['likes'])) ? $_REQUEST['likes'] : '';
			$show_views = (isset($_REQUEST['views'])) ? $_REQUEST['views'] : '';
			$readmore = (isset($_REQUEST['rbtn'])) ? $_REQUEST['rbtn'] : '';
		
			$args = array('post_type' => 'post', 'posts_per_page' => 5, 'post_status' => 'publish', 'paged' => $page, 'orderby' => $orderby, 'order' => $order, 'cat' => $cats);
		
			$the_query = new WP_Query($args);
			if($the_query->have_posts()):
				$i = 1;
				
				while( $the_query->have_posts() ):
					$the_query->the_post();
					$the_id = get_the_ID();
					$the_title = get_the_title();
					$the_permalink = get_permalink();

					$post_meta = get_post_meta($the_id,'_dt_post_settings',TRUE);
					$post_meta = is_array($post_meta) ? $post_meta  : array();

					$the_format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard';

					$post_class = get_post_class( array('blog-entry', $style, 'format-'.$the_format) , $the_id );
					$post_class = implode(' ',$post_class );
		
					$temp_class = "";
					
					if($i == 1) $temp_class = $post_class." large-thumb"; else $temp_class = $post_class;
					if($i == $column) $i = 1; else $i = $i + 1;
		
					switch($i):
						case '2':
						  $out .= '<div class="dt-sc-one-half column first">';
							$out .= "<article class='".esc_attr( $temp_class )."'>";
								$out .= '<!-- Featured Image -->';
								$out .= '<div class="entry-thumb">';
									if( function_exists( 'wp_review_constants' ) ):
										$r_meta = get_post_meta($the_id,'wp_review_user_reviews',TRUE);
										if($r_meta > 0)
											$out .= '<div class="entry-rating">'.$r_meta.'</div>';
									endif;

									// If it's galley post
									if( $the_format === "gallery" && $post_meta['post-gallery-items'] != '' ) :
										$out .= '<ul class="entry-gallery-post-slider">';
											$items = explode(',', $post_meta["post-gallery-items"]);
											foreach ( $items as $item ) {
												$out .= '<li>'.wp_get_attachment_image( $item, 'full' ).'</li>';
											}
										$out .= '</ul>';
									// If it's video post
									elseif( $the_format === "video" && $post_meta['media-url'] != '' ) :
										$out .= '<div class="dt-video-wrap">';
											if( $post_meta['media-type'] == 'oembed' ) :
												$out .= wp_oembed_get($post_meta['media-url']);
											elseif( $post_meta['media-type'] == 'self' ) :
												$out .= wp_video_shortcode( array('src' => $post_meta['media-url']) );
											endif;
										$out .= '</div>';
									// If it's audio post
									elseif( $the_format === "audio" ) :
										if( has_post_thumbnail() ) :
											$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
										endif;

										if( $post_meta['media-url'] != '' ) :
											if( $post_meta['media-type'] == 'oembed' ) :
												$out .= wp_oembed_get($post_meta['media-url']);
											elseif( $post_meta['media-type'] == 'self' ) :
												$out .= wp_audio_shortcode( array('src' => $post_meta['media-url']) );
											endif;
										endif;
									elseif( has_post_thumbnail() ) :
										$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
									endif;
		
									$out .= '<div class="entry-meta-data">';
										if( $show_post_format == 'yes' ):
											$out .= '<!-- Entry Format -->';
											$out .= '<div class="entry-format">';
												$out .= '<a class="ico-format" href="javascript:void(0)"></a>';
											$out .= '</div><!-- Entry Format -->';
										endif;
		
										$cats = wp_get_object_terms($the_id,'category');
										if( !empty($cats) && $show_category == 'yes' ):
											$counts = count($cats);
											$out .= '<div class="category">';
												foreach( $cats as $key => $term ) {
													$meta = get_term_meta( $term->term_id, '_post_category_options', false );
													$color = !empty($meta[0]['c_color']) ? 'style="background: '.$meta[0]['c_color'].'"' : '';

													$out .= '<a href="'.get_term_link( $term->slug ,'category').'" rel="category" '.$color.'>'.esc_html( $term->name ).'</a>';
													$key += 1;

													if( $key !== $counts ){
														$out .= ' ';
													}
												}
											$out .= '</div>';
										endif;
									 $out .= '</div>';
								$out .= '</div><!-- Featured Image -->';
		
								$out .= '<!-- Entry Details -->';
								$out .= '<div class="entry-details">';
									$out .= '<!-- Meta -->';
									$out .= '<div class="entry-meta"> ';
										if( $show_author == 'yes' ):
											$out .= '<div class="author"> <a href="'.get_author_posts_url(get_the_author_meta('ID')).'" title="'.esc_attr__('View all posts by ', 'designthemes-blog').get_the_author().'">'.get_the_author().'</a> </div>';
										endif;
		
										if( $show_date == 'yes' ):
											$out .= '<div class="date">'.get_the_date('M').' '.get_the_date('d').', '.get_the_date('Y').' '.get_the_date('h:i a').'</div>';
										endif;
		
										if( $show_comment == 'yes' ):
											$cmttext = "";
											if((wp_count_comments($the_id)->approved) == 0):
												$cmttext = '0';
											else:
												$cmttext = wp_count_comments($the_id)->approved;
											endif;
											$out .= '<div class="comments"> <a href="'.esc_url($the_permalink).'#respond"><i class="zmdi zmdi-comment-list zmdi-hc-fw"> </i> '.esc_html($cmttext).' </a></div>';
										endif;

										if( $show_likes == 'yes' ):
											$lcount = !empty( $post_meta['like_count'] ) ? $post_meta['like_count'] : 0;
											$out .= '<div class="likes"><i class="zmdi zmdi-favorite-outline zmdi-hc-fw"> </i> '.$lcount.' </div>';
										endif;
		
										if( $show_views == 'yes' ):
											$vcount = !empty( $post_meta['view_count'] ) ? $post_meta['view_count'] : 0;
											$out .= '<div class="views"><i class="zmdi zmdi-eye zmdi-hc-fw"> </i> '.$vcount.' </div>';
										endif;
									$out .= '</div><!-- Meta -->';
									$out .= '<div class="entry-title">';
										$tags = wp_get_post_tags($the_id);
										if( !empty($tags) && $show_tag == 'yes' ):
											$counts = count($tags);
											$out .= '<div class="tags">';
												foreach( $tags as $key => $term ) {
													$meta = get_term_meta( $term->term_id, '_post_tag_options', false );
													$color = !empty($meta[0]['t_color']) ? 'style="background: '.$meta[0]['t_color'].'"' : '';

													$out .= '<a href="'.get_term_link( $term->slug ,'post_tag').'" rel="tag" '.$color.'>'.esc_html( $term->name ).'</a>';
													$key += 1;

													if( $key !== $counts ){
														$out .= ' ';
													}
												}
											$out .= '</div>';
										endif;
										$out .= '<h4><a href="'.$the_permalink.'" title="'.$the_title.'">'.$the_title.'</a></h4>';
									$out .= '</div>';
									if( $allow_excerpt == 'yes' ):
										$out .= '<div class="entry-body">';
											$out .= DTBlogAddonSCsDefinition::dt_sc_post_excerpt($excerpt_length);
										$out .= '</div>';
									endif;
									$out .= '<!-- Read More Button -->';
										$content = urldecode( $readmore );
										$sc = DTCoreShortcodesDefination::dtShortcodeHelper ( $content );	
										$sc = str_replace("href='#'",'href="'.$the_permalink.'"',$sc);
										$out .= $sc;
									$out .= '<!-- Read More Button -->';
								$out .= '</div><!-- Entry Details -->';
							$out .= '</article>';
						  $out .= '</div>';	
						break;
						
						default:
							$rside .= "<li><article class='".esc_attr( $temp_class )."'>";
								$rside .= '<!-- Featured Image -->';
								$rside .= '<div class="entry-thumb">';
									if( function_exists( 'wp_review_constants' ) ):
										$r_meta = get_post_meta($the_id,'wp_review_user_reviews',TRUE);
										if($r_meta > 0)
											$rside .= '<div class="entry-rating">'.$r_meta.'</div>';
									endif;
		
									// If it's galley post
									if( $the_format === "gallery" && $post_meta['post-gallery-items'] != '' ) :
										$rside .= '<ul class="entry-gallery-post-slider">';
											$items = explode(',', $post_meta["post-gallery-items"]);
											foreach ( $items as $item ) {
												$rside .= '<li>'.wp_get_attachment_image( $item, 'full' ).'</li>';
											}
										$rside .= '</ul>';
									// If it's video post
									elseif( $the_format === "video" && $post_meta['media-url'] != '' ) :
										$rside .= '<div class="dt-video-wrap">';
											if( $post_meta['media-type'] == 'oembed' ) :
												$rside .= wp_oembed_get($post_meta['media-url']);
											elseif( $post_meta['media-type'] == 'self' ) :
												$rside .= wp_video_shortcode( array('src' => $post_meta['media-url']) );
											endif;
										$rside .= '</div>';
									// If it's audio post
									elseif( $the_format === "audio" ) :
										if( has_post_thumbnail() ) :
											$rside .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
										endif;

										if( $post_meta['media-url'] != '' ) :
											if( $post_meta['media-type'] == 'oembed' ) :
												$rside .= wp_oembed_get($post_meta['media-url']);
											elseif( $post_meta['media-type'] == 'self' ) :
												$rside .= wp_audio_shortcode( array('src' => $post_meta['media-url']) );
											endif;
										endif;
									elseif( has_post_thumbnail() ) :
										$rside .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
									endif;

									$rside .= '<!-- Entry Format -->';
									$rside .= '<div class="entry-format">';
										$rside .= '<a class="ico-format" href="javascript:void(0)"></a>';
									$rside .= '</div><!-- Entry Format -->';
		
								$rside .= '</div><!-- Featured Image -->';
		
								$rside .= '<!-- Entry Details -->';
								$rside .= '<div class="entry-details">';
									$rside .= '<div class="entry-title">';
										$tags = wp_get_post_tags($the_id);
										if( !empty($tags) ):
											$counts = count($tags);
											$rside .= '<div class="tags">';
												foreach( $tags as $key => $term ) {
													$meta = get_term_meta( $term->term_id, '_post_tag_options', false );
													$color = !empty($meta[0]['t_color']) ? 'style="background: '.$meta[0]['t_color'].'"' : '';

													$rside .= '<a href="'.get_term_link( $term->slug ,'post_tag').'" rel="tag" '.$color.'>'.esc_html( $term->name ).'</a>';
													$key += 1;
		
													if( $key !== $counts ){
														$rside .= ' ';
													}
												}
											$rside .= '</div>';
										endif;
										$rside .= '<h4><a href="'.$the_permalink.'" title="'.$the_title.'">'.$the_title.'</a></h4>';
									$rside .= '</div>';
		
									$rside .= '<!-- Meta -->';
									$rside .= '<div class="entry-meta">';
										$rside .= '<div class="date">'.get_the_date('M').' '.get_the_date('d').', '.get_the_date('Y').' '.get_the_date('h:i a').'</div>';
									$rside .= '</div><!-- Meta -->';
								$rside .= '</div><!-- Entry Details -->';
							$rside .= '</article></li>';
						break;
					endswitch;
				endwhile;
		
				$out .= '<ul class="dt-sc-one-half column">'.$rside.'</ul>';
		
				wp_reset_postdata();
			endif;
		
			if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') :
				echo ($out);
			else :
				header("Location: ".$_SERVER["HTTP_REFERER"]);
			endif;
			die();
		}
	}
} ?>