<?php
class DTBlogAddonSCsDefinition extends DTCoreShortcodesDefination {
	
	function __construct() {

		// Post Block Default
		add_shortcode ( "dt_sc_post_block_default", array (
			$this,
			"dt_sc_post_block_default"
		) );

		// Post Block Modern
		add_shortcode ( "dt_sc_post_block_modern", array (
			$this,
			"dt_sc_post_block_modern"
		) );

		// Post Block Creative
		add_shortcode ( "dt_sc_post_block_creative", array (
			$this,
			"dt_sc_post_block_creative"
		) );

		// Post Block Minimal
		add_shortcode ( "dt_sc_post_block_minimal", array (
			$this,
			"dt_sc_post_block_minimal"
		) );

		// Post Block Classic
		add_shortcode ( "dt_sc_post_block_classic", array (
			$this,
			"dt_sc_post_block_classic"
		) );

		// Breaking News Default
		add_shortcode ( "dt_sc_breaking_news", array (
			$this,
			"dt_sc_breaking_news"
		) );

		// Widget Headlines
		add_shortcode ( "dt_sc_widget_headlines", array (
			$this,
			"dt_sc_widget_headlines"
		) );

		// Widget Tabbed Posts
		add_shortcode ( "dt_sc_widget_tabbed_posts", array (
			$this,
			"dt_sc_widget_tabbed_posts"
		) );

		// Widget Ads Medium
		add_shortcode ( "dt_sc_widget_ads_medium", array (
			$this,
			"dt_sc_widget_ads_medium"
		) );

		// Widget Ads Small
		add_shortcode ( "dt_sc_widget_ads_small", array (
			$this,
			"dt_sc_widget_ads_small"
		) );

		// Post Block Masonry
		add_shortcode ( "dt_sc_post_block_masonry", array (
			$this,
			"dt_sc_post_block_masonry"
		) );

		// Blog Template Posts
		add_shortcode ( "dt_sc_blog_template_posts", array (
			$this,
			"dt_sc_blog_template_posts"
		) );

		// Post Block Default Filter
		add_shortcode ( "dt_sc_post_block_default_filter", array (
			$this,
			"dt_sc_post_block_default_filter"
		) );

		// Breaking News Type2
		add_shortcode ( "dt_sc_breaking_news_type2", array (
			$this,
			"dt_sc_breaking_news_type2"
		) );

		// Post Default Carousel
		add_shortcode ( "dt_sc_post_default_carousel", array (
			$this,
			"dt_sc_post_default_carousel"
		) );

		// Post Default Slider
		add_shortcode ( "dt_sc_post_default_slider", array (
			$this,
			"dt_sc_post_default_slider"
		) );

		// Post Default Loadmore
		add_shortcode ( "dt_sc_post_block_default_loadmore", array (
			$this,
			"dt_sc_post_block_default_loadmore"
		) );
	}

	/**
	 * @param string $content
	 * @return string
	 */
	static function dtShortcodeHelper($content = null) {
		$content = do_shortcode ( shortcode_unautop ( $content ) );
		$content = preg_replace ( '#^<\/p>|^<br \/>|<p>$#', '', $content );
		$content = preg_replace ( '#<br \/>#', '', $content );
		return trim ( $content );
	}

	/**
	 * post excerpt
	 * @return string
	 */
	static function dt_sc_post_excerpt($limit = NULL) {
		$limit = !empty($limit) ? $limit : 10;
	
		$excerpt = explode(' ', get_the_excerpt(), $limit);
		$excerpt = array_filter($excerpt);
	
		if (!empty($excerpt)) {
			if (count($excerpt) >= $limit) {
				array_pop($excerpt);
				$excerpt = implode(" ", $excerpt).'...';
			} else {
				$excerpt = implode(" ", $excerpt);
			}
			$excerpt = preg_replace('`\[[^\]]*\]`', '', $excerpt);
			$excerpt = str_replace('&nbsp;', '', $excerpt);
			if(!empty ($excerpt))
				return "<p>{$excerpt}</p>";
		}
	}

	/**
	 * block default
	 * @return string
	 */
	function dt_sc_post_block_default($attrs, $content = null ){
		extract( shortcode_atts( array(
			'title' => '',
			'taxonomies' => '',
			'count' => '4',
			'order' => 'DESC',
			'orderby' => 'date',
			'style' => 'default',
			'allow_excerpt' => 'yes',
			'excerpt_length' => 20,
			'show_thumb' => 'yes',
			'show_post_format' => 'yes',
			'show_author' => 'yes',
			'show_date' => 'yes',
			'show_comment' => 'yes',
			'show_category' => 'yes',
			'show_tag' => 'yes',
			'show_likes' => 'yes',
			'show_views' => 'yes'
		), $attrs ) );
		
		$out = $post_class = $pp = '';
		$column = 0;
		
		$pp = ($count > 0 && $count <= 4) ? $count : 4;
		$args = array( 'posts_per_page' => $pp, 'orderby' => $orderby, 'order' => $order );
		$warning = esc_html__('No Posts Found','designthemes-blog');

		if( !empty($taxonomies) ){
			$args = array( 'posts_per_page' => $pp, 'orderby' => $orderby, 'order' => $order, 'cat' => $taxonomies );
			$warning = esc_html__('No Posts Found in Category: ','designthemes-blog').$taxonomies;
		}

		$the_query = new WP_Query( $args );
		if ( $the_query->have_posts() ) :
			$i = 1;

			$out .= '<div class="dt-sc-post-block-default-wrapper">';
				$out .= '<h2><span>'.$title.'</span></h2>';

				if( $count > 4 || $count == -1 ):
					$out .= '<div class="block-paginate" data-per-page="4" data-order="'.$order.'" data-orderby="'.$orderby.'" data-cats="'.$taxonomies.'" data-style="'.$style.'" data-excerpt="'.$allow_excerpt.'" data-elength="'.$excerpt_length.'" data-thumb="'.$show_thumb.'" data-format="'.$show_post_format.'" data-author="'.$show_author.'" data-date="'.$show_date.'" data-comment="'.$show_comment.'" data-category="'.$show_category.'" data-tag="'.$show_tag.'" data-likes="'.$show_likes.'" data-views="'.$show_views.'" data-maxpage="'.$the_query->max_num_pages.'" data-rbtn="'.urlencode(stripslashes($content)).'">';
						$out .= '<a class="block-prev">Prev</a>';
						$out .= '<a class="block-next active">Next</a>';
					$out .= '</div>';
				endif;

				$out .= '<div class="post-block-default">';

				while( $the_query->have_posts() ):
					$the_query->the_post();
					$the_id = get_the_ID();
					$the_title = get_the_title();
					$the_permalink = get_permalink();

					$post_meta = get_post_meta($the_id,'_dt_post_settings',TRUE);
					$post_meta = is_array($post_meta) ? $post_meta  : array();

					$the_format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard';

					$post_class = get_post_class( array('blog-entry', $style, 'format-'.$the_format) , $the_id );
					$post_class = implode(' ',$post_class );

					$temp_class = "";

					if($i == 1) $temp_class = $post_class." large-thumb"; else $temp_class = $post_class;
					if($i == $column) $i = 1; else $i = $i + 1;

					switch($i):
						case '2':
							$out .= "<article class='".esc_attr( $temp_class )."'>";
								$out .= '<!-- Featured Image -->';
								$out .= '<div class="entry-thumb">';
									// If it's galley post
									if( $the_format === "gallery" ) :
										if( $post_meta['post-gallery-items'] != '' ) :
											$out .= '<ul class="entry-gallery-post-slider">';
												$items = explode(',', $post_meta["post-gallery-items"]);
												foreach ( $items as $item ) {
													$out .= '<li>'.wp_get_attachment_image( $item, 'full' ).'</li>';
												}
											$out .= '</ul>';
										endif;
									// If it's video post
									elseif( $the_format === "video" ) :
										if( $post_meta['media-url'] != '' ) :
											$out .= '<div class="dt-video-wrap">';
												if( $post_meta['media-type'] == 'oembed' ) :
													$out .= wp_oembed_get($post_meta['media-url']);
												elseif( $post_meta['media-type'] == 'self' ) :
													$out .= wp_video_shortcode( array('src' => $post_meta['media-url']) );
												endif;
											$out .= '</div>';
										endif;
									// If it's audio post
									elseif( $the_format === "audio" ) :
										if( has_post_thumbnail() ) :
											$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
										endif;

										if( $post_meta['media-url'] != '' ) :
											if( $post_meta['media-type'] == 'oembed' ) :
												$out .= wp_oembed_get($post_meta['media-url']);
											elseif( $post_meta['media-type'] == 'self' ) :
												$out .= wp_audio_shortcode( array('src' => $post_meta['media-url']) );
											endif;
										endif;
									elseif( has_post_thumbnail() ) :
										$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
									endif;
	
									$out .= '<div class="entry-meta-data">';
										if( $show_post_format == 'yes' ):
											$out .= '<!-- Entry Format -->';
											$out .= '<div class="entry-format">';
												$out .= '<a class="ico-format" href="javascript:void(0)"></a>';
											$out .= '</div><!-- Entry Format -->';
										endif;
	
										$cats = wp_get_object_terms($the_id,'category');
										if( !empty($cats) && $show_category == 'yes' ):
											$count = count($cats);
											$out .= '<div class="category">';
												foreach( $cats as $key => $term ) {
													$meta = get_term_meta( $term->term_id, '_post_category_options', false );
													$color = !empty($meta[0]['c_color']) ? 'style="background: '.$meta[0]['c_color'].'"' : '';

													$out .= '<a href="'.get_term_link( $term->slug ,'category').'" rel="category" '.$color.'>'.esc_html( $term->name ).'</a>';
													$key += 1;
	
													if( $key !== $count ){
														$out .= ' ';
													}
												}
											$out .= '</div>';
										endif;
									 $out .= '</div>';
								$out .= '</div><!-- Featured Image -->';
	
								$out .= '<!-- Entry Details -->';
								$out .= '<div class="entry-details">';
									$out .= '<!-- Meta -->';
									$out .= '<div class="entry-meta"> ';
										if( $show_author == 'yes' ):
											$out .= '<div class="author"> <a href="'.get_author_posts_url(get_the_author_meta('ID')).'" title="'.esc_attr__('View all posts by ', 'designthemes-blog').get_the_author().'">'.get_the_author().'</a> </div>';
										endif;
	
										if( $show_date == 'yes' ):
											$out .= '<div class="date">'.get_the_date('M').' '.get_the_date('d').', '.get_the_date('Y').' '.get_the_date('h:i a').'</div>';
										endif;
	
										if( $show_comment == 'yes' ):
											$cmttext = "";
											if((wp_count_comments($the_id)->approved) == 0):
												$cmttext = '0';
											else:
												$cmttext = wp_count_comments($the_id)->approved;
											endif;
											$out .= '<div class="comments"> <a href="'.esc_url($the_permalink).'#respond"><i class="zmdi zmdi-comment-list zmdi-hc-fw"> </i> '.esc_html($cmttext).' </a></div>';
										endif;
	
										if( $show_likes == 'yes' ):
											$lcount = !empty( $post_meta['like_count'] ) ? $post_meta['like_count'] : 0;
											$out .= '<div class="likes"><i class="zmdi zmdi-favorite-outline zmdi-hc-fw"> </i> '.$lcount.' </div>';
										endif;
	
										if( $show_views == 'yes' ):
											$vcount = !empty( $post_meta['view_count'] ) ? $post_meta['view_count'] : 0;
											$out .= '<div class="views"><i class="zmdi zmdi-eye zmdi-hc-fw"> </i> '.$vcount.' </div>';
										endif;
									$out .= '</div><!-- Meta -->';
									$out .= '<div class="entry-title">';
										$tags = wp_get_post_tags($the_id);
										if( !empty($tags) && $show_tag == 'yes' ):
											$count = count($tags);
											$out .= '<div class="tags">';
												foreach( $tags as $key => $term ) {
													$meta = get_term_meta( $term->term_id, '_post_tag_options', false );
													$color = !empty($meta[0]['t_color']) ? 'style="background: '.$meta[0]['t_color'].'"' : '';

													$out .= '<a href="'.get_term_link( $term->slug ,'post_tag').'" rel="tag" '.$color.'>'.esc_html( $term->name ).'</a>';
													$key += 1;

													if( $key !== $count ){
														$out .= ' ';
													}
												}
											$out .= '</div>';
										endif;
										$out .= '<h4><a href="'.$the_permalink.'" title="'.$the_title.'">'.$the_title.'</a></h4>';
									$out .= '</div>';
									if( $allow_excerpt == 'yes' ):
										$out .= '<div class="entry-body">';
											$out .= DTBlogAddonSCsDefinition::dt_sc_post_excerpt($excerpt_length);
										$out .= '</div>';
									endif;	
									$out .= '<!-- Read More Button -->';
										$content = stripslashes( $content );
										$sc = DTBlogAddonSCsDefinition::dtShortcodeHelper ( $content );
										$sc = str_replace("href='#'",'href="'.$the_permalink.'"',$sc);
										$out .= $sc;
									$out .= '<!-- Read More Button -->';
								$out .= '</div><!-- Entry Details -->';
							$out .= '</article>';
						break;
						
						default:
							if( $show_thumb != 'yes' ) $temp_class.= ' no-thumb';
						
							$out .= "<article class='".esc_attr( $temp_class )."'>";
								if( $show_thumb == 'yes' ):
									$out .= '<!-- Featured Image -->';
									$out .= '<div class="entry-thumb">';
										// If it's galley post
										if( $the_format === "gallery" ) :
											if( $post_meta['post-gallery-items'] != '' ) :
												$out .= '<ul class="entry-gallery-post-slider">';
													$items = explode(',', $post_meta["post-gallery-items"]);
													foreach ( $items as $item ) {
														$out .= '<li>'.wp_get_attachment_image( $item, 'full' ).'</li>';
													}
												$out .= '</ul>';
											endif;
										// If it's video post
										elseif( $the_format === "video" ) :
											if( $post_meta['media-url'] != '' ) :
												$out .= '<div class="dt-video-wrap">';
													if( $post_meta['media-type'] == 'oembed' ) :
														$out .= wp_oembed_get($post_meta['media-url']);
													elseif( $post_meta['media-type'] == 'self' ) :
														$out .= wp_video_shortcode( array('src' => $post_meta['media-url']) );
													endif;
												$out .= '</div>';
											endif;
										// If it's audio post
										elseif( $the_format === "audio" ) :
											if( has_post_thumbnail() ) :
												$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
											endif;
	
											if( $post_meta['media-url'] != '' ) :
												if( $post_meta['media-type'] == 'oembed' ) :
													$out .= wp_oembed_get($post_meta['media-url']);
												elseif( $post_meta['media-type'] == 'self' ) :
													$out .= wp_audio_shortcode( array('src' => $post_meta['media-url']) );
												endif;
											endif;
										elseif( has_post_thumbnail() ) :
											$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
										endif;
									$out .= '</div><!-- Featured Image -->';
								endif;
								$out .= '<!-- Entry Details -->';
								$out .= '<div class="entry-details">';
									$out .= '<!-- Meta -->';
									$out .= '<div class="entry-meta">';
										$out .= '<div class="date">'.sprintf( esc_html__( '%s ago', 'designthemes-blog' ), human_time_diff( get_the_date('U'), current_time('timestamp') ) ).'</div>';
									$out .= '</div><!-- Meta -->';
									$out .= '<div class="entry-title">';
										$out .= '<h4><a href="'.$the_permalink.'" title="'.$the_title.'">'.$the_title.'</a></h4>';
									$out .= '</div>';
								$out .= '</div><!-- Entry Details -->';
							$out .= '</article>';
						break;
					endswitch;
				endwhile;

				wp_reset_postdata();
				$out .= '</div>';

			$out .= '</div>';	
		else:
			$out = "<div class='dt-sc-warning-box'>{$warning}</div>";
		endif;

		return $out;
	}

	/**
	 * block modern
	 * @return string
	 */
	function dt_sc_post_block_modern($attrs, $content = null ){
		extract( shortcode_atts( array(
			'taxonomies' => '',
			'count' => '4',
			'order' => 'DESC',
			'orderby' => 'date',
			'style' => 'grid',
			'allow_video' => 'yes',
			'allow_audio' => 'yes',
			'column' => 4,
			'allow_excerpt' => 'yes',
			'excerpt_length' => 20,
			'show_thumb' => 'yes',
			'show_post_format' => 'yes',
			'show_author' => 'yes',
			'show_date' => 'yes',
			'show_comment' => 'yes',
			'show_category' => 'yes',
			'show_tag' => 'yes',
			'show_likes' => 'yes',
			'show_views' => 'yes'
		), $attrs ) );

		$out = $post_class = $col_class = '';

		switch( $column ) :
			case '2':
				$col_class = "column dt-sc-one-half";
				$column = 2;
			break;

			case '3':
				$col_class = "column dt-sc-one-third";
				$column = 3;
			break;

			default:
			case '4':
				$col_class = "column dt-sc-one-fourth";
				$column = 4;
			break;
		endswitch;
		
		$args = array( 'posts_per_page' => $count, 'orderby' => $orderby, 'order' => $order );
		$warning = esc_html__('No Posts Found','designthemes-blog');

		if( !empty($taxonomies) ){
			$args = array( 'posts_per_page' => $count, 'orderby' => $orderby, 'order' => $order, 'cat' => $taxonomies );
			$warning = esc_html__('No Posts Found in Category: ','designthemes-blog').$taxonomies;
		}

		$the_query = new WP_Query( $args );
		if ( $the_query->have_posts() ) :
			$i = 1;
		
			$cls = ( $style == 'masonry' ) ? 'blog-masonry' : '';

			$out .= '<div class="dt-sc-post-block-modern-wrapper '.$cls.'">';

			while( $the_query->have_posts() ):
				$the_query->the_post();
				$the_id = get_the_ID();
				$the_title = get_the_title();
				$the_permalink = get_permalink();

				$post_meta = get_post_meta($the_id,'_dt_post_settings',TRUE);
				$post_meta = is_array($post_meta) ? $post_meta  : array();

				$the_format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard';

				$post_class = get_post_class( array('blog-entry', $style, 'format-'.$the_format) , $the_id );
				$post_class = implode(' ',$post_class );

				$temp_class = $masonry = $t = '';
				if( $style == 'masonry' ):
					$masonry = array_key_exists('masonry-size', $post_meta) ? $post_meta['masonry-size'] : '';
					$temp_class = $post_class.' '.$masonry.' '.$col_class;
				else:
					if($i == 1) $temp_class = $post_class." first ".$col_class; else $temp_class = $post_class.' '.$col_class;
					if($i == $column) $i = 1; else $i = $i + 1;
				endif;

				$out .= "<article class='".esc_attr( $temp_class )."'>";
					if( $show_thumb == 'yes' ):
						$out .= '<!-- Featured Image -->';
						$out .= '<div class="entry-thumb">';
							// If it's galley post
							if( $the_format === "gallery" ) :
								if( $post_meta['post-gallery-items'] != '' ) :
									$out .= '<ul class="entry-gallery-post-slider">';
										$items = explode(',', $post_meta["post-gallery-items"]);
										foreach ( $items as $item ) {
											$out .= '<li>'.wp_get_attachment_image( $item, 'full' ).'</li>';
										}
									$out .= '</ul>';
								endif;
							// If it's video post
							elseif( $the_format === "video" && $allow_video !== 'no' ) :
								if( $post_meta['media-url'] != '' ) :

									$t = ( $allow_video !== 'no' ) ? 'dt-vid-image' : '';

									$out .= '<div class="dt-video-wrap">';
										if( $post_meta['media-type'] == 'oembed' ) :
											$out .= wp_oembed_get($post_meta['media-url']);
										elseif( $post_meta['media-type'] == 'self' ) :
											$out .= wp_video_shortcode( array('src' => $post_meta['media-url']) );
										endif;
									$out .= '</div>';
								endif;
							// If it's audio post
							elseif( $the_format === "audio" ) :
								if( has_post_thumbnail() ) :
									$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
								endif;

								if( $allow_audio !== 'no' && $post_meta['media-url'] != '' ):

									$t = 'dt-aud-image';

									if( $post_meta['media-type'] == 'oembed' ) :
										$out .= wp_oembed_get($post_meta['media-url']);
									elseif( $post_meta['media-type'] == 'self' ) :
										$out .= wp_audio_shortcode( array('src' => $post_meta['media-url']) );
									endif;
								endif;
							elseif( has_post_thumbnail() ) :
								$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
							endif;
						$out .= '</div><!-- Featured Image -->';
					endif;
					$out .= '<!-- Entry Details -->';
					$out .= '<div class="entry-details '.$t.'">'; 
						$out .= '<div class="entry-meta-data">';
							if( $show_post_format == 'yes' ):
								$out .= '<!-- Entry Format -->';
								$out .= '<div class="entry-format">';
									$out .= '<a class="ico-format" href="javascript:void(0)"></a>';
								$out .= '</div><!-- Entry Format -->';
							endif;
		
							$out .= '<!-- Meta -->';
							$out .= '<div class="entry-meta">';
								if( $show_author == 'yes' ):
									$out .= '<div class="author"> <a href="'.get_author_posts_url(get_the_author_meta('ID')).'" title="'.esc_attr__('View all posts by ', 'designthemes-blog').get_the_author().'">'.get_the_author().'</a> </div>';
								endif;

								if( $show_date == 'yes' ):
									$out .= '<div class="date">'.get_the_date('M').' '.get_the_date('d').', '.get_the_date('Y').'</div>';
								endif;	
									
								if( $show_comment == 'yes' ):
									$cmttext = "";
									if((wp_count_comments($the_id)->approved) == 0):
										$cmttext = '0';
									else:
										$cmttext = wp_count_comments($the_id)->approved;
									endif;
									$out .= '<div class="comments"> <a href="'.esc_url($the_permalink).'#respond"><i class="zmdi zmdi-comment-list zmdi-hc-fw"> </i> '.esc_html($cmttext).' </a></div>';
								endif;

								if( $show_likes == 'yes' ):
									$lcount = !empty( $post_meta['like_count'] ) ? $post_meta['like_count'] : 0;
									$out .= '<div class="likes"><i class="zmdi zmdi-favorite-outline zmdi-hc-fw"> </i> '.$lcount.' </div>';
								endif;

								if( $show_views == 'yes' ):
									$vcount = !empty( $post_meta['view_count'] ) ? $post_meta['view_count'] : 0;
									$out .= '<div class="views"><i class="zmdi zmdi-eye zmdi-hc-fw"> </i> '.$vcount.' </div>';
								endif;
							$out .= '</div><!-- Meta -->';
		
							$cats = wp_get_object_terms($the_id,'category');
							if( !empty($cats) && $show_category == 'yes' ):
								$count = count($cats);
								$out .= '<div class="category">';
									foreach( $cats as $key => $term ) {
										$meta = get_term_meta( $term->term_id, '_post_category_options', false );
										$color = !empty($meta[0]['c_color']) ? 'style="background: '.$meta[0]['c_color'].'"' : '';

										$out .= '<a href="'.get_term_link( $term->slug ,'category').'" rel="category" '.$color.'>'.esc_html( $term->name ).'</a>';
										$key += 1;

										if( $key !== $count ){
											$out .= ' ';
										}
									}
								$out .= '</div>';
							endif;

							$tags = wp_get_post_tags($the_id);
							if( !empty($tags) && $show_tag == 'yes' ):
								$count = count($tags);
								$out .= '<div class="tags">';
									foreach( $tags as $key => $term ) {
										$meta = get_term_meta( $term->term_id, '_post_tag_options', false );
										$color = !empty($meta[0]['t_color']) ? 'style="background: '.$meta[0]['t_color'].'"' : '';

										$out .= '<a href="'.get_term_link( $term->slug ,'post_tag').'" rel="tag" '.$color.'>'.esc_html( $term->name ).'</a>';
										$key += 1;

										if( $key !== $count ){
											$out .= ' ';
										}
									}
								$out .= '</div>';
							endif;
						$out .= '</div>';

						$out .= '<div class="entry-title">';
							$out .= '<h4><a href="'.$the_permalink.'" title="'.$the_title.'">'.$the_title.'</a></h4>';
						$out .= '</div>';
						if( $allow_excerpt == 'yes' ):
							$out .= '<div class="entry-body">';
								$out .= DTBlogAddonSCsDefinition::dt_sc_post_excerpt($excerpt_length);
							$out .= '</div>';
						endif;
						$out .= '<!-- Read More Button -->';
							$content = stripslashes( $content );
							$sc = DTBlogAddonSCsDefinition::dtShortcodeHelper ( $content );
							$sc = str_replace("href='#'",'href="'.$the_permalink.'"',$sc);
							$out .= $sc;
						$out .= '<!-- Read More Button -->';
					$out .= '</div><!-- Entry Details -->';
				$out .= '</article>';
			endwhile;

			wp_reset_postdata();
			$out .= '</div>';

		else:
			$out = "<div class='dt-sc-warning-box'>{$warning}</div>";
		endif;

		return $out;
	}

	/**
	 * block creative
	 * @return string
	 */
	function dt_sc_post_block_creative($attrs, $content = null ){
		extract( shortcode_atts( array(
			'taxonomies' => '',
			'count' => '4',
			'order' => 'DESC',
			'orderby' => 'date',
			'style' => 'grid',
			'allow_video' => 'yes',
			'allow_audio' => 'yes',
			'column' => 4,
			'allow_excerpt' => 'yes',
			'excerpt_length' => 20,
			'show_thumb' => 'yes',
			'show_post_format' => 'yes',
			'show_author' => 'yes',
			'show_date' => 'yes',
			'show_comment' => 'yes',
			'show_category' => 'yes',
			'show_tag' => 'yes',
			'show_likes' => 'yes',
			'show_views' => 'yes'
		), $attrs ) );	

		$out = $post_class = $col_class = '';

		$style .= ( $style != 'grid') ? ' no-space' : '';

		switch( $column ) :
			case '2':
				$col_class = "column dt-sc-one-half";
				$column = 2;
			break;

			case '3':
				$col_class = "column dt-sc-one-third";
				$column = 3;
			break;

			default:
			case '4':
				$col_class = "column dt-sc-one-fourth";
				$column = 4;
			break;
		endswitch;
		
		$args = array( 'posts_per_page' => $count, 'orderby' => $orderby, 'order' => $order );
		$warning = esc_html__('No Posts Found','designthemes-blog');

		if( !empty($taxonomies) ){
			$args = array( 'posts_per_page' => $count, 'orderby' => $orderby, 'order' => $order, 'cat' => $taxonomies );
			$warning = esc_html__('No Posts Found in Category: ','designthemes-blog').$taxonomies;
		}
		
		$the_query = new WP_Query( $args );
		if ( $the_query->have_posts() ) :
			$i = 1;

			$out .= '<div class="dt-sc-post-block-creative-wrapper">';

			while( $the_query->have_posts() ):
				$the_query->the_post();
				$the_id = get_the_ID();
				$the_title = get_the_title();
				$the_permalink = get_permalink();

				$post_meta = get_post_meta($the_id,'_dt_post_settings',TRUE);
				$post_meta = is_array($post_meta) ? $post_meta  : array();

				$the_format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard';

				$post_class = get_post_class( array('blog-entry', $style, 'format-'.$the_format) , $the_id );
				$post_class = implode(' ',$post_class );

				$temp_class = $t = '';
				if($i == 1) $temp_class = $post_class." first ".$col_class; else $temp_class = $post_class.' '.$col_class;
				if($i == $column) $i = 1; else $i = $i + 1;

				$out .= "<article class='".esc_attr( $temp_class )."'>";
					if( $show_thumb == 'yes' ):
						$out .= '<!-- Featured Image -->';
						$out .= '<div class="entry-thumb">';
							// If it's galley post
							if( $the_format === "gallery" ) :
								if( $post_meta['post-gallery-items'] != '' ) :
									$out .= '<ul class="entry-gallery-post-slider">';
										$items = explode(',', $post_meta["post-gallery-items"]);
										foreach ( $items as $item ) {
											$out .= '<li>'.wp_get_attachment_image( $item, 'full' ).'</li>';
										}
									$out .= '</ul>';
								endif;
							// If it's video post
							elseif( $the_format === "video" && $allow_video !== 'no' && $post_meta['media-url'] != '' ) :
								$t = ( $allow_video !== 'no' ) ? 'dt-vid-image' : '';

								$out .= '<div class="dt-video-wrap">';
									if( $post_meta['media-type'] == 'oembed' ) :
										$out .= wp_oembed_get($post_meta['media-url']);
									elseif( $post_meta['media-type'] == 'self' ) :
										$out .= wp_video_shortcode( array('src' => $post_meta['media-url']) );
									endif;
								$out .= '</div>';
							// If it's audio post
							elseif( $the_format === "audio" ) :
								if( has_post_thumbnail() ) :
									$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
								endif;

								if( $allow_audio !== 'no' ):
									$t = 'dt-aud-image';

									if( $post_meta['media-type'] == 'oembed' ) :
										$out .= wp_oembed_get($post_meta['media-url']);
									elseif( $post_meta['media-type'] == 'self' ) :
										$out .= wp_audio_shortcode( array('src' => $post_meta['media-url']) );
									endif;
								endif;
							elseif( has_post_thumbnail() ) :
								$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
							endif;
						$out .= '</div><!-- Featured Image -->';
					endif;

					$out .= '<!-- Entry Details -->';
					$out .= '<div class="entry-details '.$t.'">';
						$out .= '<div class="entry-meta-data">';

							$cats = wp_get_object_terms($the_id,'category');
							if( !empty($cats) && $show_category == 'yes' ):
								$count = count($cats);
								$out .= '<div class="category">';
									foreach( $cats as $key => $term ) {
										$meta = get_term_meta( $term->term_id, '_post_category_options', false );
										$color = !empty($meta[0]['c_color']) ? $meta[0]['c_color'] : '';

										if( $style == 'grid' && !empty($meta[0]['c_color']) ):
											$color = 'color: '.$color;
											$out .= '<a href="'.get_term_link( $term->slug ,'category').'" rel="category" style="'.esc_attr($color).';">'.esc_html( $term->name ).'</a>';
										elseif( $style != 'grid' && !empty($meta[0]['c_color']) ):
											$color = 'background: '.$color;
											$out .= '<a href="'.get_term_link( $term->slug ,'category').'" rel="category" style="'.esc_attr($color).';">'.esc_html( $term->name ).'</a>';
										else:
											$out .= '<a href="'.get_term_link( $term->slug ,'category').'" rel="category">'.esc_html( $term->name ).'</a>';
										endif;

										$key += 1;

										if( $key !== $count ){
											$out .= ' ';
										}
									}
								$out .= '</div>';
							endif;

							$tags = wp_get_post_tags($the_id);
							if( !empty($tags) && $show_tag == 'yes' ):
								$count = count($tags);
								$out .= '<div class="tags">';
									foreach( $tags as $key => $term ) {
										$meta = get_term_meta( $term->term_id, '_post_tag_options', false );
										$color = !empty($meta[0]['t_color']) ? $meta[0]['t_color'] : '';

										if( $style == 'grid' && !empty($meta[0]['t_color']) ):
											$color = 'color: '.$color;
											$out .= '<a href="'.get_term_link( $term->slug ,'post_tag').'" rel="tag" style="'.esc_attr($color).';">'.esc_html( $term->name ).'</a>';
										elseif( $style != 'grid' && !empty($meta[0]['t_color']) ):
											$color = 'background: '.$color;
											$out .= '<a href="'.get_term_link( $term->slug ,'post_tag').'" rel="tag" style="'.esc_attr($color).';">'.esc_html( $term->name ).'</a>';
										else:
											$out .= '<a href="'.get_term_link( $term->slug ,'post_tag').'" rel="tag">'.esc_html( $term->name ).'</a>';
										endif;

										$key += 1;

										if( $key !== $count ){
											$out .= ' ';
										}
									}
								$out .= '</div>';
							endif;
						$out .= '</div>';

						$out .= '<div class="entry-info">';
							if( $show_post_format == 'yes' ):
								$out .= '<!-- Entry Format -->';												
								$out .= '<div class="entry-format">';
									$out .= '<a class="ico-format" href="javascript:void(0)"></a>';
								$out .= '</div><!-- Entry Format -->';
							endif;

							$out .= '<div class="entry-title">';
								$out .= '<h4><a href="'.$the_permalink.'" title="'.$the_title.'">'.$the_title.'</a></h4>';
							$out .= '</div>';

							if( $allow_excerpt == 'yes' ):
								$out .= '<div class="entry-body">';
									$out .= DTBlogAddonSCsDefinition::dt_sc_post_excerpt($excerpt_length);
								$out .= '</div>';
							endif;
							
							$out .= '<!-- Meta -->';
							$out .= '<div class="entry-meta"> ';
								if( $show_author == 'yes' ):
									$out .= '<div class="author"> '.esc_html__('by', 'designthemes-blog').' <a href="'.get_author_posts_url(get_the_author_meta('ID')).'" title="'.esc_attr__('View all posts by ', 'designthemes-blog').get_the_author().'">'.get_the_author().'</a> </div>';
								endif;

								if( $show_date == 'yes' ):
									$out .= '<div class="date">'.get_the_date('M').' '.get_the_date('d').', '.get_the_date('Y').'</div>';
								endif;

								if( $show_comment == 'yes' ):
									$cmttext = "";
									if((wp_count_comments($the_id)->approved) == 0):
										$cmttext = '0';
									else:
										$cmttext = wp_count_comments($the_id)->approved;
									endif;
									$out .= '<div class="comments"> <a href="'.esc_url($the_permalink).'#respond"><i class="zmdi zmdi-comment-list zmdi-hc-fw"> </i> '.esc_html($cmttext).' </a></div>';
								endif;

								if( $show_likes == 'yes' ):
									$lcount = !empty( $post_meta['like_count'] ) ? $post_meta['like_count'] : 0;
									$out .= '<div class="likes"><i class="zmdi zmdi-favorite-outline zmdi-hc-fw"> </i> '.$lcount.' </div>';
								endif;

								if( $show_views == 'yes' ):
									$vcount = !empty( $post_meta['view_count'] ) ? $post_meta['view_count'] : 0;
									$out .= '<div class="views"><i class="zmdi zmdi-eye zmdi-hc-fw"> </i> '.$vcount.' </div>';
								endif;
							$out .= '</div><!-- Meta -->';

							$out .= '<!-- Read More Button -->';
								$content = stripslashes( $content );
								$sc = DTBlogAddonSCsDefinition::dtShortcodeHelper ( $content );	
								$sc = str_replace("href='#'",'href="'.$the_permalink.'"',$sc);
								$out .= $sc;
							$out .= '<!-- Read More Button -->';
						$out .= '</div>';
					$out .= '</div><!-- Entry Details -->';
				$out .= '</article>';
			endwhile;

			wp_reset_postdata();
			$out .= '</div>';

		else:
			$out = "<div class='dt-sc-warning-box'>{$warning}</div>";
		endif;

		return $out;
	}

	/**
	 * block minimal
	 * @return string
	 */
	function dt_sc_post_block_minimal($attrs, $content = null ){
		extract( shortcode_atts( array(
			'taxonomies' => '',
			'count' => '4',
			'order' => 'DESC',
			'orderby' => 'date',		
			'style' => 'grid',
			'column' => 4,
			'allow_excerpt' => 'yes',
			'excerpt_length' => 20,
			'show_thumb' => 'yes',
			'show_post_format' => 'yes',
			'show_author' => 'yes',
			'show_date' => 'yes',
			'show_comment' => 'yes',
			'show_category' => 'yes',
			'show_tag' => 'yes',
			'show_likes' => 'yes',
			'show_views' => 'yes'
		), $attrs ) );		
	
		$out = $post_class = $col_class = '';

		switch( $column ) :
			case '1':
				$col_class = "column dt-sc-one-column";
				$column = 1;
			break;
		
			case '2':
				$col_class = "column dt-sc-one-half";
				$column = 2;
			break;

			case '3':
				$col_class = "column dt-sc-one-third";
				$column = 3;
			break;

			default:
			case '4':
				$col_class = "column dt-sc-one-fourth";
				$column = 4;
			break;
		endswitch;
		
		$col_class = ( $style == 'list' ) ? '' : $col_class;
		
		$args = array( 'posts_per_page' => $count, 'orderby' => $orderby, 'order' => $order );
		$warning = esc_html__('No Posts Found','designthemes-blog');

		if( !empty($taxonomies) ){
			$args = array( 'posts_per_page' => $count, 'orderby' => $orderby, 'order' => $order, 'cat' => $taxonomies );
			$warning = esc_html__('No Posts Found in Category: ','designthemes-blog').$taxonomies;
		}

		$the_query = new WP_Query( $args );
		if ( $the_query->have_posts() ) :
			$i = 1;

			$out .= '<div class="dt-sc-post-block-minimal-wrapper">';

			while( $the_query->have_posts() ):
				$the_query->the_post();
				$the_id = get_the_ID();
				$the_title = get_the_title();
				$the_permalink = get_permalink();

				$post_meta = get_post_meta($the_id,'_dt_post_settings',TRUE);
				$post_meta = is_array($post_meta) ? $post_meta  : array();

				$the_format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard';

				$post_class = get_post_class( array('blog-entry', $style, 'format-'.$the_format) , $the_id );
				$post_class = implode(' ',$post_class );

				$temp_class = '';
				if($i == 1) $temp_class = $post_class." first ".$col_class; else $temp_class = $post_class.' '.$col_class;
				if($i == $column) $i = 1; else $i = $i + 1;

				$out .= "<article class='".esc_attr( $temp_class )."'>";
					if( $show_thumb == 'yes' ):
						$out .= '<!-- Featured Image -->';
						$out .= '<div class="entry-thumb">';
							// If it's galley post
							if( $the_format === "gallery" && $post_meta['post-gallery-items'] != '' ) :
								$out .= '<ul class="entry-gallery-post-slider">';
									$items = explode(',', $post_meta["post-gallery-items"]);
									foreach ( $items as $item ) {
										$out .= '<li>'.wp_get_attachment_image( $item, 'full' ).'</li>';
									}
								$out .= '</ul>';
							// If it's video post
							elseif( $the_format === "video" && $post_meta['media-url'] != '' ) :
								$out .= '<div class="dt-video-wrap">';
									if( $post_meta['media-type'] == 'oembed' ) :
										$out .= wp_oembed_get($post_meta['media-url']);
									elseif( $post_meta['media-type'] == 'self' ) :
										$out .= wp_video_shortcode( array('src' => $post_meta['media-url']) );
									endif;
								$out .= '</div>';
							// If it's audio post
							elseif( $the_format === "audio" ) :
								if( has_post_thumbnail() ) :
									$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
								endif;

								if( $post_meta['media-url'] != '' ) :
									if( $post_meta['media-type'] == 'oembed' ) :
										$out .= wp_oembed_get($post_meta['media-url']);
									elseif( $post_meta['media-type'] == 'self' ) :
										$out .= wp_audio_shortcode( array('src' => $post_meta['media-url']) );
									endif;
								endif;
							elseif( has_post_thumbnail() ) :
								$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
							endif;
						$out .= '</div><!-- Featured Image -->';
					endif;	

					$out .= '<!-- Entry Details -->';
					$out .= '<div class="entry-details">';
						$out .= '<div class="entry-title">';
							if( $show_post_format == 'yes' ):
								$out .= '<!-- Entry Format -->';
								$out .= '<div class="entry-format">';
									$out .= '<a class="ico-format" href="javascript:void(0)"></a>';
								$out .= '</div><!-- Entry Format -->';
							endif;
							$out .= '<h4><a href="'.$the_permalink.'" title="'.$the_title.'">'.$the_title.'</a></h4>';
						$out .= '</div>';

						if( $show_author == 'yes' ):
							$out .= '<div class="author"> '.esc_html__('by', 'designthemes-blog').' <a href="'.get_author_posts_url(get_the_author_meta('ID')).'" title="'.esc_attr__('View all posts by ', 'designthemes-blog').get_the_author().'">'.get_the_author().'</a> </div>';
						endif;

						if( $allow_excerpt == 'yes' ):
							$out .= '<div class="entry-body">';
								$out .= DTBlogAddonSCsDefinition::dt_sc_post_excerpt($excerpt_length);
							$out .= '</div>';
						endif;

						$out .= '<div class="entry-meta-data">';
							$cats = wp_get_object_terms($the_id,'category');
							if( !empty($cats) && $show_category == 'yes' ):
								$count = count($cats);
								$out .= '<div class="category">';
									foreach( $cats as $key => $term ) {
										$meta = get_term_meta( $term->term_id, '_post_category_options', false );
										$color = !empty($meta[0]['c_color']) ? $meta[0]['c_color'] : '';

										if( $style == 'grid' && !empty($meta[0]['c_color']) ):
											$color = 'color: '.$color;
											$out .= '<a href="'.get_term_link( $term->slug ,'category').'" rel="category" style="'.esc_attr($color).';">'.esc_html( $term->name ).'</a>';
										elseif( $style != 'grid' && !empty($meta[0]['c_color']) ):
											$color = 'background: '.$color;
											$out .= '<a href="'.get_term_link( $term->slug ,'category').'" rel="category" style="'.esc_attr($color).';">'.esc_html( $term->name ).'</a>';
										else:
											$out .= '<a href="'.get_term_link( $term->slug ,'category').'" rel="category">'.esc_html( $term->name ).'</a>';
										endif;

										$key += 1;

										if( $key !== $count ){
											$out .= ' ';
										}
									}
								$out .= '</div>';
							endif;

							$tags = wp_get_post_tags($the_id);
							if( !empty($tags) && $show_tag == 'yes' ):
								$count = count($tags);
								$out .= '<div class="tags">';
									foreach( $tags as $key => $term ) {
										$meta = get_term_meta( $term->term_id, '_post_tag_options', false );
										$color = !empty($meta[0]['t_color']) ? $meta[0]['t_color'] : '';

										if( $style == 'grid' && !empty($meta[0]['t_color']) ):
											$color = 'color: '.$color;
											$out .= '<a href="'.get_term_link( $term->slug ,'post_tag').'" rel="tag" style="'.esc_attr($color).';">'.esc_html( $term->name ).'</a>';
										elseif( $style != 'grid' && !empty($meta[0]['t_color']) ):
											$color = 'background: '.$color;
											$out .= '<a href="'.get_term_link( $term->slug ,'post_tag').'" rel="tag" style="'.esc_attr($color).';">'.esc_html( $term->name ).'</a>';
										else:
											$out .= '<a href="'.get_term_link( $term->slug ,'post_tag').'" rel="tag">'.esc_html( $term->name ).'</a>';
										endif;

										$key += 1;

										if( $key !== $count ){
											$out .= ' ';
										}
									}
								$out .= '</div>';
							endif;
							$out .= '<!-- Meta -->';
							$out .= '<div class="entry-meta">';
								if( $show_date == 'yes' ):
									$out .= '<div class="date"><i class="zmdi zmdi-calendar zmdi-hc-fw"> </i>'.get_the_date('M').' '.get_the_date('d').', '.get_the_date('Y').'</div>';
								endif;

								if( $show_comment == 'yes' ):
									$cmttext = "";
									if((wp_count_comments($the_id)->approved) == 0):
										$cmttext = '0';
									else:
										$cmttext = wp_count_comments($the_id)->approved;
									endif;
									$out .= '<div class="comments"> <a href="'.esc_url($the_permalink).'#respond"><i class="zmdi zmdi-comment-list zmdi-hc-fw"> </i> '.esc_html($cmttext).' </a></div>';
								endif;

								if( $show_likes == 'yes' ):
									$lcount = !empty( $post_meta['like_count'] ) ? $post_meta['like_count'] : 0;
									$out .= '<div class="likes"><i class="zmdi zmdi-favorite-outline zmdi-hc-fw"> </i> '.$lcount.' </div>';
								endif;

								if( $show_views == 'yes' ):
									$vcount = !empty( $post_meta['view_count'] ) ? $post_meta['view_count'] : 0;
									$out .= '<div class="views"><i class="zmdi zmdi-eye zmdi-hc-fw"> </i> '.$vcount.' </div>';
								endif;
							$out .= '</div><!-- Meta -->';
						$out .= '</div>';

						$out .= '<!-- Read More Button -->';
							$content = stripslashes( $content );
							$sc = DTBlogAddonSCsDefinition::dtShortcodeHelper ( $content );
							$sc = str_replace("href='#'",'href="'.$the_permalink.'"',$sc);
							$out .= $sc;
						$out .= '<!-- Read More Button -->';
					$out .= '</div><!-- Entry Details -->';
				$out .= '</article>';
			endwhile;

			wp_reset_postdata();
			$out .= '</div>';

		else:
			$out = "<div class='dt-sc-warning-box'>{$warning}</div>";
		endif;

		return $out;
	}

	/**
	 * block classic
	 * @return string
	 */
	function dt_sc_post_block_classic($attrs, $content = null ){
		extract( shortcode_atts( array(
			'taxonomies' => '',
			'count' => '4',
			'order' => 'DESC',
			'orderby' => 'date',			
			'style' => 'classic',
			'allow_video' => 'yes',
			'allow_audio' => 'yes',
			'column' => 4,
			'allow_excerpt' => 'yes',
			'excerpt_length' => 20,
			'show_thumb' => 'yes',
			'show_post_format' => 'yes',
			'show_author' => 'yes',
			'show_date' => 'yes',
			'show_comment' => 'yes',
			'show_category' => 'yes',
			'show_tag' => 'yes',
			'show_likes' => 'yes',
			'show_views' => 'yes'
		), $attrs ) );		
	
		$out = $post_class = $col_class = '';

		switch( $column ) :
			case '1':
				$col_class = "column dt-sc-one-column";
				$column = 1;
			break;
		
			case '2':
				$col_class = "column dt-sc-one-half";
				$column = 2;
			break;

			case '3':
				$col_class = "column dt-sc-one-third";
				$column = 3;
			break;

			default:
			case '4':
				$col_class = "column dt-sc-one-fourth";
				$column = 4;
			break;
		endswitch;
		
		$args = array( 'posts_per_page' => $count, 'orderby' => $orderby, 'order' => $order );
		$warning = esc_html__('No Posts Found','designthemes-blog');

		if( !empty($taxonomies) ){
			$args = array( 'posts_per_page' => $count, 'orderby' => $orderby, 'order' => $order, 'cat' => $taxonomies );
			$warning = esc_html__('No Posts Found in Category: ','designthemes-blog').$taxonomies;
		}

		$the_query = new WP_Query( $args );
		if ( $the_query->have_posts() ) :
			$i = 1;

			$out .= '<div class="dt-sc-post-block-classic-wrapper">';

			while( $the_query->have_posts() ):
				$the_query->the_post();
				$the_id = get_the_ID();
				$the_title = get_the_title();
				$the_permalink = get_permalink();

				$post_meta = get_post_meta($the_id,'_dt_post_settings',TRUE);
				$post_meta = is_array($post_meta) ? $post_meta  : array();

				$the_format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard';

				$post_class = get_post_class( array('blog-entry', $style, 'format-'.$the_format) , $the_id );
				$post_class = implode(' ',$post_class );

				$temp_class = $t = '';
				if($i == 1) $temp_class = $post_class." first ".$col_class; else $temp_class = $post_class.' '.$col_class;
				if($i == $column) $i = 1; else $i = $i + 1;

				$out .= "<article class='".esc_attr( $temp_class )."'>";
					$out .= '<!-- Featured Image -->';
					$out .= '<div class="entry-thumb">';
						if( $show_thumb == 'yes' ):
							// If it's galley post
							if( $the_format === "gallery" && $post_meta['post-gallery-items'] != '' ) :
								$out .= '<ul class="entry-gallery-post-slider">';
									$items = explode(',', $post_meta["post-gallery-items"]);
									foreach ( $items as $item ) {
										$out .= '<li>'.wp_get_attachment_image( $item, 'full' ).'</li>';
									}
								$out .= '</ul>';
							// If it's video post
							elseif( $the_format === "video" && $post_meta['media-url'] != '' && $allow_video !== 'no' ) :

								$t = ( $allow_video !== 'no' ) ? 'dt-vid-image' : '';

								$out .= '<div class="dt-video-wrap">';
									if( $post_meta['media-type'] == 'oembed' ) :
										$out .= wp_oembed_get($post_meta['media-url']);
									elseif( $post_meta['media-type'] == 'self' ) :
										$out .= wp_video_shortcode( array('src' => $post_meta['media-url']) );
									endif;
								$out .= '</div>';
							// If it's audio post
							elseif( $the_format === "audio" ) :
								if( has_post_thumbnail() ) :
									$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
								endif;

								if( $allow_audio !== 'no' && $post_meta['media-url'] != '' ):

									$t = 'dt-aud-image';

									if( $post_meta['media-type'] == 'oembed' ) :
										$out .= wp_oembed_get($post_meta['media-url']);
									elseif( $post_meta['media-type'] == 'self' ) :
										$out .= wp_audio_shortcode( array('src' => $post_meta['media-url']) );
									endif;
								endif;	
							elseif( has_post_thumbnail() ) :
								$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
							endif;
						endif;

						$out .= '<div class="entry-meta-data '.$t.'">';
							$out .= '<div class="entry-info">';
								$out .= '<!-- Meta -->';
								$cats = wp_get_object_terms($the_id,'category');
								if( !empty($cats) && $show_category == 'yes' ):
									$count = count($cats);
									$out .= '<div class="category">';
										foreach( $cats as $key => $term ) {
											$meta = get_term_meta( $term->term_id, '_post_category_options', false );
											$color = !empty($meta[0]['c_color']) ? 'style="background: '.$meta[0]['c_color'].'"' : '';

											$out .= '<a href="'.get_term_link( $term->slug ,'category').'" rel="category" '.$color.'>'.esc_html( $term->name ).'</a>';
											$key += 1;

											if( $key !== $count ){
												$out .= ' ';
											}
										}
									$out .= '</div>';
								endif;
								
								$tags = wp_get_post_tags($the_id);
								if( !empty($tags) && $show_tag == 'yes' ):
									$count = count($tags);
									$out .= '<div class="tags">';
										foreach( $tags as $key => $term ) {
											$meta = get_term_meta( $term->term_id, '_post_tag_options', false );
											$color = !empty($meta[0]['t_color']) ? 'style="background: '.$meta[0]['t_color'].'"' : '';

											$out .= '<a href="'.get_term_link( $term->slug ,'post_tag').'" rel="tag" '.$color.'>'.esc_html( $term->name ).'</a>';
											$key += 1;
	
											if( $key !== $count ){
												$out .= ' ';
											}
										}
									$out .= '</div>';
								endif;
							$out .= '</div><!-- Meta -->';

							$out .= '<div class="entry-meta"> ';
								if( $show_author == 'yes' ):
									$out .= '<div class="author"> <a href="'.get_author_posts_url(get_the_author_meta('ID')).'" title="'.esc_attr__('View all posts by ', 'designthemes-blog').get_the_author().'">'.get_the_author().'</a> </div>';
								endif;

								if( $show_date == 'yes' ):
									$out .= '<div class="date"><i class="zmdi zmdi-calendar zmdi-hc-fw"> </i>'.get_the_date('M').' '.get_the_date('d').', '.get_the_date('Y').'</div>';
								endif;

								if( $show_comment == 'yes' ):
									$cmttext = "";
									if((wp_count_comments($the_id)->approved) == 0):
										$cmttext = '0';
									else:
										$cmttext = wp_count_comments($the_id)->approved;
									endif;
									$out .= '<div class="comments"> <a href="'.esc_url($the_permalink).'#respond"><i class="zmdi zmdi-comment-list zmdi-hc-fw"> </i> '.esc_html($cmttext).' </a></div>';
								endif;

								if( $show_likes == 'yes' ):
									$lcount = !empty( $post_meta['like_count'] ) ? $post_meta['like_count'] : 0;
									$out .= '<div class="likes"><i class="zmdi zmdi-favorite-outline zmdi-hc-fw"> </i> '.$lcount.' </div>';
								endif;

								if( $show_views == 'yes' ):
									$vcount = !empty( $post_meta['view_count'] ) ? $post_meta['view_count'] : 0;
									$out .= '<div class="views"><i class="zmdi zmdi-eye zmdi-hc-fw"> </i> '.$vcount.' </div>';
								endif;
							$out .= '</div>';
						$out .= '</div>';
					$out .= '</div><!-- Featured Image -->';

					$out .= '<!-- Entry Details -->';
					$out .= '<div class="entry-details">';
						$out .= '<div class="entry-title">';
							if( $show_post_format == 'yes' ):
								$out .= '<!-- Entry Format -->';
								$out .= '<div class="entry-format">';
									$out .= '<a class="ico-format" href="javascript:void(0)"></a>';
								$out .= '</div><!-- Entry Format -->';
							endif;
							$out .= '<h4><a href="'.$the_permalink.'" title="'.$the_title.'">'.$the_title.'</a></h4>';
						$out .= '</div>';

						if( $allow_excerpt == 'yes' ):
							$out .= '<div class="entry-body">';
								$out .= DTBlogAddonSCsDefinition::dt_sc_post_excerpt($excerpt_length);
							$out .= '</div>';
						endif;

						$out .= '<!-- Read More Button -->';
							$content = stripslashes( $content );
							$sc = DTBlogAddonSCsDefinition::dtShortcodeHelper ( $content );
							$sc = str_replace("href='#'",'href="'.$the_permalink.'"',$sc);
							$out .= $sc;
						$out .= '<!-- Read More Button -->';
					$out .= '</div><!-- Entry Details -->';
				$out .= '</article>';
			endwhile;

			wp_reset_postdata();
			$out .= '</div>';

		else:
			$out = "<div class='dt-sc-warning-box'>{$warning}</div>";
		endif;

		return $out;
	}

	/**
	 * breaking news
	 * @return string
	 */
	function dt_sc_breaking_news( $attrs, $content = null ){
		extract ( shortcode_atts ( array (
			'title' => '',
			'taxonomies' => '',
			'count' => '4',
			'order' => 'DESC',
			'orderby' => 'date',			
			'style' => 'classic',
			'auto_animate' => 'yes',
			'auto_controls' => 'yes',
			'class' => ''
		), $attrs ) );

		$out = '';

		$args = array( 'posts_per_page' => $count, 'orderby' => $orderby, 'order' => $order );
		$warning = esc_html__('No Posts Found','designthemes-blog');

		if( !empty($taxonomies) ){
			$args = array( 'posts_per_page' => $count, 'orderby' => $orderby, 'order' => $order, 'cat' => $taxonomies );
			$warning = esc_html__('No Posts Found in Category: ','designthemes-blog').$taxonomies;
		}

		$the_query = new WP_Query( $args );
		if ( $the_query->have_posts() ) :

			$out .= '<div class="dt-sc-breaking-news '.$style.' '.$class.'" data-auto="'.$auto_animate.'" data-controls="'.$auto_controls.'">';

			if(!empty($title)) $out .= '<div class="breaking-title">'.$title.'</div>';

			$out .= '<div class="breakingbx" id="breaking-news-slider">';
				$out .= '<ul class="breaking">';

				while( $the_query->have_posts() ):
					$the_query->the_post();
					$the_id = get_the_ID();
					$the_title = get_the_title();
					$the_permalink = get_permalink();

                    $out .= '<li>';

						if($style == 'modern'):
							$cats = wp_get_object_terms($the_id,'category');
							if( !empty($cats) ):
								$count = count($cats);
								$out .= '<div class="category">';
									foreach( $cats as $key => $term ) {
										$meta = get_term_meta( $term->term_id, '_post_category_options', false );
										$color = !empty($meta[0]['c_color']) ? 'style="color: '.$meta[0]['c_color'].'"' : '';

										$out .= '<a href="'.get_term_link( $term->slug ,'category').'" rel="category" '.$color.'>'.esc_html( $term->name ).'</a>';
										$key += 1;

										if( $key !== $count ){
											$out .= ' ';
										}
									}
								$out .= '</div>';
							endif;
						endif;

                        $out .= '<div class="entry-title">';
                        	$out .= '<h4><a href="'.$the_permalink.'" title="'.$the_title.'">'.$the_title.'</a></h4>';
                        $out .= '</div>';

						if($style == 'modern'):
							$out .= '<div class="entry-meta">';
								$out .= '<div class="date"> <span> '.esc_html__('Posted on :', 'designthemes-blog').' </span> '.get_the_date('F').' '.get_the_date('d').', '.get_the_date('Y').'</div>';
							$out .= '</div>';
						endif;

                    $out .= '</li>';
				endwhile;

				$out .= '</ul>';
			$out .= '</div>';
			wp_reset_postdata();
			$out .= '</div>';
		else:
			$out = "<div class='dt-sc-warning-box'>{$warning}</div>";
		endif;

		return $out;
	}

	/**
	 * widget headlines
	 * @return string
	 */
	function dt_sc_widget_headlines( $attrs, $content = null ){
		extract ( shortcode_atts ( array (
			'title' => '',
			'_post_categories' => '',
			'_enabled_date' => '',
			'_post_count' => '-1',
			'widget_tstyle' => ''
		), $attrs ) );

		$out = '';

		$out = '<div class="recent-headlines-widget '.$widget_tstyle.'">';
		$type = 'Maaya_Headlines';
		$args = array();
		global $wp_widget_factory;

		// to avoid unwanted warnings let's check before using widget
		if ( is_object( $wp_widget_factory ) && isset( $wp_widget_factory->widgets, $wp_widget_factory->widgets[ $type ] ) ) {
			ob_start();
			the_widget( $type, $attrs, $args );
			$out .= ob_get_clean();
		
			$out .= '</div>';

		} else {
			$out = '<p>'.esc_html__('Widget ', 'designthemes-blog').esc_attr( $type ).esc_html__(' Not found.', 'designthemes-blog').'</p>';
		}

		return $out;
	}

	/**
	 * widget tabbed posts
	 * @return string
	 */
	function dt_sc_widget_tabbed_posts( $attrs, $content = null ){
		extract ( shortcode_atts ( array (
			'title' => '',
			'tabs' => '',
			'popular_tab' => '1',
			'latest_tab' => '2',
			'comments_tab' => '3',
			'tab_order' => '',
			'popular_from' => '',
			'post_count' => '',
			'show_thumb' => '',
			'show_category' => '',
			'show_comment_num' => '',
			'show_excerpt' => '',
			'excerpt_length' => 10,
			'comment_count' => '',
			'show_avatar' => '',
			'widget_tstyle' => ''
		), $attrs ) );

		$out = '';
		$tab = array();

		$t = isset( $attrs['tabs'] ) ? $attrs['tabs'] : 'popular';
		$t = explode(',', $t);
		foreach($t as $v):
			$tab[$v] = 1;
		endforeach;

		$attrs['tabs'] = $tab;

		if( $popular_tab != '' )
			$attrs['tab_order']['popular'] = $popular_tab;

		if( $latest_tab != '' )
			$attrs['tab_order']['latest'] = $latest_tab;

		if( $comments_tab != '' )
			$attrs['tab_order']['comments'] = $comments_tab;

		if( $popular_from == '' )
			$attrs['popular_from'] = 'comment_count';

		$out = '<div class="tabbed-post-widget '.$widget_tstyle.'">';
		$type = 'Maaya_Tabbed_Posts';
		$args = array();
		global $wp_widget_factory;

		// to avoid unwanted warnings let's check before using widget
		if ( is_object( $wp_widget_factory ) && isset( $wp_widget_factory->widgets, $wp_widget_factory->widgets[ $type ] ) ) {
			ob_start();
			the_widget( $type, $attrs, $args );
			$out .= ob_get_clean();
			
			$out .= '</div>';
		
		} else {
			$out = '<p>'.esc_html__('Widget ', 'designthemes-blog').esc_attr( $type ).esc_html__(' Not found.', 'designthemes-blog').'</p>';
		}

		return $out;
	}

	/**
	 * widget ads medium
	 * @return string
	 */
	function dt_sc_widget_ads_medium( $attrs, $content = null ){
		extract ( shortcode_atts ( array (
			'title' => '',
			'image_url' => '',
			'ads_link' => '',
			'ads_caption' => ''
		), $attrs ) );

		$out = '';
		
		$image = wp_get_attachment_image_src( $image_url, 'full' );
		$attrs['image_url'] = $image[0];

		$type = 'Maaya_Ads_Medium';
		$args = array();
		global $wp_widget_factory;

		// to avoid unwanted warnings let's check before using widget
		if ( is_object( $wp_widget_factory ) && isset( $wp_widget_factory->widgets, $wp_widget_factory->widgets[ $type ] ) ) {
			ob_start();
			the_widget( $type, $attrs, $args );
			$out .= ob_get_clean();
		
		} else {
			$out = '<p>'.esc_html__('Widget ', 'designthemes-blog').esc_attr( $type ).esc_html__(' Not found.', 'designthemes-blog').'</p>';
		}

		return $out;
	}

	/**
	 * widget ads small
	 * @return string
	 */
	function dt_sc_widget_ads_small( $attrs, $content = null ){
		extract ( shortcode_atts ( array (
			'title' => '',
			'image1' => '',
			'link1' => '',
			'image2' => '',
			'link2' => '',
			'image3' => '',
			'link3' => '',
			'image4' => '',
			'link4' => ''
		), $attrs ) );

		$out = '';

		$image = wp_get_attachment_image_src( $image1, 'full' );
		$attrs['image1'] = $image[0];

		$image = wp_get_attachment_image_src( $image2, 'full' );
		$attrs['image2'] = $image[0];

		$image = wp_get_attachment_image_src( $image3, 'full' );
		$attrs['image3'] = $image[0];

		$image = wp_get_attachment_image_src( $image4, 'full' );
		$attrs['image4'] = $image[0];

		$type = 'Maaya_Ads_Small';
		$args = array();
		global $wp_widget_factory;

		// to avoid unwanted warnings let's check before using widget
		if ( is_object( $wp_widget_factory ) && isset( $wp_widget_factory->widgets, $wp_widget_factory->widgets[ $type ] ) ) {
			ob_start();
			the_widget( $type, $attrs, $args );
			$out .= ob_get_clean();
		
		} else {
			$out = '<p>'.esc_html__('Widget ', 'designthemes-blog').esc_attr( $type ).esc_html__(' Not found.', 'designthemes-blog').'</p>';
		}

		return $out;
	}

	/**
	 * block masonry
	 * @return string
	 */
	function dt_sc_post_block_masonry($attrs, $content = null ){
		extract( shortcode_atts( array(
			'taxonomies' => '',
			'count' => '4',
			'order' => 'DESC',
			'orderby' => 'date',
			'style' => '',
			'grid_space' => 0,
			'column' => 4,
			'allow_excerpt' => 'yes',
			'excerpt_length' => 20,
			'show_thumb' => 'yes',
			'show_post_format' => 'yes',
			'show_author' => 'yes',
			'show_date' => 'yes',
			'show_comment' => 'yes',
			'show_category' => 'yes',
			'show_tag' => 'yes',
			'show_likes' => 'yes',
			'show_views' => 'yes',
			'paginate_type' => ''
		), $attrs ) );

		$out = $post_class = $col_class = '';

		switch( $column ) :
			case '2':
				$col_class = "column dt-sc-one-half";
				$column = 2;
			break;

			case '3':
				$col_class = "column dt-sc-one-third";
				$column = 3;
			break;

			default:
			case '4':
				$col_class = "column dt-sc-one-fourth";
				$column = 4;
			break;
		endswitch;
		
		if ( get_query_var('paged') ) {
			$paged = get_query_var('paged');
		} elseif ( get_query_var('page') ) { 
			$paged = get_query_var('page');
		} else { 
			$paged = 1;
		}
		
		$args = array( 'paged' => $paged, 'posts_per_page' => $count, 'orderby' => $orderby, 'order' => $order );
		$warning = esc_html__('No Posts Found','designthemes-blog');

		if( !empty($taxonomies) ){
			$args = array( 'paged' => $paged, 'posts_per_page' => $count, 'orderby' => $orderby, 'order' => $order, 'cat' => $taxonomies );
			$warning = esc_html__('No Posts Found in Category: ','designthemes-blog').$taxonomies;
		}

		$the_query = new WP_Query( $args );
		if ( $the_query->have_posts() ) :
			$i = 1;

			$out .= '<div class="dt-sc-post-block-modern-wrapper masonry-block '.$style.'">';

			$out .= '<div class="post-block-modern" data-gspace="'.$grid_space.'">';

			while( $the_query->have_posts() ):
				$the_query->the_post();
				$the_id = get_the_ID();
				$the_title = get_the_title();
				$the_permalink = get_permalink();

				$post_meta = get_post_meta($the_id,'_dt_post_settings',TRUE);
				$post_meta = is_array($post_meta) ? $post_meta  : array();

				$the_format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard';

				$post_class = get_post_class( array('blog-entry', 'grid', 'format-'.$the_format) , $the_id );
				$post_class = implode(' ',$post_class );

				$temp_class = $masonry = '';
				if( $style == 'grid_sizer' ):
					$masonry = array_key_exists('masonry-size', $post_meta) ? $post_meta['masonry-size'] : '';
					$temp_class = $post_class.' '.$masonry.' '.$col_class;
				else:
					if($i == 1) $temp_class = $post_class." first ".$col_class; else $temp_class = $post_class.' '.$col_class;
					if($i == $column) $i = 1; else $i = $i + 1;
				endif;

				$out .= "<article class='".esc_attr( $temp_class )."'>";

					if( $show_thumb == 'yes' ):
						$out .= '<!-- Featured Image -->';
						$out .= '<div class="entry-thumb">';
							// If it's galley post
							if( $the_format === "gallery" && $post_meta['post-gallery-items'] != '' ) :
								$out .= '<ul class="entry-gallery-post-slider">';
									$items = explode(',', $post_meta["post-gallery-items"]);
									foreach ( $items as $item ) {
										$out .= '<li>'.wp_get_attachment_image( $item, 'full' ).'</li>';
									}
								$out .= '</ul>';
							// If it's video post
							elseif( $the_format === "video" && $post_meta['media-url'] != '' ) :
								$out .= '<div class="dt-video-wrap">';
									if( $post_meta['media-type'] == 'oembed' ) :
										$out .= wp_oembed_get($post_meta['media-url']);
									elseif( $post_meta['media-type'] == 'self' ) :
										$out .= wp_video_shortcode( array('src' => $post_meta['media-url']) );
									endif;
								$out .= '</div>';
							// If it's audio post
							elseif( $the_format === "audio" ) :
								if( has_post_thumbnail() ) :
									$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
								endif;

								if( $post_meta['media-url'] != '' ) :
									if( $post_meta['media-type'] == 'oembed' ) :
										$out .= wp_oembed_get($post_meta['media-url']);
									elseif( $post_meta['media-type'] == 'self' ) :
										$out .= wp_audio_shortcode( array('src' => $post_meta['media-url']) );
									endif;
								endif;
							elseif( has_post_thumbnail() ) :
								$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
							endif;
						$out .= '</div><!-- Featured Image -->';
					endif;
					$out .= '<!-- Entry Details -->';
					$out .= '<div class="entry-details">'; 
						$out .= '<div class="entry-meta-data">';
							if( $show_post_format == 'yes' ):
								$out .= '<!-- Entry Format -->';
								$out .= '<div class="entry-format">';
									$out .= '<a class="ico-format" href="javascript:void(0)"></a>';
								$out .= '</div><!-- Entry Format -->';
							endif;
		
							$out .= '<!-- Meta -->';
							$out .= '<div class="entry-meta">';
								if( $show_author == 'yes' ):
									$out .= '<div class="author"> <a href="'.get_author_posts_url(get_the_author_meta('ID')).'" title="'.esc_attr__('View all posts by ', 'designthemes-blog').get_the_author().'">'.get_the_author().'</a> </div>';
								endif;

								if( $show_date == 'yes' ):
									$out .= '<div class="date">'.get_the_date('M').' '.get_the_date('d').', '.get_the_date('Y').'</div>';
								endif;	
									
								if( $show_comment == 'yes' ):
									$cmttext = "";
									if((wp_count_comments($the_id)->approved) == 0):
										$cmttext = '0';
									else:
										$cmttext = wp_count_comments($the_id)->approved;
									endif;
									$out .= '<div class="comments"> <a href="'.esc_url($the_permalink).'#respond"><i class="zmdi zmdi-comment-list zmdi-hc-fw"> </i> '.esc_html($cmttext).' </a></div>';
								endif;

								if( $show_likes == 'yes' ):
									$lcount = !empty( $post_meta['like_count'] ) ? $post_meta['like_count'] : 0;
									$out .= '<div class="likes"><i class="zmdi zmdi-favorite-outline zmdi-hc-fw"> </i> '.$lcount.' </div>';
								endif;

								if( $show_views == 'yes' ):
									$vcount = !empty( $post_meta['view_count'] ) ? $post_meta['view_count'] : 0;
									$out .= '<div class="views"><i class="zmdi zmdi-eye zmdi-hc-fw"> </i> '.$vcount.' </div>';
								endif;
							$out .= '</div><!-- Meta -->';
		
							$cats = wp_get_object_terms($the_id,'category');
							if( !empty($cats) && $show_category == 'yes' ):
								$counts = count($cats);
								$out .= '<div class="category">';
									foreach( $cats as $key => $term ) {
										$meta = get_term_meta( $term->term_id, '_post_category_options', false );
										$color = !empty($meta[0]['c_color']) ? 'style="background: '.$meta[0]['c_color'].'"' : '';

										$out .= '<a href="'.get_term_link( $term->slug ,'category').'" rel="category" '.$color.'>'.esc_html( $term->name ).'</a>';
										$key += 1;

										if( $key !== $counts ){
											$out .= ' ';
										}
									}
								$out .= '</div>';
							endif;

							$tags = wp_get_post_tags($the_id);
							if( !empty($tags) && $show_tag == 'yes' ):
								$counts = count($tags);
								$out .= '<div class="tags">';
									foreach( $tags as $key => $term ) {
										$meta = get_term_meta( $term->term_id, '_post_tag_options', false );
										$color = !empty($meta[0]['t_color']) ? 'style="background: '.$meta[0]['t_color'].'"' : '';

										$out .= '<a href="'.get_term_link( $term->slug ,'post_tag').'" rel="tag" '.$color.'>'.esc_html( $term->name ).'</a>';
										$key += 1;

										if( $key !== $counts ){
											$out .= ' ';
										}
									}
								$out .= '</div>';
							endif;
						$out .= '</div>';

						$out .= '<div class="entry-title">';
							$out .= '<h4><a href="'.$the_permalink.'" title="'.$the_title.'">'.$the_title.'</a></h4>';
						$out .= '</div>';

						if( $allow_excerpt == 'yes' ):
							$out .= '<div class="entry-body">';
								$out .= DTBlogAddonSCsDefinition::dt_sc_post_excerpt($excerpt_length);
							$out .= '</div>';
						endif;

						$out .= '<!-- Read More Button -->';
							$content = stripslashes( $content );
							$sc = DTBlogAddonSCsDefinition::dtShortcodeHelper ( $content );
							$sc = str_replace("href='#'",'href="'.$the_permalink.'"',$sc);
							$out .= $sc;
						$out .= '<!-- Read More Button -->';
					$out .= '</div><!-- Entry Details -->';

				$out .= '</article>';
			endwhile;

			$out .= '</div>';

			wp_reset_postdata();

			if( $paginate_type == 'default'):
				$out .= '<div class="pagination blog-pagination">'.maaya_pagination($the_query).'</div>';

			elseif( $paginate_type == 'loadmore_btn' && $the_query->max_num_pages > 1):
				$out .= '<div class="block-loadmore" data-count="'.$count.'" data-column="'.$column.'" data-thumb="'.$show_thumb.'" data-order="'.$order.'" data-orderby="'.$orderby.'" data-cats="'.$taxonomies.'" data-style="'.$style.'" data-excerpt="'.$allow_excerpt.'" data-elength="'.$excerpt_length.'" data-format="'.$show_post_format.'" data-author="'.$show_author.'" data-date="'.$show_date.'" data-comment="'.$show_comment.'" data-category="'.$show_category.'" data-tag="'.$show_tag.'" data-likes="'.$show_likes.'" data-views="'.$show_views.'" data-maxpage="'.$the_query->max_num_pages.'" data-rbtn="'.urlencode($content).'">';
					$out .= '<a class="loadmore-btn more-items" href="javascript:void(0);">'.esc_html__('Load More', 'designthemes-blog').'</a>';
				$out .= '</div>';

			elseif( $paginate_type == 'infinite_load' && $the_query->max_num_pages > 1):
				$out .= '<div class="post-block-masonry-infinite more-items" data-count="'.$count.'" data-column="'.$column.'" data-thumb="'.$show_thumb.'" data-order="'.$order.'" data-orderby="'.$orderby.'" data-cats="'.$taxonomies.'" data-style="'.$style.'" data-excerpt="'.$allow_excerpt.'" data-elength="'.$excerpt_length.'" data-format="'.$show_post_format.'" data-author="'.$show_author.'" data-date="'.$show_date.'" data-comment="'.$show_comment.'" data-category="'.$show_category.'" data-tag="'.$show_tag.'" data-likes="'.$show_likes.'" data-views="'.$show_views.'" data-maxpage="'.$the_query->max_num_pages.'" data-rbtn="'.urlencode($content).'"></div>';
			endif;

			$out .= '</div>';
		else:
			$out = "<div class='dt-sc-warning-box'>{$warning}</div>";
		endif;

		return $out;
	}
	
	/**
	 * blog template posts
	 * @return string
	 */
	function dt_sc_blog_template_posts($attrs, $content = null ){
		extract( shortcode_atts( array(
			'taxonomies' => '',
			'post_not_in' => '',
			'count' => '-1',
			'order' => 'DESC',
			'orderby' => 'date',
			'post_style' => 'entry-flat',
			'column' => 'one-third-column',
			'allow_excerpt' => 'yes',
			'excerpt_length' => 30,
			'show_thumb' => 'yes',
			'show_post_format' => 'yes',
			'show_author' => 'yes',
			'show_date' => 'yes',
			'show_comment' => 'yes',
			'show_category' => 'yes',
			'show_tag' => 'yes',
			'show_views_likes' => 'yes',
			'show_share_info' => 'yes',
			'paginate_type' => '',
			'read_btn' => esc_html__('Read More', 'designthemes-blog')
		), $attrs ) );

		$out = $apost_layout = '';

		$out .= '<div class="dt-sc-posts-list-wrapper">';

			$apost_layout = $post_layout = $column;
			$post_layout_arr = $meta = array();

			switch($post_layout):
				case 'one-column':	$post_layout_arr[] = 1;  break;
				case 'one-half-column':  $post_layout_arr[] = 2;  break;
				case 'one-third-column':  $post_layout_arr[] = 3;  break;
				default:
					$post_layout_arr = explode('-', $column);
			endswitch;

			if ( get_query_var('paged') ) {
				$paged = get_query_var('paged');
			} elseif ( get_query_var('page') ) { 
				$paged = get_query_var('page');
			} else {
				$paged = 1;
			}

			$args = array( 'paged' => $paged, 'posts_per_page' => $count, 'post_type' => 'post', 'ignore_sticky_posts' => true, 'orderby' => $orderby, 'order' => $order );
	
			if( !empty($taxonomies) )
				$args = array( 'paged' => $paged, 'posts_per_page' => $count, 'ignore_sticky_posts' => true, 'orderby' => $orderby, 'order' => $order, 'cat' => $taxonomies );
			
			if( !empty($post_not_in) )
				$args = array( 'paged' => $paged, 'posts_per_page' => $count, 'ignore_sticky_posts' => true, 'orderby' => $orderby, 'order' => $order, 'cat' => $taxonomies, 'post__not_in' => array( $post_not_in ) );

			$the_query = new WP_Query($args);
			if( $the_query->have_posts() ):

				$out .= "<div class='tpl-blog-holder'>";
				$first_cls = 'first'; $column = 1; $flag = true;

				$allow_excerpt = ( $allow_excerpt == 'yes' ) ? $allow_excerpt : NULL;
				$excerpt = !empty( $excerpt_length ) ? $excerpt_length : 20;
				$read_more = !empty( $read_btn ) ? $read_btn : '';

				$show_post_format = ( $show_post_format == 'yes' ) ? "" : "hidden";
				$show_author = ( $show_author == 'yes' ) ? "" : "hidden";

				$show_date = ( $show_date == 'yes' ) ? "" : "hidden";
				$show_comment = ( $show_comment == 'yes' ) ? "" : "hidden";

				$show_category = ( $show_category == 'yes' ) ? "" : "hidden";
				$show_tag = ( $show_tag == 'yes' ) ? "" : "hidden";

				$show_views_likes = ( $show_views_likes == 'yes' ) ? "" : "hidden";
				$show_share_info = ( $show_share_info == 'yes' ) ? "" : "hidden";

				array_push( $meta, $allow_excerpt, $excerpt, "", $read_more, $show_post_format, $show_author, $show_date, $show_comment, $show_category, $show_tag, $show_views_likes, $show_share_info);

				while( $the_query->have_posts() ):
					$the_query->the_post();
					$post_ID = get_the_ID();

					$post_layout = current($post_layout_arr);
					$meta[12]= $post_layout;

					switch($post_layout):
						case 2:
							$out .= '<div class="column dt-sc-one-half '.esc_attr($first_cls).'">';
								$out .= '<article class="'.implode(' ', get_post_class('blog-entry '.$post_style, $post_ID)).'">';
									if( $post_style == 'entry-overlay' ):
										ob_start();
										DTBlogAddonTemplates::dt_blog_post_overlay_style($post_ID, $meta);
										$out .= ob_get_clean();
									elseif( $post_style == 'entry-minimal' || $post_style == 'entry-minimal list' ):
										ob_start();
										DTBlogAddonTemplates::dt_blog_post_minimal_2_3_column_style($post_ID, $meta);
										$out .= ob_get_clean();
									elseif( $post_style == 'entry-classic' ):
										ob_start();
										DTBlogAddonTemplates::dt_blog_post_classic_style($post_ID, $meta);
										$out .= ob_get_clean();
									elseif( $post_style == 'entry-minimal type2' ):
										ob_start();
										DTBlogAddonTemplates::dt_blog_post_minimal2_style($post_ID, $meta);
										$out .= ob_get_clean();
									elseif( $post_style == 'entry-flat' || $post_style == 'entry-flat list' ):
										ob_start();
										DTBlogAddonTemplates::dt_blog_post_flat_style($post_ID, $meta);
										$out .= ob_get_clean();
									elseif( $post_style == 'entry-alternate' ):
										ob_start();
										if( $flag ):
											DTBlogAddonTemplates::dt_blog_post_alternate_first_style($post_ID, $meta);
											$flag = false;
										else:
											DTBlogAddonTemplates::dt_blog_post_alternate_two_style($post_ID, $meta);
											$flag = true;
										endif;
										$out .= ob_get_clean();
									endif;

									if($column == 2) { $first_cls = 'first'; $column = 1; } else { $first_cls = ''; $column += 1; }
								break;
						case 3:
							$out .= '<div class="column dt-sc-one-third '.esc_attr($first_cls).'">';
								$out .= '<article class="'.implode(' ', get_post_class('blog-entry '.$post_style, $post_ID)).'">';
									if( $post_style == 'entry-overlay' ):
										ob_start();
										DTBlogAddonTemplates::dt_blog_post_overlay_style($post_ID, $meta);
										$out .= ob_get_clean();
									elseif( $post_style == 'entry-minimal' || $post_style == 'entry-minimal list' ):
										ob_start();
										DTBlogAddonTemplates::dt_blog_post_minimal_2_3_column_style($post_ID, $meta);
										$out .= ob_get_clean();
									elseif( $post_style == 'entry-classic' ):
										ob_start();
										DTBlogAddonTemplates::dt_blog_post_classic_style($post_ID, $meta);
										$out .= ob_get_clean();
									elseif( $post_style == 'entry-minimal type2' ):
										ob_start();
										DTBlogAddonTemplates::dt_blog_post_minimal2_style($post_ID, $meta);
										$out .= ob_get_clean();
									elseif( $post_style == 'entry-flat' || $post_style == 'entry-flat list' ):
										ob_start();
										DTBlogAddonTemplates::dt_blog_post_flat_style($post_ID, $meta);
										$out .= ob_get_clean();
									elseif( $post_style == 'entry-alternate' ):
										ob_start();
										if( $flag ):
											DTBlogAddonTemplates::dt_blog_post_alternate_first_style($post_ID, $meta);
											$flag = false;
										else:
											DTBlogAddonTemplates::dt_blog_post_alternate_two_style($post_ID, $meta);
											$flag = true;
										endif;
										$out .= ob_get_clean();
									endif;

									if($column == 3) { $first_cls = 'first'; $column = 1; } else { $first_cls = ''; $column += 1; }
								break;
						case 1:
						default:
							$out .= '<div class="column dt-sc-one-column '.esc_attr($first_cls).'">';
								$out .= '<article class="'.implode(' ', get_post_class('blog-entry '.$post_style, $post_ID)).'">';
									if( $post_style == 'entry-overlay' ):
										ob_start();
										DTBlogAddonTemplates::dt_blog_post_overlay_style($post_ID, $meta);
										$out .= ob_get_clean();
									elseif( $post_style == 'entry-minimal' ):
										ob_start();
										DTBlogAddonTemplates::dt_blog_post_minimal_one_column_style($post_ID, $meta);
										$out .= ob_get_clean();
									elseif( $post_style == 'entry-minimal list' ):
										ob_start();
										DTBlogAddonTemplates::dt_blog_post_minimal_2_3_column_style($post_ID, $meta);
										$out .= ob_get_clean();
									elseif( $post_style == 'entry-classic' ):
										ob_start();
										DTBlogAddonTemplates::dt_blog_post_classic_style($post_ID, $meta);
										$out .= ob_get_clean();
									elseif( $post_style == 'entry-minimal type2' ):
										ob_start();
										DTBlogAddonTemplates::dt_blog_post_minimal2_style($post_ID, $meta);
										$out .= ob_get_clean();
									elseif( $post_style == 'entry-flat' || $post_style == 'entry-flat list' ):
										ob_start();
										DTBlogAddonTemplates::dt_blog_post_flat_style($post_ID, $meta);
										$out .= ob_get_clean();
									elseif( $post_style == 'entry-alternate' ):
										ob_start();
										if( $flag ):
											DTBlogAddonTemplates::dt_blog_post_alternate_first_style($post_ID, $meta);
											$flag = false;
										else:
											DTBlogAddonTemplates::dt_blog_post_alternate_two_style($post_ID, $meta);
											$flag = true;
										endif;
										$out .= ob_get_clean();
									endif;	

					endswitch;
	
					$x = next($post_layout_arr);
					if( empty($x) && (count($post_layout_arr) == 3) ){
						unset($post_layout_arr);
						$post_layout_arr[] = 2;
					} elseif( empty($x) && (count($post_layout_arr) == 4) ){
						unset($post_layout_arr);
						$post_layout_arr[] = 3;
					} elseif( empty($x) && (count($post_layout_arr) == 5) ){
						reset($post_layout_arr);
						next($post_layout_arr);
					} elseif( empty($x) && (count($post_layout_arr) == 6) ){
						reset($post_layout_arr);
					} elseif( empty($x) && (count($post_layout_arr) == 1) ){
						reset($post_layout_arr);
					}
	
					$out .= '</article>';
				$out .= '</div>';

				endwhile;
				
				wp_reset_postdata();
				$out .= '</div>';

				prev($post_layout_arr);
				$key = key($post_layout_arr);
				$key = !empty($key) ? $key : '0';
				if( $paginate_type == 'loadmore_btn' ):

					$out .= '<a class="loadmore-btn more-items" data-count="'.$count.'" data-pos="'.$key.'" data-alayout="'.$apost_layout.'" data-style="'.$post_style.'" data-maxpage="'.$the_query->max_num_pages.'" data-column="'.$column.'" data-gpageid="'.$globalid.'" data-cats="'.$taxonomies.'" href="javascript:void(0);">'.esc_html__("Load More", "designthemes-blog").'</a>';

				elseif( $paginate_type == 'infinite_load' ):

					$out .= '<div class="infinite-btn more-items" data-count="'.$count.'" data-pos="'.$key.'" data-alayout="'.$apost_layout.'" data-style="'.$post_style.'" data-maxpage="'.$the_query->max_num_pages.'" data-column="'.$column.'" data-gpageid="'.$globalid.'" data-cats="'.$taxonomies.'" href="javascript:void(0);"></div>';

				elseif( $paginate_type == 'default' ):
					$out .= '<div class="pagination blog-pagination">'.maaya_pagination($the_query).'</div>';
				endif;

			else:
				$out .= '<h2>'.esc_html__('Nothing Found.', 'designthemes-blog').'</h2>';
				$out .= '<p>'.esc_html__('Apologies, but no results were found for the requested archive.', 'designthemes-blog').'</p>';
			endif;
		$out .= '</div>';

		return $out;
	}

	/**
	 * block default filter
	 * @return string
	 */
	function dt_sc_post_block_default_filter($attrs, $content = null ){
		extract( shortcode_atts( array(
			'title' => '',
			'taxonomies' => '',
			'count' => '4',
			'order' => 'DESC',
			'orderby' => 'date',
			'style' => 'default',
			'allow_excerpt' => 'yes',
			'excerpt_length' => 20,
			'show_post_format' => 'yes',
			'show_author' => 'yes',
			'show_date' => 'yes',
			'show_comment' => 'yes',
			'show_category' => 'yes',
			'show_tag' => 'yes',
			'show_likes' => 'yes',
			'show_views' => 'yes'
		), $attrs ) );

		$out = $post_class = $rside = $pp = '';
		$column = 0;

		$pp = ($count > 0 && $count <= 4) ? $count : 4;
		$args = array( 'posts_per_page' => $pp, 'orderby' => $orderby, 'order' => $order );
		$warning = esc_html__('No Posts Found','designthemes-blog');

		if( !empty($taxonomies) ){
			$args = array( 'posts_per_page' => $pp, 'orderby' => $orderby, 'order' => $order, 'cat' => $taxonomies );
			$warning = esc_html__('No Posts Found in Category: ','designthemes-blog').$taxonomies;
		}

		$the_query = new WP_Query( $args );
		if ( $the_query->have_posts() ) :
			$i = 1;

			$out .= '<div class="dt-sc-post-block-default-filter-wrapper">';
				$out .= '<h2><span>'.$title.'</span></h2>';

				if( !empty($taxonomies) ){
					$taxarr = explode(',', $taxonomies);
					$out .= '<div class="dt-sc-block-filter">';
						$out .= '<a class="current" href="javascript:void(0)" title="'.esc_attr__('All', 'designthemes-blog').'" data-id="'.$taxonomies.'" data-max="'.$the_query->max_num_pages.'">'.esc_attr__('All', 'designthemes-blog').'</a>';
						foreach($taxarr as $t):
							$term = get_term($t, 'category');
							$m = $term->count;
							$m = ceil(($m / 4));
							$out .= '<a href="javascript:void(0)" title="'.$term->name.'" data-id="'.(int)$t.'" data-max="'.$m.'">'.$term->name.'</a>';
						endforeach;
					$out .= '</div>';
				}

				$out .= '<div class="post-block-default-filter">';

				while( $the_query->have_posts() ):
					$the_query->the_post();
					$the_id = get_the_ID();
					$the_title = get_the_title();
					$the_permalink = get_permalink();

					$post_meta = get_post_meta($the_id,'_dt_post_settings',TRUE);
					$post_meta = is_array($post_meta) ? $post_meta  : array();

					$the_format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard';

					$post_class = get_post_class( array('blog-entry', $style, 'format-'.$the_format) , $the_id );
					$post_class = implode(' ',$post_class );

					$temp_class = "";

					if($i == 1) $temp_class = $post_class." large-thumb"; else $temp_class = $post_class;
					if($i == $column) $i = 1; else $i = $i + 1;

					switch($i):
						case '2':
						  $out .= '<div class="dt-sc-one-half column first">';
							$out .= "<article class='".esc_attr( $temp_class )."'>";
								$out .= '<!-- Featured Image -->';
								$out .= '<div class="entry-thumb">';
									if( function_exists( 'wp_review_constants' ) ):
										$r_meta = get_post_meta($the_id,'wp_review_user_reviews',TRUE);
										if($r_meta > 0)
											$out .= '<div class="entry-rating">'.$r_meta.'</div>';
									endif;

									// If it's galley post
									if( $the_format === "gallery" && $post_meta['post-gallery-items'] != '' ) :
										$out .= '<ul class="entry-gallery-post-slider">';
											$items = explode(',', $post_meta["post-gallery-items"]);
											foreach ( $items as $item ) {
												$out .= '<li>'.wp_get_attachment_image( $item, 'full' ).'</li>';
											}
										$out .= '</ul>';
									// If it's video post
									elseif( $the_format === "video" && $post_meta['media-url'] != '' ) :
										$out .= '<div class="dt-video-wrap">';
											if( $post_meta['media-type'] == 'oembed' ) :
												$out .= wp_oembed_get($post_meta['media-url']);
											elseif( $post_meta['media-type'] == 'self' ) :
												$out .= wp_video_shortcode( array('src' => $post_meta['media-url']) );
											endif;
										$out .= '</div>';
									// If it's audio post
									elseif( $the_format === "audio" ) :
										if( has_post_thumbnail() ) :
											$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
										endif;

										if( $post_meta['media-url'] != '' ) :
											if( $post_meta['media-type'] == 'oembed' ) :
												$out .= wp_oembed_get($post_meta['media-url']);
											elseif( $post_meta['media-type'] == 'self' ) :
												$out .= wp_audio_shortcode( array('src' => $post_meta['media-url']) );
											endif;
										endif;
									elseif( has_post_thumbnail() ) :
										$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
									endif;
	
									$out .= '<div class="entry-meta-data">';
										if( $show_post_format == 'yes' ):
											$out .= '<!-- Entry Format -->';
											$out .= '<div class="entry-format">';
												$out .= '<a class="ico-format" href="javascript:void(0)"></a>';
											$out .= '</div><!-- Entry Format -->';
										endif;
	
										$cats = wp_get_object_terms($the_id,'category');
										if( !empty($cats) && $show_category == 'yes' ):
											$counts = count($cats);
											$out .= '<div class="category">';
												foreach( $cats as $key => $term ) {
													$meta = get_term_meta( $term->term_id, '_post_category_options', false );
													$color = !empty($meta[0]['c_color']) ? 'style="background: '.$meta[0]['c_color'].'"' : '';

													$out .= '<a href="'.get_term_link( $term->slug ,'category').'" rel="category" '.$color.'>'.esc_html( $term->name ).'</a>';
													$key += 1;
	
													if( $key !== $counts ){
														$out .= ' ';
													}
												}
											$out .= '</div>';
										endif;
									 $out .= '</div>';
								$out .= '</div><!-- Featured Image -->';
	
								$out .= '<!-- Entry Details -->';
								$out .= '<div class="entry-details">';
									$out .= '<!-- Meta -->';
									$out .= '<div class="entry-meta"> ';
										if( $show_author == 'yes' ):
											$out .= '<div class="author"> <a href="'.get_author_posts_url(get_the_author_meta('ID')).'" title="'.esc_attr__('View all posts by ', 'designthemes-blog').get_the_author().'">'.get_the_author().'</a> </div>';
										endif;
	
										if( $show_date == 'yes' ):
											$out .= '<div class="date">'.get_the_date('M').' '.get_the_date('d').', '.get_the_date('Y').' '.get_the_date('h:i a').'</div>';
										endif;
	
										if( $show_comment == 'yes' ):
											$cmttext = "";
											if((wp_count_comments($the_id)->approved) == 0):
												$cmttext = '0';
											else:
												$cmttext = wp_count_comments($the_id)->approved;
											endif;
											$out .= '<div class="comments"> <a href="'.esc_url($the_permalink).'#respond"><i class="zmdi zmdi-comment-list zmdi-hc-fw"> </i> '.esc_html($cmttext).' </a></div>';
										endif;

										if( $show_likes == 'yes' ):
											$lcount = !empty( $post_meta['like_count'] ) ? $post_meta['like_count'] : 0;
											$out .= '<div class="likes"><i class="zmdi zmdi-favorite-outline zmdi-hc-fw"> </i> '.$lcount.' </div>';
										endif;

										if( $show_views == 'yes' ):
											$vcount = !empty( $post_meta['view_count'] ) ? $post_meta['view_count'] : 0;
											$out .= '<div class="views"><i class="zmdi zmdi-eye zmdi-hc-fw"> </i> '.$vcount.' </div>';
										endif;
									$out .= '</div><!-- Meta -->';
									$out .= '<div class="entry-title">';
										$tags = wp_get_post_tags($the_id);
										if( !empty($tags) && $show_tag == 'yes' ):
											$counts = count($tags);
											$out .= '<div class="tags">';
												foreach( $tags as $key => $term ) {
													$meta = get_term_meta( $term->term_id, '_post_tag_options', false );
													$color = !empty($meta[0]['t_color']) ? 'style="background: '.$meta[0]['t_color'].'"' : '';

													$out .= '<a href="'.get_term_link( $term->slug ,'post_tag').'" rel="tag" '.$color.'>'.esc_html( $term->name ).'</a>';
													$key += 1;

													if( $key !== $counts ){
														$out .= ' ';
													}
												}
											$out .= '</div>';
										endif;
										$out .= '<h4><a href="'.$the_permalink.'" title="'.$the_title.'">'.$the_title.'</a></h4>';
									$out .= '</div>';
									if( $allow_excerpt == 'yes' ):
										$out .= '<div class="entry-body">';
											$out .= DTBlogAddonSCsDefinition::dt_sc_post_excerpt($excerpt_length);
										$out .= '</div>';
									endif;	
									$out .= '<!-- Read More Button -->';
										$content = stripslashes( $content );
										$sc = DTBlogAddonSCsDefinition::dtShortcodeHelper ( $content );
										$sc = str_replace("href='#'",'href="'.$the_permalink.'"',$sc);
										$out .= $sc;
									$out .= '<!-- Read More Button -->';
								$out .= '</div><!-- Entry Details -->';
							$out .= '</article>';
						  $out .= '</div>';	
						break;
						
						default:
							$rside .= "<article class='".esc_attr( $temp_class )."'>";
								$rside .= '<!-- Featured Image -->';
								$rside .= '<div class="entry-thumb">';
									if( function_exists( 'wp_review_constants' ) ):
										$r_meta = get_post_meta($the_id,'wp_review_user_reviews',TRUE);
										if($r_meta > 0)
											$rside .= '<div class="entry-rating">'.$r_meta.'</div>';
									endif;

									// If it's galley post
									if( $the_format === "gallery" && $post_meta['post-gallery-items'] != '' ) :
										$rside .= '<ul class="entry-gallery-post-slider">';
											$items = explode(',', $post_meta["post-gallery-items"]);
											foreach ( $items as $item ) {
												$rside .= '<li>'.wp_get_attachment_image( $item, 'full' ).'</li>';
											}
										$rside .= '</ul>';
									// If it's video post
									elseif( $the_format === "video" && $post_meta['media-url'] != '' ) :
										$rside .= '<div class="dt-video-wrap">';
											if( $post_meta['media-type'] == 'oembed' ) :
												$rside .= wp_oembed_get($post_meta['media-url']);
											elseif( $post_meta['media-type'] == 'self' ) :
												$rside .= wp_video_shortcode( array('src' => $post_meta['media-url']) );
											endif;
										$rside .= '</div>';
									// If it's audio post
									elseif( $the_format === "audio" ) :
										if( has_post_thumbnail() ) :
											$rside .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
										endif;

										if( $post_meta['media-url'] != '' ) :
											if( $post_meta['media-type'] == 'oembed' ) :
												$rside .= wp_oembed_get($post_meta['media-url']);
											elseif( $post_meta['media-type'] == 'self' ) :
												$rside .= wp_audio_shortcode( array('src' => $post_meta['media-url']) );
											endif;
										endif;
									elseif( has_post_thumbnail() ) :
										$rside .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
									endif;

									$rside .= '<!-- Entry Format -->';
									$rside .= '<div class="entry-format">';
										$rside .= '<a class="ico-format" href="javascript:void(0)"></a>';
									$rside .= '</div><!-- Entry Format -->';

								$rside .= '</div><!-- Featured Image -->';

								$rside .= '<!-- Entry Details -->';
								$rside .= '<div class="entry-details">';
									$rside .= '<div class="entry-title">';
										$tags = wp_get_post_tags($the_id);
										if( !empty($tags) ):
											$counts = count($tags);
											$rside .= '<div class="tags">';
												foreach( $tags as $key => $term ) {
													$meta = get_term_meta( $term->term_id, '_post_tag_options', false );
													$color = !empty($meta[0]['t_color']) ? 'style="background: '.$meta[0]['t_color'].'"' : '';

													$rside .= '<a href="'.get_term_link( $term->slug ,'post_tag').'" rel="tag" '.$color.'>'.esc_html( $term->name ).'</a>';
													$key += 1;

													if( $key !== $counts ){
														$rside .= ' ';
													}
												}
											$rside .= '</div>';
										endif;
										$rside .= '<h4><a href="'.$the_permalink.'" title="'.$the_title.'">'.$the_title.'</a></h4>';
									$rside .= '</div>';

									$rside .= '<!-- Meta -->';
									$rside .= '<div class="entry-meta">';
										$rside .= '<div class="date">'.get_the_date('M').' '.get_the_date('d').', '.get_the_date('Y').' '.get_the_date('h:i a').'</div>';
									$rside .= '</div><!-- Meta -->';
								$rside .= '</div><!-- Entry Details -->';
							$rside .= '</article>';
						break;
					endswitch;
				endwhile;

				$out .= '<div class="dt-sc-one-half column">'.$rside.'</div>';

				wp_reset_postdata();
				$out .= '</div>';

				if( $count > 4 || $count == -1):
					$out .= '<div class="block-paginate" data-order="'.$order.'" data-orderby="'.$orderby.'" data-cats="'.$taxonomies.'" data-style="'.$style.'" data-excerpt="'.$allow_excerpt.'" data-elength="'.$excerpt_length.'" data-format="'.$show_post_format.'" data-author="'.$show_author.'" data-date="'.$show_date.'" data-comment="'.$show_comment.'" data-category="'.$show_category.'" data-tag="'.$show_tag.'" data-likes="'.$show_likes.'" data-views="'.$show_views.'" data-maxpage="'.$the_query->max_num_pages.'" data-rbtn="'.urlencode($content).'">';
						$out .= '<a class="block-prev">Prev</a>';
						$out .= '<a class="block-next active">Next</a>';
					$out .= '</div>';
				endif;

			$out .= '</div>';
		else:
			$out = "<div class='dt-sc-warning-box'>{$warning}</div>";
		endif;

		return $out;
	}

	/**
	 * breaking news type2
	 * @return string
	 */
	function dt_sc_breaking_news_type2( $attrs, $content = null ){
		extract ( shortcode_atts ( array (
			'title' => '',
			'taxonomies' => '',
			'count' => '8',
			'visible' => '5',
			'scroll' => '1',
			'order' => 'DESC',
			'orderby' => 'date',
			'auto_animate' => 'yes',
			'class' => ''
		), $attrs ) );

		$out = '';

		$args = array( 'posts_per_page' => $count, 'orderby' => $orderby, 'order' => $order );
		$warning = esc_html__('No Posts Found','designthemes-blog');

		if( !empty($taxonomies) ){
			$args = array( 'posts_per_page' => $count, 'orderby' => $orderby, 'order' => $order, 'cat' => $taxonomies );
			$warning = esc_html__('No Posts Found in Category: ','designthemes-blog').$taxonomies;
		}

		$the_query = new WP_Query( $args );
		if ( $the_query->have_posts() ) :

			$out .= '<div class="dt-sc-breaking-news-type2 '.$class.'">';

			if(!empty($title)) $out .= '<div class="breaking-title">'.$title.'</div>';

			$out .= '<div class="breakingcarousel">';
				$out .= '<ul class="breaking_type2" data-visible="'.$visible.'" data-scroll="'.$scroll.'" data-auto="'.$auto_animate.'">';

				while( $the_query->have_posts() ):
					$the_query->the_post();
					$the_id = get_the_ID();
					$the_title = get_the_title();
					$the_permalink = get_permalink();

                    $out .= '<li>';
						$out .= '<div class="entry-thumb">';
							if( has_post_thumbnail() ) :
								$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full").'</a>';
							else:
								$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'"><img src="http://placehold.jp/1200x800.jpg" alt="'.$the_title.'" /></a>';
							endif;

							$out .= '<div class="entry-title">';
								$out .= '<h4><a href="'.$the_permalink.'" title="'.$the_title.'">'.$the_title.'</a></h4>';
								$out .= '<div class="entry-meta">';
									$out .= '<div class="date">'.get_the_date('M').' '.get_the_date('d').', '.get_the_date('Y').' '.get_the_date('h:i a').'</div>';
								$out .= '</div>';
							$out .= '</div>';
						$out .= '</div>';
                    $out .= '</li>';
				endwhile;

				$out .= '</ul>';

				$out .= '<div class="dt-sc-breaking-nav">';
					$out .= '<div class="prev-arrow">Prev</div>';
					$out .= '<div class="next-arrow">Next</div>';
				$out .= '</div>';
			$out .= '</div>';
			wp_reset_postdata();
			$out .= '</div>';
		else:
			$out = "<div class='dt-sc-warning-box'>{$warning}</div>";
		endif;

		return $out;
	}

	/**
	 * post default carousel
	 * @return string
	 */
	function dt_sc_post_default_carousel( $attrs, $content = null ){
		extract ( shortcode_atts ( array (
			'title' => '',
			'taxonomies' => '',
			'count' => '8',
			'visible' => '4',
			'scroll' => '1',
			'order' => 'DESC',
			'orderby' => 'date',
			'style' => 'classic',
			'class' => ''
		), $attrs ) );

		$out = '';

		$args = array( 'posts_per_page' => $count, 'orderby' => $orderby, 'order' => $order );
		$warning = esc_html__('No Posts Found','designthemes-blog');

		if( !empty($taxonomies) ){
			$args = array( 'posts_per_page' => $count, 'orderby' => $orderby, 'order' => $order, 'cat' => $taxonomies );
			$warning = esc_html__('No Posts Found in Category: ','designthemes-blog').$taxonomies;
		}

		$the_query = new WP_Query( $args );
		if ( $the_query->have_posts() ) :

			$out .= '<div class="dt-sc-post-default-carousel '.$style.' '.$class.'">';

			if(!empty($title)) $out .= '<div class="default-title">'.$title.'</div>';

			$out .= '<div class="postcarousel">';
				$out .= '<ul class="post_default_carousel" data-visible="'.$visible.'" data-scroll="'.$scroll.'">';

				while( $the_query->have_posts() ):
					$the_query->the_post();
					$the_id = get_the_ID();
					$the_title = get_the_title();
					$the_permalink = get_permalink();

                    $out .= '<li>';
						$out .= '<div class="entry-thumb">';
							$out .= '<!-- Entry Format -->';
							$out .= '<div class="entry-format">';
								$out .= '<a class="ico-format" href="javascript:void(0)"></a>';
							$out .= '</div><!-- Entry Format -->';

							if( has_post_thumbnail() ) :
								$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full").'</a>';
							else:
								$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'"><img src="http://placehold.jp/1200x800.jpg" alt="'.$the_title.'" /></a>';
							endif;
							
							$cats = wp_get_object_terms($the_id,'category');
							if( !empty($cats) && $style == 'modern' ):
								$counts = count($cats);
								$out .= '<div class="category">';
									foreach( $cats as $key => $term ) {
										$meta = get_term_meta( $term->term_id, '_post_category_options', false );
										$color = !empty($meta[0]['c_color']) ? 'style="background: '.$meta[0]['c_color'].'"' : '';

										$out .= '<a href="'.get_term_link( $term->slug ,'category').'" rel="category" '.$color.'>'.esc_html( $term->name ).'</a>';
										$key += 1;

										if( $key !== $counts ){
											$out .= ' ';
										}
									}
								$out .= '</div>';
							endif;
						$out .= '</div>';

						$out .= '<div class="entry-title">';
							if( !empty($cats) && $style == 'classic' ):
								$counts = count($cats);
								$out .= '<div class="category">';
									foreach( $cats as $key => $term ) {
										$meta = get_term_meta( $term->term_id, '_post_category_options', false );
										$color = !empty($meta[0]['c_color']) ? 'style="color: '.$meta[0]['c_color'].'"' : '';

										$out .= '<a href="'.get_term_link( $term->slug ,'category').'" rel="category" '.$color.'>'.esc_html( $term->name ).'</a>';
										$key += 1;

										if( $key !== $counts ){
											$out .= ' ';
										}
									}
								$out .= '</div>';
							endif;

							$out .= '<h4><a href="'.$the_permalink.'" title="'.$the_title.'">'.$the_title.'</a></h4>';

							$out .= '<div class="entry-meta">';
								$out .= '<div class="date">'.get_the_date('M').'. '.get_the_date('d').', '.get_the_date('Y').'</div>';

								$cmttext = "";
								if((wp_count_comments($the_id)->approved) == 0):
									$cmttext = '0';
								else:
									$cmttext = wp_count_comments($the_id)->approved;
								endif;
								$out .= '<div class="comments"> <a href="'.esc_url($the_permalink).'#respond"><i class="zmdi zmdi-comment-list zmdi-hc-fw"> </i> '.esc_html($cmttext).' </a></div>';
							$out .= '</div>';
						$out .= '</div>';
                    $out .= '</li>';
				endwhile;

				$out .= '</ul>';

				$out .= '<div class="dt-sc-post-carousel-nav">';
					$out .= '<div class="prev-arrow">Prev</div>';
					$out .= '<div class="next-arrow">Next</div>';
				$out .= '</div>';
			$out .= '</div>';
			wp_reset_postdata();
			$out .= '</div>';
		else:
			$out = "<div class='dt-sc-warning-box'>{$warning}</div>";
		endif;

		return $out;
	}

	/**
	 * post default slider
	 * @return string
	 */
	function dt_sc_post_default_slider( $attrs, $content = null ){
		extract ( shortcode_atts ( array (
			'taxonomies' => '',
			'count' => '5',
			'order' => 'DESC',
			'orderby' => 'date',
			'navigation' => 'yes',
			'pagination' => 'yes',
			'animation' => 'fade',
			'class' => ''
		), $attrs ) );

		$out = '';

		$args = array( 'posts_per_page' => $count, 'orderby' => $orderby, 'order' => $order );
		$warning = esc_html__('No Posts Found','designthemes-blog');

		if( !empty($taxonomies) ){
			$args = array( 'posts_per_page' => $count, 'orderby' => $orderby, 'order' => $order, 'cat' => $taxonomies );
			$warning = esc_html__('No Posts Found in Category: ','designthemes-blog').$taxonomies;
		}

		$the_query = new WP_Query( $args );
		if ( $the_query->have_posts() ) :

			$out .= '<div class="dt-sc-post-default-slider '.$class.'" data-nav="'.$navigation.'" data-paginate="'.$pagination.'" data-animation="'.$animation.'">';

			$out .= '<div class="postdefaultslider">';
				$out .= '<ul class="postslider">';

				while( $the_query->have_posts() ):
					$the_query->the_post();
					$the_id = get_the_ID();
					$the_title = get_the_title();
					$the_permalink = get_permalink();

					$post_meta = get_post_meta($the_id,'_dt_post_settings',TRUE);
					$post_meta = is_array($post_meta) ? $post_meta  : array();

                    $out .= '<li>';

						$out .= '<div class="entry-thumb">';
							if( has_post_thumbnail() ) :
								$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full").'</a>';
							else:
								$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'"><img src="http://placehold.jp/1200x800.jpg" alt="'.$the_title.'" /></a>';
							endif;

							$out .= '<div class="entry-details">';
								$cats = wp_get_object_terms($the_id,'category');
								if( !empty($cats) ):
									$count = count($cats);
									$out .= '<div class="category">';
										foreach( $cats as $key => $term ) {
											$meta = get_term_meta( $term->term_id, '_post_category_options', false );
											$color = !empty($meta[0]['c_color']) ? 'style="background: '.$meta[0]['c_color'].'"' : '';
	
											$out .= '<a href="'.get_term_link( $term->slug ,'category').'" rel="category" '.$color.'>'.esc_html( $term->name ).'</a>';
											$key += 1;

											if( $key !== $count ){
												$out .= ' ';
											}
										}
									$out .= '</div>';
								endif;

								$out .= '<div class="entry-title">';
									$out .= '<h4><a href="'.$the_permalink.'" title="'.$the_title.'">'.$the_title.'</a></h4>';
								$out .= '</div>';

								$out .= '<div class="entry-meta">';
									$out .= '<div class="date"><i class="zmdi zmdi-calendar zmdi-hc-fw"> </i>'.get_the_date('M').' '.get_the_date('d').', '.get_the_date('Y').'</div>';

									$cmttext = "";
									if((wp_count_comments($the_id)->approved) == 0):
										$cmttext = '0';
									else:
										$cmttext = wp_count_comments($the_id)->approved;
									endif;
									$out .= '<div class="comments"> <a href="'.esc_url($the_permalink).'#respond"><i class="zmdi zmdi-comment-list zmdi-hc-fw"> </i> '.esc_html($cmttext).' </a></div>';
									$vcount = isset( $post_meta['view_count'] ) ? $post_meta['view_count'] : 0;
									$out .= '<div class="views"><i class="zmdi zmdi-eye zmdi-hc-fw"> </i> '.$vcount.' </div>';
								$out .= '</div>';
							$out .= '</div>';

						$out .= '</div>';
                    $out .= '</li>';
				endwhile;

				$out .= '</ul>';
			$out .= '</div>';
			wp_reset_postdata();
			$out .= '</div>';
		else:
			$out = "<div class='dt-sc-warning-box'>{$warning}</div>";
		endif;

		return $out;
	}

	/**
	 * block default loadmore
	 * @return string
	 */
	function dt_sc_post_block_default_loadmore($attrs, $content = null ){
		extract( shortcode_atts( array(
			'taxonomies' => '',
			'count' => '5',
			'order' => 'DESC',
			'orderby' => 'date',
			'style' => 'default',
			'allow_excerpt' => 'yes',
			'excerpt_length' => 20,
			'show_post_format' => 'yes',
			'show_author' => 'yes',
			'show_date' => 'yes',
			'show_comment' => 'yes',
			'show_category' => 'yes',
			'show_tag' => 'yes',
			'show_likes' => 'yes',
			'show_views' => 'yes'
		), $attrs ) );

		$out = $post_class = $rside = $pp = '';
		$column = 0;

		$pp = ($count >= 1 && $count <= 5) ? $count : 5;
		$args = array( 'posts_per_page' => $pp, 'orderby' => $orderby, 'order' => $order );
		$warning = esc_html__('No Posts Found','designthemes-blog');

		if( !empty($taxonomies) ){
			$args = array( 'posts_per_page' => $pp, 'orderby' => $orderby, 'order' => $order, 'cat' => $taxonomies );
			$warning = esc_html__('No Posts Found in Category: ','designthemes-blog').$taxonomies;
		}

		$the_query = new WP_Query( $args );
		if ( $the_query->have_posts() ) :
			$i = 1;

			$out .= '<div class="dt-sc-post-block-default-loadmore-wrapper">';

				$out .= '<div class="post-block-default-loadmore">';

				while( $the_query->have_posts() ):
					$the_query->the_post();
					$the_id = get_the_ID();
					$the_title = get_the_title();
					$the_permalink = get_permalink();

					$post_meta = get_post_meta($the_id,'_dt_post_settings',TRUE);
					$post_meta = is_array($post_meta) ? $post_meta  : array();

					$the_format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard';

					$post_class = get_post_class( array('blog-entry', $style, 'format-'.$the_format) , $the_id );
					$post_class = implode(' ',$post_class );
	
					$temp_class = "";
					
					if($i == 1) $temp_class = $post_class." large-thumb"; else $temp_class = $post_class;
					if($i == $column) $i = 1; else $i = $i + 1;
	
					switch($i):
						case '2':
						  $out .= '<div class="dt-sc-one-half column first">';
							$out .= "<article class='".esc_attr( $temp_class )."'>";
								$out .= '<!-- Featured Image -->';
								$out .= '<div class="entry-thumb">';
									if( function_exists( 'wp_review_constants' ) ):
										$r_meta = get_post_meta($the_id,'wp_review_user_reviews',TRUE);
										if($r_meta > 0)
											$out .= '<div class="entry-rating">'.$r_meta.'</div>';
									endif;

									// If it's galley post
									if( $the_format === "gallery" && $post_meta['post-gallery-items'] != '' ) :
										$out .= '<ul class="entry-gallery-post-slider">';
											$items = explode(',', $post_meta["post-gallery-items"]);
											foreach ( $items as $item ) {
												$out .= '<li>'.wp_get_attachment_image( $item, 'full' ).'</li>';
											}
										$out .= '</ul>';
									// If it's video post
									elseif( $the_format === "video" && $post_meta['media-url'] != '' ) :
										$out .= '<div class="dt-video-wrap">';
											if( $post_meta['media-type'] == 'oembed' ) :
												$out .= wp_oembed_get($post_meta['media-url']);
											elseif( $post_meta['media-type'] == 'self' ) :
												$out .= wp_video_shortcode( array('src' => $post_meta['media-url']) );
											endif;
										$out .= '</div>';
									// If it's audio post
									elseif( $the_format === "audio" ) :
										if( has_post_thumbnail() ) :
											$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
										endif;

										if( $post_meta['media-url'] != '' ) :
											if( $post_meta['media-type'] == 'oembed' ) :
												$out .= wp_oembed_get($post_meta['media-url']);
											elseif( $post_meta['media-type'] == 'self' ) :
												$out .= wp_audio_shortcode( array('src' => $post_meta['media-url']) );
											endif;
										endif;
									elseif( has_post_thumbnail() ) :
										$out .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
									endif;

									$out .= '<div class="entry-meta-data">';
										if( $show_post_format == 'yes' ):
											$out .= '<!-- Entry Format -->';
											$out .= '<div class="entry-format">';
												$out .= '<a class="ico-format" href="javascript:void(0)"></a>';
											$out .= '</div><!-- Entry Format -->';
										endif;

										$cats = wp_get_object_terms($the_id,'category');
										if( !empty($cats) && $show_category == 'yes' ):
											$counts = count($cats);
											$out .= '<div class="category">';
												foreach( $cats as $key => $term ) {
													$meta = get_term_meta( $term->term_id, '_post_category_options', false );
													$color = !empty($meta[0]['c_color']) ? 'style="background: '.$meta[0]['c_color'].'"' : '';
			
													$out .= '<a href="'.get_term_link( $term->slug ,'category').'" rel="category" '.$color.'>'.esc_html( $term->name ).'</a>';
													$key += 1;
	
													if( $key !== $counts ){
														$out .= ' ';
													}
												}
											$out .= '</div>';
										endif;
									 $out .= '</div>';
								$out .= '</div><!-- Featured Image -->';
	
								$out .= '<!-- Entry Details -->';
								$out .= '<div class="entry-details">';
									$out .= '<!-- Meta -->';
									$out .= '<div class="entry-meta"> ';
										if( $show_author == 'yes' ):
											$out .= '<div class="author"> <a href="'.get_author_posts_url(get_the_author_meta('ID')).'" title="'.esc_attr__('View all posts by ', 'designthemes-blog').get_the_author().'">'.get_the_author().'</a> </div>';
										endif;

										if( $show_date == 'yes' ):
											$out .= '<div class="date">'.get_the_date('M').' '.get_the_date('d').', '.get_the_date('Y').' '.get_the_date('h:i a').'</div>';
										endif;

										if( $show_comment == 'yes' ):
											$cmttext = "";
											if((wp_count_comments($the_id)->approved) == 0):
												$cmttext = '0';
											else:
												$cmttext = wp_count_comments($the_id)->approved;
											endif;
											$out .= '<div class="comments"> <a href="'.esc_url($the_permalink).'#respond"><i class="zmdi zmdi-comment-list zmdi-hc-fw"> </i> '.esc_html($cmttext).' </a></div>';
										endif;

										if( $show_likes == 'yes' ):
											$lcount = !empty( $post_meta['like_count'] ) ? $post_meta['like_count'] : 0;
											$out .= '<div class="likes"><i class="zmdi zmdi-favorite-outline zmdi-hc-fw"> </i> '.$lcount.' </div>';
										endif;

										if( $show_views == 'yes' ):
											$vcount = !empty( $post_meta['view_count'] ) ? $post_meta['view_count'] : 0;
											$out .= '<div class="views"><i class="zmdi zmdi-eye zmdi-hc-fw"> </i> '.$vcount.' </div>';
										endif;
									$out .= '</div><!-- Meta -->';
									$out .= '<div class="entry-title">';
										$tags = wp_get_post_tags($the_id);
										if( !empty($tags) && $show_tag == 'yes' ):
											$counts = count($tags);
											$out .= '<div class="tags">';
												foreach( $tags as $key => $term ) {
													$meta = get_term_meta( $term->term_id, '_post_tag_options', false );
													$color = !empty($meta[0]['t_color']) ? 'style="background: '.$meta[0]['t_color'].'"' : '';

													$out .= '<a href="'.get_term_link( $term->slug ,'post_tag').'" rel="tag" '.$color.'>'.esc_html( $term->name ).'</a>';
													$key += 1;
	
													if( $key !== $counts ){
														$out .= ' ';
													}
												}
											$out .= '</div>';
										endif;
										$out .= '<h4><a href="'.$the_permalink.'" title="'.$the_title.'">'.$the_title.'</a></h4>';
									$out .= '</div>';
									if( $allow_excerpt == 'yes' ):
										$out .= '<div class="entry-body">';
											$out .= DTBlogAddonSCsDefinition::dt_sc_post_excerpt($excerpt_length);
										$out .= '</div>';
									endif;
									$out .= '<!-- Read More Button -->';
										$content = stripslashes( $content );
										$sc = DTCoreShortcodesDefination::dtShortcodeHelper ( $content );	
										$sc = str_replace("href='#'",'href="'.$the_permalink.'"',$sc);
										$out .= $sc;
									$out .= '<!-- Read More Button -->';
								$out .= '</div><!-- Entry Details -->';
							$out .= '</article>';
						  $out .= '</div>';
						break;

						default:
							$rside .= "<li><article class='".esc_attr( $temp_class )."'>";
								$rside .= '<!-- Featured Image -->';
								$rside .= '<div class="entry-thumb">';
									if( function_exists( 'wp_review_constants' ) ):
										$r_meta = get_post_meta($the_id,'wp_review_user_reviews',TRUE);
										if($r_meta > 0)
											$rside .= '<div class="entry-rating">'.$r_meta.'</div>';
									endif;

									// If it's galley post
									if( $the_format === "gallery" && $post_meta['post-gallery-items'] != '' ) :
										$rside .= '<ul class="entry-gallery-post-slider">';
											$items = explode(',', $post_meta["post-gallery-items"]);
											foreach ( $items as $item ) {
												$rside .= '<li>'.wp_get_attachment_image( $item, 'full' ).'</li>';
											}
										$rside .= '</ul>';
									// If it's video post
									elseif( $the_format === "video" && $post_meta['media-url'] != '' ) :
										$rside .= '<div class="dt-video-wrap">';
											if( $post_meta['media-type'] == 'oembed' ) :
												$rside .= wp_oembed_get($post_meta['media-url']);
											elseif( $post_meta['media-type'] == 'self' ) :
												$rside .= wp_video_shortcode( array('src' => $post_meta['media-url']) );
											endif;
										$rside .= '</div>';
									// If it's audio post
									elseif( $the_format === "audio" ) :
										if( has_post_thumbnail() ) :
											$rside .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
										endif;

										if( $post_meta['media-url'] != '' ) :
											if( $post_meta['media-type'] == 'oembed' ) :
												$rside .= wp_oembed_get($post_meta['media-url']);
											elseif( $post_meta['media-type'] == 'self' ) :
												$rside .= wp_audio_shortcode( array('src' => $post_meta['media-url']) );
											endif;
										endif;
									elseif( has_post_thumbnail() ) :
										$rside .= '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "full", array( 'class' => 'animate', 'data-animate' => 'fadeIn' )).'</a>';
									endif;

									$rside .= '<!-- Entry Format -->';
									$rside .= '<div class="entry-format">';
										$rside .= '<a class="ico-format" href="javascript:void(0)"></a>';
									$rside .= '</div><!-- Entry Format -->';

								$rside .= '</div><!-- Featured Image -->';

								$rside .= '<!-- Entry Details -->';
								$rside .= '<div class="entry-details">';
									$rside .= '<div class="entry-title">';
										$tags = wp_get_post_tags($the_id);
										if( !empty($tags) ):
											$counts = count($tags);
											$rside .= '<div class="tags">';
												foreach( $tags as $key => $term ) {
													$meta = get_term_meta( $term->term_id, '_post_tag_options', false );
													$color = !empty($meta[0]['t_color']) ? 'style="background: '.$meta[0]['t_color'].'"' : '';

													$rside .= '<a href="'.get_term_link( $term->slug ,'post_tag').'" rel="tag" '.$color.'>'.esc_html( $term->name ).'</a>';
													$key += 1;

													if( $key !== $counts ){
														$rside .= ' ';
													}
												}
											$rside .= '</div>';
										endif;
										$rside .= '<h4><a href="'.$the_permalink.'" title="'.$the_title.'">'.$the_title.'</a></h4>';
									$rside .= '</div>';

									$rside .= '<!-- Meta -->';
									$rside .= '<div class="entry-meta">';
										$rside .= '<div class="date">'.get_the_date('M').' '.get_the_date('d').', '.get_the_date('Y').' '.get_the_date('h:i a').'</div>';
									$rside .= '</div><!-- Meta -->';
								$rside .= '</div><!-- Entry Details -->';
							$rside .= '</article></li>';
						break;
					endswitch;
				endwhile;

				$out .= '<ul class="dt-sc-one-half column">'.$rside.'</ul>';

				wp_reset_postdata();
				$out .= '</div>';

				if( $count > 5 || $count == -1):
					$out .= '<div class="block-loadmore" data-order="'.$order.'" data-orderby="'.$orderby.'" data-cats="'.$taxonomies.'" data-style="'.$style.'" data-excerpt="'.$allow_excerpt.'" data-elength="'.$excerpt_length.'" data-format="'.$show_post_format.'" data-author="'.$show_author.'" data-date="'.$show_date.'" data-comment="'.$show_comment.'" data-category="'.$show_category.'" data-tag="'.$show_tag.'" data-likes="'.$show_likes.'" data-views="'.$show_views.'" data-maxpage="'.$the_query->max_num_pages.'" data-rbtn="'.urlencode($content).'">';
						$out .= '<a class="loadmore-btn more-items" href="javascript:void(0);">'.esc_html__('Load More', 'designthemes-blog').'</a>';
					$out .= '</div>';
				endif;

			$out .= '</div>';
		else:
			$out = "<div class='dt-sc-warning-box'>{$warning}</div>";
		endif;

		return $out;
	}
}
new DTBlogAddonSCsDefinition();?>