<?php
if (! class_exists ( 'DTBlogAddonTemplates' )) {

	class DTBlogAddonTemplates {

		function __construct() {

			add_filter ( 'cs_metabox_options', array (
				$this,
				'dt_blog_post_cs_metabox_options'
			) );

			add_filter ( 'cs_framework_options', array (
				$this,
				'dt_blog_post_cs_framework_options'
			) );

			add_filter ( 'cs_taxonomy_options', array (
				$this,
				'dt_blog_post_cs_taxonomy_options'
			) );

			add_filter( 'manage_edit-category_columns', array (
				$this,
				'dt_blog_custom_taxonomy_columns'
			) );

			add_filter( 'manage_edit-post_tag_columns', array (
				$this,
				'dt_blog_custom_taxonomy_columns'
			) );

			add_filter( 'manage_category_custom_column', array (
				$this,
				'dt_blog_custom_taxonomy_columns_content'
			), 10, 3 );

			add_filter( 'manage_post_tag_custom_column', array (
				$this,
				'dt_blog_custom_taxonomy_columns_content'
			), 10, 3 );

			add_filter ( 'single_template', array (
				$this,
				'dt_blog_single_template'
			) );

			add_filter ( 'template_include', array (
				$this,
				'dt_blog_template_include'
			) );

			add_action( 'wp_ajax_dt_blog_rating_like', array( $this, 'dt_blog_rating_like' ) );
			add_action( 'wp_ajax_nopriv_dt_blog_rating_like', array( $this, 'dt_blog_rating_like' ) );

			add_action( 'wp_ajax_dt_blog_ajax_load_more_post', array( $this, 'dt_blog_ajax_load_more_post' ) );
			add_action( 'wp_ajax_nopriv_dt_blog_ajax_load_more_post', array( $this, 'dt_blog_ajax_load_more_post' ) );
		}

		static function dt_blog_get_view_count($pid = '') {

			$post_meta = get_post_meta ( $pid, '_dt_post_settings', TRUE );
			$post_meta = is_array ( $post_meta ) ? $post_meta : array ();

			$v = array_key_exists("view_count", $post_meta) && !empty( $post_meta['view_count'] ) ?  $post_meta['view_count'] : 0;
			$v = $v + 1;
			$post_meta['view_count'] = $v;

			update_post_meta( $pid, '_dt_post_settings', $post_meta );

			return $v;
		}

		static function dt_blog_get_like_count($pid = '') {

			$post_meta = get_post_meta ( $pid, '_dt_post_settings', TRUE );
			$post_meta = is_array ( $post_meta ) ? $post_meta : array ();

			$v = array_key_exists("like_count",$post_meta) && !empty( $post_meta['like_count'] ) ?  $post_meta['like_count'] : '0';

			return $v;
		}

		function dt_blog_rating_like() {

			$out = '';
			$postid = $_REQUEST['post_id'];
			$nonce = $_REQUEST['nonce'];
			$action = $_REQUEST['doaction'];
			$arr_pids = array();
		
			if ( wp_verify_nonce( $nonce, 'rating-nonce' ) && $postid > 0 ) {
		
				$post_meta = get_post_meta ( $postid, '_dt_post_settings', TRUE );
				$post_meta = is_array ( $post_meta ) ? $post_meta : array ();
				$var_count = ($action == 'like') ? 'like_count' : 'unlike_count';

				if( isset( $_COOKIE['arr_pids'] ) ) {

					// article voted already...
					if( in_array( $postid, explode(',', $_COOKIE['arr_pids']) ) ) {

						$out = esc_html__('Already', 'designthemes-blog');

					} else {
						// article first vote...
						$v = array_key_exists($var_count, $post_meta) ?  $post_meta[$var_count] : 0;
						$v = $v + 1;
						$post_meta[$var_count] = $v;
						update_post_meta( $postid, '_dt_post_settings', $post_meta );

						$out = $v;

						$arr_pids = explode(',', $_COOKIE['arr_pids']);
						array_push( $arr_pids, $postid);
						setcookie( "arr_pids", implode(',', $arr_pids ), time()+1314000, "/" );
					}
				} else {

					// site first vote...
					$v = array_key_exists($var_count, $post_meta) ?  $post_meta[$var_count] : 0;
					$v = $v + 1;
					$post_meta[$var_count] = $v;
					update_post_meta( $postid, '_dt_post_settings', $post_meta );

					$out = $v;

					array_push( $arr_pids, $postid);
					setcookie( "arr_pids", implode(',', $arr_pids ), time()+1314000, "/" );
				}
			} else {
				$out = esc_html__('Security check', 'designthemes-blog');
			}

			if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') :
				echo ($out);
			else :
				header("Location: ".$_SERVER["HTTP_REFERER"]);
			endif;
			die();
		}

		static function dt_blog_post_meta_fields($ajax = false, $page_ID = 0){

			$meta_values = array();
			$allow_excerpt = $allow_read_more = '';

			if( is_home() || is_archive() || is_search() || $ajax ):
				// Getting values from theme options...
				$allow_excerpt = cs_get_option( 'post-archives-enable-excerpt' );
				$excerpt = cs_get_option( 'post-archives-excerpt' );

				$allow_read_more = cs_get_option( 'post-archives-enable-readmore' );
				$read_more = cs_get_option( 'post-archives-readmore-text' );

				$show_post_format = cs_get_option( 'post-format-meta' );
				$show_author_meta = cs_get_option( 'post-author-meta' );

				$show_date_meta = cs_get_option( 'post-date-meta' );
				$show_comment_meta = cs_get_option( 'post-comment-meta' );

				$show_category_meta = cs_get_option( 'post-category-meta' );
				$show_tag_meta = cs_get_option( 'post-tag-meta' );

			endif;

			if( $page_ID > 0 ):
				// Getting values from page meta...
				$tpl_default_settings = get_post_meta($page_ID, '_tpl_default_settings', TRUE);
				$tpl_default_settings = is_array( $tpl_default_settings ) ? $tpl_default_settings  : array();

				$allow_excerpt = !empty( $tpl_default_settings['blog-post-excerpt'] ) ? $tpl_default_settings['blog-post-excerpt'] : NULL;
				$excerpt = !empty( $tpl_default_settings['blog-post-excerpt-length'] ) ? $tpl_default_settings['blog-post-excerpt-length'] : NULL;

				$allow_read_more = !empty( $tpl_default_settings['enable-blog-readmore'] ) ? $tpl_default_settings['enable-blog-readmore'] : NULL;
				$read_more = !empty( $tpl_default_settings['blog-readmore-text'] ) ? $tpl_default_settings['blog-readmore-text'] : NULL;

				$show_post_format = !empty( $tpl_default_settings['show-postformat-info'] ) ? $tpl_default_settings['show-postformat-info'] : NULL;
				$show_author_meta = !empty( $tpl_default_settings['show-author-info'] ) ? $tpl_default_settings['show-author-info'] : NULL;

				$show_date_meta = !empty( $tpl_default_settings['show-date-info'] ) ? $tpl_default_settings['show-date-info'] : NULL;
				$show_comment_meta = !empty( $tpl_default_settings['show-comment-info'] ) ? $tpl_default_settings['show-comment-info'] : NULL;

				$show_category_meta = !empty( $tpl_default_settings['show-category-info'] ) ? $tpl_default_settings['show-category-info'] : NULL;
				$show_tag_meta = !empty( $tpl_default_settings['show-tag-info'] ) ? $tpl_default_settings['show-tag-info'] : NULL;

				$show_likes_views = !empty( $tpl_default_settings['show-likes-views'] ) ? $tpl_default_settings['show-likes-views'] : NULL;
				$show_social_share = !empty( $tpl_default_settings['show-share-info'] ) ? $tpl_default_settings['show-share-info'] : NULL;
			endif;

			$excerpt = !empty( $excerpt ) ? $excerpt : 20;
			$read_more = !empty( $read_more ) ? $read_more : '';

			$show_post_format = !empty( $show_post_format )? "" : "hidden";
			$show_author_meta = !empty( $show_author_meta ) ? "" : "hidden";

			$show_date_meta = !empty( $show_date_meta ) ? "" : "hidden";
			$show_comment_meta = !empty( $show_comment_meta ) ? "" : "hidden";

			$show_category_meta = !empty( $show_category_meta ) ? "" : "hidden";
			$show_tag_meta = !empty( $show_tag_meta ) ? "" : "hidden";

			$show_likes_views = !empty( $show_likes_views ) ? "" : "hidden";
			$show_social_share = !empty( $show_social_share ) ? "" : "hidden";

			array_push( $meta_values, $allow_excerpt, $excerpt, $allow_read_more, $read_more, $show_post_format, $show_author_meta, $show_date_meta, $show_comment_meta, $show_category_meta, $show_tag_meta, $show_likes_views, $show_social_share );

			return $meta_values;
		}

		static function dt_blog_post_thumb($post_ID, $column){

			$post_meta = get_post_meta($post_ID, '_dt_post_settings', TRUE);
			$post_meta = is_array($post_meta) ? $post_meta  : array();

			$format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard';
			$img_size = array( '1' => 'full', '2' => 'maaya-blog-ii-column', '3' => 'maaya-blog-iii-column', 'list' => 'maaya-blog-list', '2-masonry' => 'maaya-blog-ii-column-masonry', '3-masonry' => 'maaya-blog-iii-column-masonry' );

			// If it's galley post
			if( $format === "gallery" && $post_meta['post-gallery-items'] != '' ) : ?>
				<ul class="entry-gallery-post-slider"><?php
					$items = explode(',', $post_meta["post-gallery-items"]);
					foreach ( $items as $item ) { ?>
						<li><?php echo wp_get_attachment_image( $item, $img_size[$column] ); ?></li><?php
					}?>
				</ul><?php
			// If it's video post
			elseif( $format === "video" && $post_meta['media-url'] != '' ) : ?>
				<div class="dt-video-wrap"><?php
					if( $post_meta['media-type'] == 'oembed' ) :
						echo wp_oembed_get($post_meta['media-url']);
					elseif( $post_meta['media-type'] == 'self' ) :
						echo wp_video_shortcode( array('src' => $post_meta['media-url']) );
					endif;?>
				</div><?php
			// If it's audio post
			elseif( $format === "audio" ) :
				if( has_post_thumbnail($post_ID) ) : ?>
					<a href="<?php echo get_permalink($post_ID);?>" title="<?php printf(esc_attr__('Permalink to %s','designthemes-blog'), get_the_title($post_ID));?>">
						<?php echo get_the_post_thumbnail($post_ID, $img_size[$column]);?>
					</a><?php
				endif;

				if( $post_meta['media-url'] != '' ) :
					if( $post_meta['media-type'] == 'oembed' ) :
						echo wp_oembed_get($post_meta['media-url']);
					elseif( $post_meta['media-type'] == 'self' ) :
						echo wp_audio_shortcode( array('src' => $post_meta['media-url']) );
					endif;
				endif;
			elseif( has_post_thumbnail() ) : ?>
				<a href="<?php echo get_permalink($post_ID);?>" title="<?php printf(esc_attr__('Permalink to %s','designthemes-blog'), get_the_title($post_ID));?>">
					<?php echo get_the_post_thumbnail($post_ID, $img_size[$column]);?>
				</a><?php
			endif;

		}

		// Minimal 1-Column Style Start
		static function dt_blog_post_minimal_one_column_style($post_ID, $meta){

			$post_meta = get_post_meta($post_ID, '_dt_post_settings', TRUE);
			$post_meta = is_array($post_meta) ? $post_meta : array();

			$format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard';
			$link = get_permalink( $post_ID );
			$link = rawurlencode( $link );

			if( defined( 'DOING_AJAX' ) && DOING_AJAX && class_exists('WPBMap') && method_exists('WPBMap', 'addAllMappedShortcodes') ) {
				WPBMap::addAllMappedShortcodes();
            } ?>

			<!-- Entry Meta Data -->  
			<div class="entry-meta-data"><?php
				$categories = get_the_category();
				if ( ! empty( $categories ) ):?>
					<div class="<?php echo esc_attr( $meta[8] );?> category"><?php the_category(' '); ?></div><?php
				endif;?>

				<?php the_tags("<div class='tags {$meta[9]}'>",' ','</div>'); ?>
			</div><!-- Entry Meta Data -->

			<div class="entry-title">
				<h4><a href="<?php the_permalink();?>" title="<?php printf( esc_attr__('Permalink to %s','designthemes-blog'), the_title_attribute('echo=0'));?>"><?php the_title(); ?></a></h4>
			</div>

			<div class="date <?php echo esc_attr( $meta[6] );?>"><?php echo get_the_date ( get_option('date_format') );?></div>

			<!-- Featured Image -->
			<div class="entry-thumb">
				<div class="blog-image">
					<?php self::dt_blog_post_thumb($post_ID, $meta[12]); ?>
				</div>

				<div class="entry-info">
					<div class="dt-sc-like-views <?php echo esc_attr( $meta[10] );?>">
						<div class="likes dt_like_btn">
							<i class="zmdi zmdi-favorite-outline zmdi-hc-fw"> </i>
                            <?php $lcount = !empty( $post_meta['like_count'] ) ? $post_meta['like_count'] : 0; ?>
							<span><?php echo esc_html($lcount); ?></span>
						</div>

						<div class="views">
							<i class="zmdi zmdi-eye zmdi-hc-fw"> </i>
							<?php $vcount = !empty( $post_meta['view_count'] ) ? $post_meta['view_count'] : 0; ?>
							<span><?php echo esc_html($vcount); ?></span>
						</div>
					</div>

					<div class="author <?php echo esc_attr( $meta[5] );?>"><i class="zmdi zmdi-account-box zmdi-hc-fw"> </i> <span><a href="<?php echo get_author_posts_url(get_the_author_meta('ID'));?>" title="<?php esc_attr_e('View all posts by ', 'designthemes-blog'); echo get_the_author();?>"><?php echo get_the_author();?></a></span></div>
				</div>

				<!-- Entry Format -->
				<div class="entry-format <?php echo esc_attr( $meta[4] );?>">
					<a class="ico-format" href="<?php echo esc_url(get_post_format_link( $format ));?>"></a>
				</div><!-- Entry Format -->
			</div><!-- Featured Image -->

			<!-- Entry Details -->
			<div class="entry-details">
				<?php if( isset($meta[0]) && isset($meta[1]) ):?>
				   <div class="entry-body"><?php echo DTBlogAddonSCsDefinition::dt_sc_post_excerpt($meta[1]);?></div>
				<?php endif;?>

				<!-- Read More Button -->
				<?php if( isset($meta[2]) && isset($meta[3]) ):
						echo '<a href="'.get_permalink().'" title="'.get_the_title().'" class="dt-sc-button small bordered">'.$meta[3].'</a>';
					endif;?><!-- Read More Button -->

				<!-- Meta -->
				<div class="entry-meta">

					<div class="comments <?php echo esc_attr( $meta[7] );?>"><?php
						comments_popup_link('0 '.esc_html__('Comments', 'designthemes-blog'), '1 '.esc_html__('Comment', 'designthemes-blog'), '% '.esc_html__('Comments', 'designthemes-blog'), '', esc_html('Comments off', 'designthemes-blog'));?></div>

					<!-- Share -->
					<div class="share <?php echo esc_attr( $meta[11] );?>">
						<span><?php esc_html_e('Share:', 'designthemes-blog');?></span><?php
						$title = get_the_title( $post_ID );
						$title = urlencode($title); ?>
						<ul class="dt-share-list">
							<li><a href="http://www.facebook.com/sharer.php?u=<?php echo ($link);?>&amp;t=<?php echo ($title);?>" class="fa fa-facebook" target="_blank"></a></li>
							<li><a href="http://twitter.com/share?text=<?php echo ($title);?>&amp;url=<?php echo ($link);?>" class="fa fa-twitter" target="_blank"></a></li>
							<li><a href="http://plus.google.com/share?url=<?php echo ($link);?>" class="fa fa-google-plus" target="_blank"></a></li>
							<li><a href="http://pinterest.com/pin/create/button/?url=<?php echo ($link);?>&media=<?php echo get_the_post_thumbnail_url($post_ID, 'full');?>" class="fa fa-pinterest" target="_blank"></a></li>
						</ul>
					</div><!-- Share -->

				</div><!-- Meta -->
			</div><!-- Entry Details --><?php

		}// Minimal 1-Column Style Ends
		
		// Minimal 2-3 Columns Style Start
		static function dt_blog_post_minimal_2_3_column_style($post_ID, $meta){

			$post_meta = get_post_meta($post_ID, '_dt_post_settings', TRUE);
			$post_meta = is_array($post_meta) ? $post_meta : array();

			$format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard';
			$link = get_permalink( $post_ID );
			$link = rawurlencode( $link );

			if( defined( 'DOING_AJAX' ) && DOING_AJAX && class_exists('WPBMap') && method_exists('WPBMap', 'addAllMappedShortcodes') ) {
				WPBMap::addAllMappedShortcodes();
            } ?>

			<!-- Featured Image -->
			<div class="entry-thumb">
				<div class="blog-image">
					<?php self::dt_blog_post_thumb($post_ID); ?>
				</div>

				<div class="entry-info">
					<div class="dt-sc-like-views <?php echo esc_attr( $meta[10] );?>">
						<div class="likes dt_like_btn">
							<i class="zmdi zmdi-favorite-outline zmdi-hc-fw"> </i>
                            <?php $lcount = !empty( $post_meta['like_count'] ) ? $post_meta['like_count'] : 0; ?>
							<span><?php echo esc_html($lcount); ?></span>
						</div>

						<div class="views">
							<i class="zmdi zmdi-eye zmdi-hc-fw"> </i>
							<?php $vcount = !empty( $post_meta['view_count'] ) ? $post_meta['view_count'] : 0; ?>
							<span><?php echo esc_html($vcount); ?></span>
						</div>
					</div>

					<div class="author <?php echo esc_attr( $meta[5] );?>"><i class="zmdi zmdi-account-box zmdi-hc-fw"> </i> <span><a href="<?php echo get_author_posts_url(get_the_author_meta('ID'));?>" title="<?php esc_attr_e('View all posts by ', 'designthemes-blog'); echo get_the_author();?>"><?php echo get_the_author();?></a></span></div>
				</div>

				<!-- Entry Format -->
				<div class="entry-format <?php echo esc_attr( $meta[4] );?>">
					<a class="ico-format" href="<?php echo esc_url(get_post_format_link( $format ));?>"></a>
				</div><!-- Entry Format -->
			</div><!-- Featured Image -->

			<!-- Entry Details -->
			<div class="entry-details">
            
                <!-- Entry Meta Data -->
                <div class="entry-meta-data"><?php
                    $categories = get_the_category();
                    if ( ! empty( $categories ) ):?>
                        <div class="<?php echo esc_attr( $meta[8] );?> category"><?php the_category(' '); ?></div><?php
                    endif;?>
    
                    <?php the_tags("<div class='tags {$meta[9]}'>",' ','</div>'); ?>
                </div><!-- Entry Meta Data -->
    
                <div class="entry-title">
                    <h4><a href="<?php the_permalink();?>" title="<?php printf( esc_attr__('Permalink to %s','designthemes-blog'), the_title_attribute('echo=0'));?>"><?php the_title(); ?></a></h4>
                </div>
            
				<?php if( isset($meta[0]) && isset($meta[1]) ):?>
				   <div class="entry-body"><?php echo DTBlogAddonSCsDefinition::dt_sc_post_excerpt($meta[1]);?></div>
				<?php endif;?>

				<!-- Read More Button -->
				<?php if( isset($meta[2]) && isset($meta[3]) ):
						echo '<a href="'.get_permalink().'" title="'.get_the_title().'" class="dt-sc-button small bordered">'.$meta[3].'</a>';
					endif;?><!-- Read More Button -->

				<!-- Meta -->
				<div class="entry-meta">

					<div class="date <?php echo esc_attr( $meta[6] );?>"><?php echo get_the_date ( get_option('date_format') );?></div>

					<div class="comments <?php echo esc_attr( $meta[7] );?>"><?php
						comments_popup_link('0 '.esc_html__('Comments', 'designthemes-blog'), '1 '.esc_html__('Comment', 'designthemes-blog'), '% '.esc_html__('Comments', 'designthemes-blog'), '', esc_html('Comments off', 'designthemes-blog'));?></div>

					<!-- Share -->
					<div class="share <?php echo esc_attr( $meta[11] );?>">
						<span><?php esc_html_e('Share:', 'designthemes-blog');?></span><?php
						$title = get_the_title( $post_ID );
						$title = urlencode($title); ?>
						<ul class="dt-share-list">
							<li><a href="http://www.facebook.com/sharer.php?u=<?php echo ($link);?>&amp;t=<?php echo ($title);?>" class="fa fa-facebook" target="_blank"></a></li>
							<li><a href="http://twitter.com/share?text=<?php echo ($title);?>&amp;url=<?php echo ($link);?>" class="fa fa-twitter" target="_blank"></a></li>
							<li><a href="http://plus.google.com/share?url=<?php echo ($link);?>" class="fa fa-google-plus" target="_blank"></a></li>
							<li><a href="http://pinterest.com/pin/create/button/?url=<?php echo ($link);?>&media=<?php echo get_the_post_thumbnail_url($post_ID, 'full');?>" class="fa fa-pinterest" target="_blank"></a></li>
						</ul>
					</div><!-- Share -->

				</div><!-- Meta -->
			</div><!-- Entry Details --><?php

		}// Minimal 2-3 Columns Style Ends

		// Common 2-3 Columns Style Start
		static function dt_blog_post_2or3_style($post_ID, $meta, $post_style = 'entry-minimal'){

			$post_meta = get_post_meta($post_ID, '_dt_post_settings', TRUE);
			$post_meta = is_array($post_meta) ? $post_meta : array();

			$format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard';
			$link = get_permalink( $post_ID );
			$link = rawurlencode( $link ); ?>

			<!-- Featured Image -->
			<div class="entry-thumb">
				<div class="blog-image">
					<?php self::dt_blog_post_thumb($post_ID); ?>
				</div>

				<!-- Entry Meta -->
				<div class="entry-info">
					<div class="dt-sc-like-views <?php echo esc_attr( $meta[10] );?>">
						<div class="likes dt_like_btn">
							<i class="zmdi zmdi-favorite-outline zmdi-hc-fw"> </i>
                            <?php $lcount = !empty( $post_meta['like_count'] ) ? $post_meta['like_count'] : 0; ?>
							<span><?php echo esc_html($lcount); ?></span>
						</div>

						<div class="views">
							<i class="zmdi zmdi-eye zmdi-hc-fw"> </i>
							<?php $vcount = !empty( $post_meta['view_count'] ) ? $post_meta['view_count'] : 0; ?>
							<span><?php echo esc_html($vcount); ?></span>
						</div>
					</div>

					<div class="author <?php echo esc_attr( $meta[5] );?>"><i class="zmdi zmdi-account-box zmdi-hc-fw"> </i> <span><a href="<?php echo get_author_posts_url(get_the_author_meta('ID'));?>" title="<?php esc_attr_e('View all posts by ', 'designthemes-blog'); echo get_the_author();?>"><?php echo get_the_author();?></a></span></div>
	
					<div class="date <?php echo esc_attr( $meta[6] );?>"><?php echo get_the_date ( get_option('date_format') );?></div>
	
					<div class="comments <?php echo esc_attr( $meta[7] );?>"><?php
						comments_popup_link('0 '.esc_html__('Comments', 'designthemes-blog'), '1 '.esc_html__('Comment', 'designthemes-blog'), '% '.esc_html__('Comments', 'designthemes-blog'), '', esc_html('Comments off', 'designthemes-blog'));?></div>
				</div><!-- Entry Meta -->
	
				<!-- Entry Format -->
				<div class="entry-format <?php echo esc_attr( $meta[4] );?>">
					<a class="ico-format" href="<?php echo esc_url(get_post_format_link( $format ));?>"></a>
				</div><!-- Entry Format -->
			</div><!-- Featured Image -->
	
			<!-- Entry Meta Data -->  
			<div class="entry-meta-data"><?php
				$categories = get_the_category();
				if ( ! empty( $categories ) ):?>
					<div class="<?php echo esc_attr( $meta[8] );?> category"><?php the_category(' '); ?></div><?php
				endif;?>
	
				<?php the_tags("<div class='tags {$meta[9]}'>",' ','</div>'); ?>
	
				<div class="entry-title">
					<h4><a href="<?php the_permalink();?>" title="<?php printf( esc_attr__('Permalink to %s','designthemes-blog'), the_title_attribute('echo=0'));?>"><?php the_title(); ?></a></h4>
				</div>
	
				<!-- Entry Details -->
				<div class="entry-details">
					<?php if( isset($meta[0]) && isset($meta[1]) ):?>
					   <div class="entry-body"><?php echo DTBlogAddonSCsDefinition::dt_sc_post_excerpt($meta[1]);?></div>
					<?php endif;?>
	
					<!-- Read More Button -->
					<?php if( isset($meta[2]) && isset($meta[3]) ):
							if($post_style == 'entry-minimal'):
								echo '<a href="'.get_permalink().'" title="'.get_the_title().'" class="dt-sc-button small icon-right with-icon filled type1">'.$meta[3].'<span class="fa fa-long-arrow-right"> </span></a>';
							elseif($post_style == 'entry-classic'):
								echo '<a href="'.get_permalink().'" title="'.get_the_title().'" class="dt-sc-button medium icon-right with-icon transparent">'.$meta[3].'<span class="fa fa-circle"> </span></a>';
							elseif($post_style == 'entry-overlay'):
								echo '<a href="'.get_permalink().'" title="'.get_the_title().'" class="dt-sc-button small icon-right with-icon filled type1">'.$meta[3].'<span class="fa fa-long-arrow-right"> </span></a>';
							endif;	
						endif;?><!-- Read More Button -->
	
					<!-- Share -->
					<div class="share <?php echo esc_attr( $meta[11] );?>">
						<a href="#"><?php esc_html_e('Share', 'designthemes-blog');?></a><?php
						$title = get_the_title( $post_ID );
						$title = urlencode($title); ?>
						<ul class="dt-share-list">
							<li><a href="http://www.facebook.com/sharer.php?u=<?php echo ($link);?>&amp;t=<?php echo ($title);?>" class="fa fa-facebook" target="_blank"></a></li>
							<li><a href="http://twitter.com/share?text=<?php echo ($title);?>&amp;url=<?php echo ($link);?>" class="fa fa-twitter" target="_blank"></a></li>
							<li><a href="http://plus.google.com/share?url=<?php echo ($link);?>" class="fa fa-google-plus" target="_blank"></a></li>
							<li><a href="http://pinterest.com/pin/create/button/?url=<?php echo ($link);?>&media=<?php echo get_the_post_thumbnail_url($post_ID, 'full');?>" class="fa fa-pinterest" target="_blank"></a></li>
						</ul>
					</div><!-- Share -->
				</div><!-- Entry Details -->            
	
			</div><!-- Entry Meta Data --><?php

		}// Common 2-3 Columns Style Ends

		// Overlay Style Start
		static function dt_blog_post_overlay_style($post_ID, $meta){

			$post_meta = get_post_meta($post_ID, '_dt_post_settings', TRUE);
			$post_meta = is_array($post_meta) ? $post_meta : array();

			$format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard';
			$link = get_permalink( $post_ID );
			$link = rawurlencode( $link ); ?>

			<!-- Featured Image -->
			<div class="entry-thumb">
				<div class="blog-image">
					<?php self::dt_blog_post_thumb($post_ID); ?>
	
					<!-- Entry Meta Overlay -->
					<div class="entry-meta-overlay"><?php
						$categories = get_the_category();
						if ( ! empty( $categories ) ):?>
							<div class="<?php echo esc_attr( $meta[8] );?> category"><?php the_category(' '); ?></div><?php
						endif;?>
	
						<?php the_tags("<div class='tags {$meta[9]}'>",' ','</div>'); ?>
	
						<div class="entry-title">
							<h4><a href="<?php echo get_permalink($post_ID);?>" title="<?php printf( esc_attr__('Permalink to %s','designthemes-blog'), the_title_attribute('echo=0'));?>"><?php the_title(); ?></a></h4>
						</div>
	
						<div class="date <?php echo esc_attr( $meta[6] );?>"><?php echo get_the_date ( get_option('date_format') );?></div>
					</div><!-- Entry Meta Overlay -->
				</div>
	
				<!-- Entry Info -->
				<div class="entry-info">
					<!-- Entry Meta -->
					<div class="entry-meta">
						<div class="dt-sc-like-views <?php echo esc_attr( $meta[10] );?>">
							<div class="likes dt_like_btn">
								<i class="zmdi zmdi-favorite-outline zmdi-hc-fw"> </i>
                                <?php $lcount = !empty( $post_meta['like_count'] ) ? $post_meta['like_count'] : 0; ?>
								<span><?php echo esc_html($lcount); ?></span>
							</div>
	
							<div class="views">
								<i class="zmdi zmdi-eye zmdi-hc-fw"> </i>
								<?php $vcount = !empty( $post_meta['view_count'] ) ? $post_meta['view_count'] : 0; ?>
								<span><?php echo esc_html($vcount); ?></span>
							</div>
						</div>
	
						<div class="author <?php echo esc_attr( $meta[5] );?>"><i class="zmdi zmdi-account-box zmdi-hc-fw"> </i> <span><a href="<?php echo get_author_posts_url(get_the_author_meta('ID'));?>" title="<?php esc_attr_e('View all posts by ', 'designthemes-blog'); echo get_the_author();?>"><?php echo get_the_author();?></a></span></div>
	
						<!-- Share -->
						<div class="share <?php echo esc_attr( $meta[11] );?>">
							<a href="#"><?php esc_html_e('Share', 'designthemes-blog');?></a><?php
							$title = get_the_title( $post_ID );
							$title = urlencode($title); ?>
							<ul class="dt-share-list">
								<li><a href="http://www.facebook.com/sharer.php?u=<?php echo ($link);?>&amp;t=<?php echo ($title);?>" class="fa fa-facebook" target="_blank"></a></li>
								<li><a href="http://twitter.com/share?text=<?php echo ($title);?>&amp;url=<?php echo ($link);?>" class="fa fa-twitter" target="_blank"></a></li>
								<li><a href="http://plus.google.com/share?url=<?php echo ($link);?>" class="fa fa-google-plus" target="_blank"></a></li>
								<li><a href="http://pinterest.com/pin/create/button/?url=<?php echo ($link);?>&media=<?php echo get_the_post_thumbnail_url($post_ID, 'full');?>" class="fa fa-pinterest" target="_blank"></a></li>
							</ul>
						</div><!-- Share -->
	
						<div class="comments <?php echo esc_attr( $meta[7] );?>"><?php
							comments_popup_link('0 '.esc_html__('Comments', 'designthemes-blog'), '1 '.esc_html__('Comment', 'designthemes-blog'), '% '.esc_html__('Comments', 'designthemes-blog'), '', esc_html('Comments off', 'designthemes-blog'));?></div>
					</div><!-- Entry Meta -->
	
					<!-- Entry Format -->
					<div class="entry-format <?php echo esc_attr( $meta[4] );?>">
						<a class="ico-format" href="<?php echo esc_url(get_post_format_link( $format ));?>"></a>
					</div><!-- Entry Format -->
				</div><!-- Entry Info -->
	
				<!-- Entry Details -->
				<div class="entry-details">
					<?php if( isset($meta[0]) && isset($meta[1]) ):?>
					   <div class="entry-body"><?php echo DTBlogAddonSCsDefinition::dt_sc_post_excerpt($meta[1]);?></div>
					<?php endif;?>
	
					<!-- Read More Button -->
					<?php if( isset($meta[2]) && isset($meta[3]) ):
							echo '<a href="'.get_permalink().'" title="'.get_the_title().'" class="dt-sc-button small icon-right with-icon filled type1">'.$meta[3].'<span class="fa fa-long-arrow-right"> </span></a>';
						endif;?><!-- Read More Button -->
				</div><!-- Entry Details -->
			</div><!-- Featured Image --><?php

		}// Overlay Style Ends

		// Classic Style Start
		static function dt_blog_post_classic_style($post_ID, $meta){

			$post_meta = get_post_meta($post_ID, '_dt_post_settings', TRUE);
			$post_meta = is_array($post_meta) ? $post_meta : array();

			$format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard';
			$link = get_permalink( $post_ID );
			$link = rawurlencode( $link ); ?>

			<!-- Entry Meta Data -->
			<div class="entry-meta-data">
				<div class="entry-title">
					<h4><a href="<?php the_permalink();?>" title="<?php printf( esc_attr__('Permalink to %s','designthemes-blog'), the_title_attribute('echo=0'));?>"><?php the_title(); ?></a></h4>
				</div><!-- Entry Meta Data -->

				<div class="date <?php echo esc_attr( $meta[6] );?>"> <span><?php esc_html_e('Posted on', 'designthemes-blog');?></span><?php echo get_the_date ( get_option('date_format') );?></div>

				<?php
				$categories = get_the_category();
				if ( ! empty( $categories ) ):?>
					<div class="<?php echo esc_attr( $meta[8] );?> category"><?php the_category(' '); ?></div><?php
				endif;?>

				<?php the_tags("<div class='tags {$meta[9]}'>",' ','</div>'); ?>

				<!-- Featured Image -->
				<div class="entry-thumb">
					<div class="blog-image">
						<?php self::dt_blog_post_thumb($post_ID); ?>
					</div>

					<div class="entry-info">
						<div class="dt-sc-like-views <?php echo esc_attr( $meta[10] );?>">
							<div class="likes dt_like_btn">
								<i class="zmdi zmdi-favorite-outline zmdi-hc-fw"> </i>
                                <?php $lcount = !empty( $post_meta['like_count'] ) ? $post_meta['like_count'] : 0; ?>
								<span><?php echo esc_html($lcount); ?></span>
							</div>

							<div class="views">
								<i class="zmdi zmdi-eye zmdi-hc-fw"> </i>
								<?php $vcount = !empty( $post_meta['view_count'] ) ? $post_meta['view_count'] : 0; ?>
								<span><?php echo esc_html($vcount); ?></span>
							</div>
						</div>
					</div>

					<!-- Entry Format -->
					<div class="entry-format <?php echo esc_attr( $meta[4] );?>">
						<a class="ico-format" href="<?php echo esc_url(get_post_format_link( $format ));?>"></a>
					</div><!-- Entry Format -->
				</div><!-- Featured Image -->

				<!-- Entry Details -->
				<div class="entry-details">
					<?php if( isset($meta[0]) && isset($meta[1]) ):?>
					   <div class="entry-body"><?php echo DTBlogAddonSCsDefinition::dt_sc_post_excerpt($meta[1]);?></div>
					<?php endif;?>

					<!-- Read More Button -->
					<?php if( isset($meta[2]) && isset($meta[3]) ):
							echo '<a href="'.get_permalink().'" title="'.get_the_title().'" class="dt-sc-button medium icon-right with-icon transparent">'.$meta[3].'<span class="fa fa-circle"> </span></a>';
						endif;?><!-- Read More Button -->

					<!-- Meta -->
					<div class="entry-meta">
						<div class="author <?php echo esc_attr( $meta[5] );?>">
							<span><?php esc_html_e('by', 'designthemes-blog');?></span>
							<a href="<?php echo get_author_posts_url(get_the_author_meta('ID'));?>" title="<?php esc_attr_e('View all posts by ', 'designthemes-blog'); echo get_the_author();?>"><?php echo get_the_author();?></a>
						</div>

						<ul class="dt-sc-sociable <?php echo esc_attr( $meta[11] );?>"><?php
							$title = get_the_title( $post_ID );
							$title = urlencode($title); ?>
							<li><a href="http://www.facebook.com/sharer.php?u=<?php echo ($link);?>&amp;t=<?php echo ($title);?>" class="fa fa-facebook" target="_blank"></a></li>
							<li><a href="http://twitter.com/share?text=<?php echo ($title);?>&amp;url=<?php echo ($link);?>" class="fa fa-twitter" target="_blank"></a></li>
							<li><a href="http://plus.google.com/share?url=<?php echo ($link);?>" class="fa fa-google-plus" target="_blank"></a></li>
							<li><a href="http://pinterest.com/pin/create/button/?url=<?php echo ($link);?>&media=<?php echo get_the_post_thumbnail_url($post_ID, 'full');?>" class="fa fa-pinterest" target="_blank"></a></li>
							<li><a href="http://www.linkedin.com/shareArticle?mini=true&amp;url=<?php echo ($link);?>" class="fa fa-linkedin" target="_blank"></a></li>
						</ul>

						<div class="comments <?php echo esc_attr( $meta[7] );?>"><?php
							comments_popup_link('0 '.esc_html__('Comments', 'designthemes-blog'), '1 '.esc_html__('Comment', 'designthemes-blog'), '% '.esc_html__('Comments', 'designthemes-blog'), '', esc_html('Comments off', 'designthemes-blog'));?></div>
					</div><!-- Meta -->
				</div><!-- Entry Details -->

			</div><!-- Entry Meta Data --><?php

		}// Classic Style Ends

		// Minimal-2 Style Start
		static function dt_blog_post_minimal2_style($post_ID, $meta){

			$post_meta = get_post_meta($post_ID, '_dt_post_settings', TRUE);
			$post_meta = is_array($post_meta) ? $post_meta : array();

			$format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard';
			$link = get_permalink( $post_ID );
			$link = rawurlencode( $link ); ?>

			<div class="entry-title">
				<h4><a href="<?php the_permalink();?>" title="<?php printf( esc_attr__('Permalink to %s','designthemes-blog'), the_title_attribute('echo=0'));?>"><?php the_title(); ?></a></h4>
			</div><!-- Entry Meta Data -->

            <!-- Entry Meta Data -->
            <div class="entry-meta-data">
                <div class="author <?php echo esc_attr( $meta[5] );?>"><span><a href="<?php echo get_author_posts_url(get_the_author_meta('ID'));?>" title="<?php esc_attr_e('View all posts by ', 'designthemes-blog'); echo get_the_author();?>"><?php echo get_the_author();?></a></span></div>

				<?php $categories = get_the_category();
				if ( ! empty( $categories ) ):?>
					<div class="<?php echo esc_attr( $meta[8] );?> category"><?php the_category(' '); ?></div><?php
				endif;?>

				<?php the_tags("<div class='tags {$meta[9]}'>",' ','</div>'); ?>

            	<div class="date <?php echo esc_attr( $meta[6] );?>"><?php echo get_the_date ( get_option('date_format') );?></div>

                <div class="comments <?php echo esc_attr( $meta[7] );?>"><?php
                    comments_popup_link('0 '.esc_html__('Comments', 'designthemes-blog'), '1 '.esc_html__('Comment', 'designthemes-blog'), '% '.esc_html__('Comments', 'designthemes-blog'), '', esc_html('Comments off', 'designthemes-blog'));?></div>
            </div><!-- Entry Meta Data -->

			<!-- Featured Image -->
			<div class="entry-thumb">
				<div class="blog-image">
					<?php self::dt_blog_post_thumb($post_ID); ?>
				</div>

				<div class="entry-info">
					<div class="dt-sc-like-views <?php echo esc_attr( $meta[10] );?>">
						<div class="likes dt_like_btn">
                            <?php $lcount = !empty( $post_meta['like_count'] ) ? $post_meta['like_count'] : 0; ?>
							<span><?php echo esc_html($lcount); esc_html_e(' Likes', 'designthemes-blog'); ?></span>
						</div>

						<div class="views">
							<?php $vcount = !empty( $post_meta['view_count'] ) ? $post_meta['view_count'] : 0; ?>
							<span><?php echo esc_html($vcount); esc_html_e(' Views', 'designthemes-blog'); ?></span>
						</div>
					</div>
				</div>

				<!-- Entry Format -->
				<div class="entry-format <?php echo esc_attr( $meta[4] );?>">
					<a class="ico-format" href="<?php echo esc_url(get_post_format_link( $format ));?>"></a>
				</div><!-- Entry Format -->
			</div><!-- Featured Image -->

			<!-- Entry Details -->
			<div class="entry-details">
				<?php if( isset($meta[0]) && isset($meta[1]) ):?>
				   <div class="entry-body"><?php echo DTBlogAddonSCsDefinition::dt_sc_post_excerpt($meta[1]);?></div>
				<?php endif;?>

				<!-- Read More Button -->
				<?php if( isset($meta[2]) && isset($meta[3]) ):
						echo '<a href="'.get_permalink().'" title="'.get_the_title().'" class="dt-sc-button small icon-right with-icon filled type1">'.$meta[3].'<span class="fa fa-long-arrow-right"> </span></a>';
					endif;?><!-- Read More Button -->

				<!-- Meta -->
				<div class="entry-meta"><?php
                	if( $meta[11] != 'hidden' ): ?>
                    	<!-- Share -->
                        <div class="share">
                            <a href="#"><?php esc_html_e('Share', 'designthemes-blog');?></a><?php
                            $title = get_the_title( $post_ID );
                            $title = urlencode($title); ?>
                            <ul class="dt-share-list">
                                <li><a href="http://www.facebook.com/sharer.php?u=<?php echo ($link);?>&amp;t=<?php echo ($title);?>" class="fa fa-facebook" target="_blank"></a></li>
                                <li><a href="http://twitter.com/share?text=<?php echo ($title);?>&amp;url=<?php echo ($link);?>" class="fa fa-twitter" target="_blank"></a></li>
                                <li><a href="http://plus.google.com/share?url=<?php echo ($link);?>" class="fa fa-google-plus" target="_blank"></a></li>
                                <li><a href="http://pinterest.com/pin/create/button/?url=<?php echo ($link);?>&media=<?php echo get_the_post_thumbnail_url($post_ID, 'full');?>" class="fa fa-pinterest" target="_blank"></a></li>
                            </ul>
                        </div><!-- Share --><?php
					endif;?></div><!-- Meta -->
			</div><!-- Entry Details --><?php

		}// Minimal-2 Style Ends

		// Flat Style Start
		static function dt_blog_post_flat_style($post_ID, $meta){

			$post_meta = get_post_meta($post_ID, '_dt_post_settings', TRUE);
			$post_meta = is_array($post_meta) ? $post_meta : array();

			$format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard';
			$link = get_permalink( $post_ID );
			$link = rawurlencode( $link ); ?>

			<!-- Featured Image -->
			<div class="entry-thumb">
				<div class="blog-image">
					<?php self::dt_blog_post_thumb($post_ID, $meta[12]); ?>
				</div>

            	<div class="date <?php echo esc_attr( $meta[6] );?>"><?php echo get_the_date ('M'); ?><?php echo get_the_date (' d, '); ?><?php echo get_the_date ('Y'); ?></div>

				<!-- Social Meta -->
				<div class="entry-social-meta"><?php
                	if( isset($meta[11]) && $meta[11] != 'hidden' ): ?>
                    	<!-- Share -->
                        <div class="share"><?php
                            $title = get_the_title( $post_ID );
                            $title = urlencode($title); ?>
                            <ul class="dt-share-list">
                                <li><a href="http://www.facebook.com/sharer.php?u=<?php echo ($link);?>&amp;t=<?php echo ($title);?>" class="fa fa-facebook" target="_blank"></a></li>
                                <li><a href="http://twitter.com/share?text=<?php echo ($title);?>&amp;url=<?php echo ($link);?>" class="fa fa-twitter" target="_blank"></a></li>
                                <li><a href="http://plus.google.com/share?url=<?php echo ($link);?>" class="fa fa-google-plus" target="_blank"></a></li>
                                <li><a href="http://pinterest.com/pin/create/button/?url=<?php echo ($link);?>&media=<?php echo get_the_post_thumbnail_url($post_ID, 'full');?>" class="fa fa-pinterest" target="_blank"></a></li>
                            </ul>
                        </div><!-- Share --><?php
					endif;?></div><!-- Social Meta -->

				<!-- Entry Format -->
				<div class="entry-format <?php echo esc_attr( $meta[4] );?>">
					<a class="ico-format" href="<?php echo esc_url(get_post_format_link( $format ));?>"></a>
				</div><!-- Entry Format -->

                <div class="author <?php echo esc_attr( $meta[5] );?>"><span><?php echo esc_html__('Posted by: ', 'designthemes-blog'); ?><a href="<?php echo get_author_posts_url(get_the_author_meta('ID'));?>" title="<?php esc_attr_e('View all posts by ', 'designthemes-blog'); echo get_the_author();?>"><?php echo get_the_author();?></a></span></div>
			</div><!-- Featured Image -->

            <!-- Entry Meta Data -->
            <?php $tclass = ( ($meta[8] == "hidden" ) && ($meta[9] == "hidden" ) ) ? "hidden" : ""; ?>
            <div class="entry-meta-data <?php echo esc_attr($tclass);?>">
				<?php $categories = get_the_category();
				if ( ! empty( $categories ) ):?>
					<div class="<?php echo esc_attr( $meta[8] );?> category"><?php the_category(' '); ?></div><?php
				endif;?>

				<?php the_tags("<div class='tags {$meta[9]}'>",' ','</div>'); ?>
            </div><!-- Entry Meta Data -->

			<div class="entry-title">
				<h4><a href="<?php the_permalink();?>" title="<?php printf( esc_attr__('Permalink to %s','designthemes-blog'), the_title_attribute('echo=0'));?>"><?php the_title(); ?></a></h4>
			</div><!-- Entry Meta Data -->

			<!-- Entry Details -->
            <?php $tclass = ( ($meta[0] == false ) && ($meta[2] == false ) ) ? "hidden" : ""; ?>
			<div class="entry-details <?php echo esc_attr($tclass);?>">
				<?php if( isset($meta[0]) && isset($meta[1]) ):?>
				   <div class="entry-body"><?php echo DTBlogAddonSCsDefinition::dt_sc_post_excerpt($meta[1]);?></div>
				<?php endif;?>
                
				<!-- Read More Button -->
				<?php if( isset($meta[2]) && isset($meta[3]) ):
						echo '<a href="'.get_permalink().'" title="'.get_the_title().'" class="dt-sc-button small bordered">'.$meta[3].'</a>';
					endif;?><!-- Read More Button -->
			</div><!-- Entry Details -->

            <!-- Entry Meta -->
            <?php $tclass = ( ( isset($meta[7]) && ($meta[7] == "hidden") ) && ( isset($meta[10]) && ($meta[10] == "hidden") ) ) ? "hidden" : ""; ?>
            <div class="entry-meta <?php echo esc_attr($tclass);?>">
                <div class="comments <?php echo esc_attr( $meta[7] );?>"><?php
                    comments_popup_link('0 '.esc_html__('Comments', 'designthemes-blog'), '1 '.esc_html__('Comment', 'designthemes-blog'), '% '.esc_html__('Comments', 'designthemes-blog'), '', esc_html('Comments off', 'designthemes-blog'));?></div>

				<div class="entry-info <?php echo esc_attr( isset($meta[10]) ? $meta[10] : '' );?>">
					<div class="dt-sc-like-views">
						<div class="likes dt_like_btn">
                            <?php $lcount = !empty( $post_meta['like_count'] ) ? $post_meta['like_count'] : 0; ?>
							<span><?php echo esc_html($lcount); esc_html_e(' Likes', 'designthemes-blog'); ?></span>
						</div>

						<div class="views">
							<?php $vcount = !empty( $post_meta['view_count'] ) ? $post_meta['view_count'] : 0; ?>
							<span><?php echo esc_html($vcount); esc_html_e(' Views', 'designthemes-blog'); ?></span>
						</div>
					</div>
				</div>
            </div><!-- Entry Meta --><?php

		}// Flat Style Ends

		// Flat2 Style Start
		static function dt_blog_post_flat2_style($post_ID, $meta){

			$post_meta = get_post_meta($post_ID, '_dt_post_settings', TRUE);
			$post_meta = is_array($post_meta) ? $post_meta : array();

			$format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard';
			$link = get_permalink( $post_ID );
			$link = rawurlencode( $link ); ?>

			<!-- Featured Image -->
			<div class="entry-thumb">
				<div class="blog-image">
					<?php self::dt_blog_post_thumb($post_ID, $meta[12]); ?>
				</div>

            	<div class="date <?php echo esc_attr( $meta[6] );?>"><?php echo get_the_date ('M'); ?><?php echo get_the_date (' d, '); ?><?php echo get_the_date ('Y'); ?></div>

				<!-- Social Meta -->
				<div class="entry-social-meta"><?php
                	if( $meta[11] != 'hidden' ): ?>
                    	<!-- Share -->
                        <div class="share"><?php
                            $title = get_the_title( $post_ID );
                            $title = urlencode($title); ?>
                            <ul class="dt-share-list">
                                <li><a href="http://www.facebook.com/sharer.php?u=<?php echo ($link);?>&amp;t=<?php echo ($title);?>" class="fa fa-facebook" target="_blank"></a></li>
                                <li><a href="http://twitter.com/share?text=<?php echo ($title);?>&amp;url=<?php echo ($link);?>" class="fa fa-twitter" target="_blank"></a></li>
                                <li><a href="http://plus.google.com/share?url=<?php echo ($link);?>" class="fa fa-google-plus" target="_blank"></a></li>
                                <li><a href="http://pinterest.com/pin/create/button/?url=<?php echo ($link);?>&media=<?php echo get_the_post_thumbnail_url($post_ID, 'full');?>" class="fa fa-pinterest" target="_blank"></a></li>
                            </ul>
                        </div><!-- Share --><?php
					endif;?></div><!-- Social Meta -->

				<!-- Entry Format -->
				<div class="entry-format <?php echo esc_attr( $meta[4] );?>">
					<a class="ico-format" href="<?php echo esc_url(get_post_format_link( $format ));?>"></a>
				</div><!-- Entry Format -->

                <div class="author <?php echo esc_attr( $meta[5] );?>"><span><?php echo esc_html__('Posted by: ', 'designthemes-blog'); ?><a href="<?php echo get_author_posts_url(get_the_author_meta('ID'));?>" title="<?php esc_attr_e('View all posts by ', 'designthemes-blog'); echo get_the_author();?>"><?php echo get_the_author();?></a></span></div>
			</div><!-- Featured Image -->

            <!-- Entry Meta Data -->
            <?php $tclass = ( ($meta[8] == "hidden" ) && ($meta[9] == "hidden" ) ) ? "hidden" : ""; ?>
            <div class="entry-meta-data <?php echo esc_attr($tclass);?>">
				<?php $categories = get_the_category();
				if ( ! empty( $categories ) ):?>
					<div class="<?php echo esc_attr( $meta[8] );?> category"><?php the_category(' '); ?></div><?php
				endif;?>

				<?php the_tags("<div class='tags {$meta[9]}'>",' ','</div>'); ?>
            </div><!-- Entry Meta Data -->

			<div class="entry-title">
				<h4><a href="<?php the_permalink();?>" title="<?php printf( esc_attr__('Permalink to %s','designthemes-blog'), the_title_attribute('echo=0'));?>"><?php the_title(); ?></a></h4>
			</div><!-- Entry Meta Data -->

			<!-- Entry Details -->
            <?php $tclass = ( ($meta[0] == false ) && ($meta[2] == false ) ) ? "hidden" : ""; ?>
			<div class="entry-details <?php echo esc_attr($tclass);?>">
				<?php if( isset($meta[0]) && isset($meta[1]) ):?>
				   <div class="entry-body"><?php echo DTBlogAddonSCsDefinition::dt_sc_post_excerpt($meta[1]);?></div>
				<?php endif;?>
                
				<!-- Read More Button -->
				<?php if( isset($meta[2]) && isset($meta[3]) ):
						echo '<a href="'.get_permalink().'" title="'.get_the_title().'" class="dt-sc-button small bordered">'.$meta[3].'</a>';
					endif;?><!-- Read More Button -->
			</div><!-- Entry Details -->
			
            <!-- Entry Meta -->
            <?php $tclass = ( ($meta[7] == "hidden" ) && ($meta[10] == "hidden" ) ) ? "hidden" : ""; ?>
            <div class="entry-meta <?php echo esc_attr($tclass);?>">
                <div class="comments <?php echo esc_attr( $meta[7] );?>"><?php
                    comments_popup_link('0 '.esc_html__('Comments', 'designthemes-blog'), '1 '.esc_html__('Comment', 'designthemes-blog'), '% '.esc_html__('Comments', 'designthemes-blog'), '', esc_html('Comments off', 'designthemes-blog'));?></div>

				<div class="entry-info <?php echo esc_attr( $meta[10] );?>">
					<div class="dt-sc-like-views">
						<div class="likes dt_like_btn">
                            <?php $lcount = !empty( $post_meta['like_count'] ) ? $post_meta['like_count'] : 0; ?>
							<span><?php echo esc_html($lcount); esc_html_e(' Likes', 'designthemes-blog'); ?></span>
						</div>

						<div class="views">
							<?php $vcount = !empty( $post_meta['view_count'] ) ? $post_meta['view_count'] : 0; ?>
							<span><?php echo esc_html($vcount); esc_html_e(' Views', 'designthemes-blog'); ?></span>
						</div>
					</div>
				</div>
            </div><!-- Entry Meta --><?php

		}// Flat2 Style Ends

		// Alternate First Style Start
		static function dt_blog_post_alternate_first_style($post_ID, $meta){

			$post_meta = get_post_meta($post_ID, '_dt_post_settings', TRUE);
			$post_meta = is_array($post_meta) ? $post_meta : array();

			$format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard';
			$link = get_permalink( $post_ID );
			$link = rawurlencode( $link ); ?>

			<!-- Featured Image -->
			<div class="entry-thumb">
				<div class="blog-image">
					<?php self::dt_blog_post_thumb($post_ID, $meta[12]); ?>
				</div>

            	<div class="date <?php echo esc_attr( $meta[6] );?>"><?php echo get_the_date ('M'); ?><?php echo get_the_date (' d, '); ?><?php echo get_the_date ('Y'); ?></div>

				<!-- Social Meta -->
				<div class="entry-social-meta"><?php
                	if( $meta[11] != 'hidden' ): ?>
                    	<!-- Share -->
                        <div class="share"><?php
                            $title = get_the_title( $post_ID );
                            $title = urlencode($title); ?>
                            <ul class="dt-share-list">
                                <li><a href="http://www.facebook.com/sharer.php?u=<?php echo ($link);?>&amp;t=<?php echo ($title);?>" class="fa fa-facebook" target="_blank"></a></li>
                                <li><a href="http://twitter.com/share?text=<?php echo ($title);?>&amp;url=<?php echo ($link);?>" class="fa fa-twitter" target="_blank"></a></li>
                                <li><a href="http://plus.google.com/share?url=<?php echo ($link);?>" class="fa fa-google-plus" target="_blank"></a></li>
                                <li><a href="http://pinterest.com/pin/create/button/?url=<?php echo ($link);?>&media=<?php echo get_the_post_thumbnail_url($post_ID, 'full');?>" class="fa fa-pinterest" target="_blank"></a></li>
                            </ul>
                        </div><!-- Share --><?php
					endif;?></div><!-- Social Meta -->

				<!-- Entry Format -->
				<div class="entry-format <?php echo esc_attr( $meta[4] );?>">
					<a class="ico-format" href="<?php echo esc_url(get_post_format_link( $format ));?>"></a>
				</div><!-- Entry Format -->

                <div class="author <?php echo esc_attr( $meta[5] );?>"><span><?php echo esc_html__('Posted by: ', 'designthemes-blog'); ?><a href="<?php echo get_author_posts_url(get_the_author_meta('ID'));?>" title="<?php esc_attr_e('View all posts by ', 'designthemes-blog'); echo get_the_author();?>"><?php echo get_the_author();?></a></span></div>
			</div><!-- Featured Image -->

            <!-- Entry Meta Data -->
            <?php $tclass = ( ($meta[8] == "hidden" ) && ($meta[9] == "hidden" ) ) ? "hidden" : ""; ?>
            <div class="entry-meta-data <?php echo esc_attr($tclass);?>">
				<?php $categories = get_the_category();
				if ( ! empty( $categories ) ):?>
					<div class="<?php echo esc_attr( $meta[8] );?> category"><?php the_category(' '); ?></div><?php
				endif;?>

				<?php the_tags("<div class='tags {$meta[9]}'>",' ','</div>'); ?>
            </div><!-- Entry Meta Data -->

			<div class="entry-title">
				<h4><a href="<?php the_permalink();?>" title="<?php printf( esc_attr__('Permalink to %s','designthemes-blog'), the_title_attribute('echo=0'));?>"><?php the_title(); ?></a></h4>
			</div><!-- Entry Meta Data -->

			<!-- Entry Details -->
            <?php $tclass = ( ($meta[0] == false ) && ($meta[2] == false ) ) ? "hidden" : ""; ?>
			<div class="entry-details <?php echo esc_attr($tclass);?>">
				<?php if( isset($meta[0]) && isset($meta[1]) ):?>
				   <div class="entry-body"><?php echo DTBlogAddonSCsDefinition::dt_sc_post_excerpt($meta[1]);?></div>
				<?php endif;?>
                
				<!-- Read More Button -->
				<?php if( isset($meta[2]) && isset($meta[3]) ):
						echo '<a href="'.get_permalink().'" title="'.get_the_title().'" class="dt-sc-button small bordered">'.$meta[3].'</a>';
					endif;?><!-- Read More Button -->
			</div><!-- Entry Details -->

            <!-- Entry Meta -->
            <?php $tclass = ( ( isset($meta[7]) && ($meta[7] == "hidden") ) && ( isset($meta[10]) && ($meta[10] == "hidden") ) ) ? "hidden" : ""; ?>
            <div class="entry-meta <?php echo esc_attr($tclass);?>">
                <div class="comments <?php echo esc_attr( $meta[7] );?>"><?php
                    comments_popup_link('0 '.esc_html__('Comments', 'designthemes-blog'), '1 '.esc_html__('Comment', 'designthemes-blog'), '% '.esc_html__('Comments', 'designthemes-blog'), '', esc_html('Comments off', 'designthemes-blog'));?></div>
                    
				<div class="entry-info <?php echo esc_attr( isset($meta[10]) ? $meta[10] : '' );?>">
					<div class="dt-sc-like-views">
						<div class="likes dt_like_btn">
                            <?php $lcount = !empty( $post_meta['like_count'] ) ? $post_meta['like_count'] : 0; ?>
							<span><?php echo esc_html($lcount); esc_html_e(' Likes', 'designthemes-blog'); ?></span>
						</div>

						<div class="views">
							<?php $vcount = !empty( $post_meta['view_count'] ) ? $post_meta['view_count'] : 0; ?>
							<span><?php echo esc_html($vcount); esc_html_e(' Views', 'designthemes-blog'); ?></span>
						</div>
					</div>
				</div>
            </div><!-- Entry Meta --><?php

		}// Alternate First Style Ends
		
		// Alternate Second Style Start
		static function dt_blog_post_alternate_two_style($post_ID, $meta){

			$post_meta = get_post_meta($post_ID, '_dt_post_settings', TRUE);
			$post_meta = is_array($post_meta) ? $post_meta : array();

			$format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard';
			$link = get_permalink( $post_ID );
			$link = rawurlencode( $link ); ?>

            <!-- Entry Meta Data -->
            <?php $tclass = ( ($meta[8] == "hidden" ) && ($meta[9] == "hidden" ) ) ? "hidden" : ""; ?>
            <div class="entry-meta-data <?php echo esc_attr($tclass);?>">
				<?php $categories = get_the_category();
				if ( ! empty( $categories ) ):?>
					<div class="<?php echo esc_attr( $meta[8] );?> category"><?php the_category(' '); ?></div><?php
				endif;?>

				<?php the_tags("<div class='tags {$meta[9]}'>",' ','</div>'); ?>
            </div><!-- Entry Meta Data -->

			<div class="entry-title">
				<h4><a href="<?php the_permalink();?>" title="<?php printf( esc_attr__('Permalink to %s','designthemes-blog'), the_title_attribute('echo=0'));?>"><?php the_title(); ?></a></h4>
			</div><!-- Entry Meta Data -->

			<!-- Entry Details -->
            <?php $tclass = ( ($meta[0] == false ) && ($meta[2] == false ) ) ? "hidden" : ""; ?>
			<div class="entry-details <?php echo esc_attr($tclass);?>">
				<?php if( isset($meta[0]) && isset($meta[1]) ):?>
				   <div class="entry-body"><?php echo DTBlogAddonSCsDefinition::dt_sc_post_excerpt($meta[1]);?></div>
				<?php endif;?>
                
				<!-- Read More Button -->
				<?php if( isset($meta[2]) && isset($meta[3]) ):
						echo '<a href="'.get_permalink().'" title="'.get_the_title().'" class="dt-sc-button small bordered">'.$meta[3].'</a>';
					endif;?><!-- Read More Button -->
			</div><!-- Entry Details -->

            <!-- Entry Meta -->
            <?php $tclass = ( ( isset($meta[7]) && ($meta[7] == "hidden") ) && ( isset($meta[10]) && ($meta[10] == "hidden") ) ) ? "hidden" : ""; ?>
            <div class="entry-meta <?php echo esc_attr($tclass);?>">
                <div class="comments <?php echo esc_attr( $meta[7] );?>"><?php
                    comments_popup_link('0 '.esc_html__('Comments', 'designthemes-blog'), '1 '.esc_html__('Comment', 'designthemes-blog'), '% '.esc_html__('Comments', 'designthemes-blog'), '', esc_html('Comments off', 'designthemes-blog'));?></div>
                    
				<div class="entry-info <?php echo esc_attr( isset($meta[10]) ? $meta[10] : '' );?>">
					<div class="dt-sc-like-views">
						<div class="likes dt_like_btn">
                            <?php $lcount = !empty( $post_meta['like_count'] ) ? $post_meta['like_count'] : 0; ?>
							<span><?php echo esc_html($lcount); esc_html_e(' Likes', 'designthemes-blog'); ?></span>
						</div>

						<div class="views">
							<?php $vcount = !empty( $post_meta['view_count'] ) ? $post_meta['view_count'] : 0; ?>
							<span><?php echo esc_html($vcount); esc_html_e(' Views', 'designthemes-blog'); ?></span>
						</div>
					</div>
				</div>
            </div><!-- Entry Meta -->
			
			<!-- Featured Image -->
			<div class="entry-thumb">
				<div class="blog-image">
					<?php self::dt_blog_post_thumb($post_ID, $meta[12]); ?>
				</div>

            	<div class="date <?php echo esc_attr( $meta[6] );?>"><?php echo get_the_date ('M'); ?><?php echo get_the_date (' d, '); ?><?php echo get_the_date ('Y'); ?></div>

				<!-- Social Meta -->
				<div class="entry-social-meta"><?php
                	if( $meta[11] != 'hidden' ): ?>
                    	<!-- Share -->
                        <div class="share"><?php
                            $title = get_the_title( $post_ID );
                            $title = urlencode($title); ?>
                            <ul class="dt-share-list">
                                <li><a href="http://www.facebook.com/sharer.php?u=<?php echo ($link);?>&amp;t=<?php echo ($title);?>" class="fa fa-facebook" target="_blank"></a></li>
                                <li><a href="http://twitter.com/share?text=<?php echo ($title);?>&amp;url=<?php echo ($link);?>" class="fa fa-twitter" target="_blank"></a></li>
                                <li><a href="http://plus.google.com/share?url=<?php echo ($link);?>" class="fa fa-google-plus" target="_blank"></a></li>
                                <li><a href="http://pinterest.com/pin/create/button/?url=<?php echo ($link);?>&media=<?php echo get_the_post_thumbnail_url($post_ID, 'full');?>" class="fa fa-pinterest" target="_blank"></a></li>
                            </ul>
                        </div><!-- Share --><?php
					endif;?></div><!-- Social Meta -->

				<!-- Entry Format -->
				<div class="entry-format <?php echo esc_attr( $meta[4] );?>">
					<a class="ico-format" href="<?php echo esc_url(get_post_format_link( $format ));?>"></a>
				</div><!-- Entry Format -->

                <div class="author <?php echo esc_attr( $meta[5] );?>"><span><?php echo esc_html__('Posted by: ', 'designthemes-blog'); ?><a href="<?php echo get_author_posts_url(get_the_author_meta('ID'));?>" title="<?php esc_attr_e('View all posts by ', 'designthemes-blog'); echo get_the_author();?>"><?php echo get_the_author();?></a></span></div>
			</div><!-- Featured Image --><?php

		}// Alternate Second Style Ends

		function dt_blog_ajax_load_more_post() {

			$count = (isset($_REQUEST['count'])) ? $_REQUEST['count'] : get_option( 'posts_per_page' );
			$post_layout = (isset($_REQUEST['alayout'])) ? $_REQUEST['alayout'] : cs_get_option( 'post-archives-post-layout' );
			$pos = (isset($_REQUEST['pos'])) ? $_REQUEST['pos'] : 0;
			$column = (isset($_REQUEST['column'])) ? $_REQUEST['column'] : 1;
			$post_style = (isset($_REQUEST['style'])) ? $_REQUEST['style'] : 'entry-flat';
			$page = (isset($_REQUEST['pageNumber'])) ? $_REQUEST['pageNumber'] : 2;
			$gpageid = (isset($_REQUEST['gpageid'])) ? $_REQUEST['gpageid'] : 0;
			$cats = (isset($_REQUEST['cats'])) ? explode(',', $_REQUEST['cats']) : '';

			$post_layout_arr = array(); $args = '';
			$post_class = array( '1' => 'column dt-sc-one-column blog-fullwidth', '2' => 'column dt-sc-one-half', '3' => 'column dt-sc-one-third' );

			switch($post_layout):
				case 'one-column':	$post_layout_arr[] = 1;  break;
				case 'one-half-column':  $post_layout_arr[] = 2;  break;
				case 'one-third-column':  $post_layout_arr[] = 3;  break;
				default:
					$post_layout_arr = explode('-', $post_layout);
			endswitch;

			if( count($post_layout_arr) != 1 ):
				current($post_layout_arr);
				while (key($post_layout_arr) != $pos) {
					next($post_layout_arr);
				}
				if(key($post_layout_arr) != 0)
					next($post_layout_arr);
			endif;

			if ( empty( $cats ) ):
				$args = array('post_type' => 'post', 'posts_per_page' => $count, 'post_status' => 'publish', 'paged' => $page, 'ignore_sticky_posts' => true );
			else:
				$args = array('post_type' => 'post', 'posts_per_page' => $count, 'category__not_in' => $cats, 'post_status' => 'publish', 'paged' => $page, 'ignore_sticky_posts' => true );
			endif;

			$the_query = new WP_Query($args);
			if($the_query->have_posts()):

				$i = 1; $flag = true;

				$obj = new DTBlogAddonTemplates;
				$meta = $obj->dt_blog_post_meta_fields(true, $gpageid);

				while( $the_query->have_posts() ):
					$the_query->the_post();

					$temp_class = "";
					$post_ID = get_the_ID();

					$post_layout = current($post_layout_arr);
					$meta[12]= $post_layout;

					if($i == 1) $temp_class = $post_class[$post_layout]." first"; else $temp_class = $post_class[$post_layout];
					if($i == $post_layout) $i = 1; else $i = $i + 1;

					$post_meta = get_post_meta($post_ID ,'_dt_post_settings',TRUE);
					$post_meta = is_array($post_meta) ? $post_meta : array();

					$format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard'; ?>

                    <div class="<?php echo esc_attr($temp_class);?>">
                        <article id="post-<?php the_ID();?>" <?php post_class('blog-entry '.$post_style.' '.'format-'.$format);?>><?php
                            if( $post_layout == 1 ):
                                switch( $post_style ):
                                    case 'entry-flat':
                                        $obj->dt_blog_post_flat_style( $post_ID, $meta );
                                    break;
                                    case 'entry-flat type2':
                                        $obj->dt_blog_post_flat2_style( $post_ID, $meta );
                                    break;
                                    case 'entry-flat list':
                                        $obj->dt_blog_post_flat_style( $post_ID, $meta );
                                    break;
                                    case 'entry-alternate':
                                        if( $flag ):
                                            $obj->dt_blog_post_alternate_first_style( $post_ID, $meta );
                                            $flag = false;
                                        else:
                                            $obj->dt_blog_post_alternate_two_style( $post_ID, $meta );
                                            $flag = true;
                                        endif;
                                    break;
                                    case 'entry-overlay':
                                        $obj->dt_blog_post_overlay_style( $post_ID, $meta );
                                    break;
                                    case 'entry-minimal':
                                        $obj->dt_blog_post_minimal_one_column_style( $post_ID, $meta );
                                    break;
                                    case 'entry-minimal list':
                                        $obj->dt_blog_post_minimal_2_3_column_style( $post_ID, $meta );
                                    break;
                                    case 'entry-classic':
                                        $obj->dt_blog_post_classic_style( $post_ID, $meta );
                                    break;
                                    case 'entry-minimal type2':
                                        $obj->dt_blog_post_minimal2_style( $post_ID, $meta );
                                    break;
                                endswitch;
                            else:
                                switch( $post_style ):
                                    case 'entry-flat':
                                        $obj->dt_blog_post_flat_style( $post_ID, $meta );
                                    break;
                                    case 'entry-flat type2':
                                        $obj->dt_blog_post_flat2_style( $post_ID, $meta );
                                    break;
                                    case 'entry-flat list':
                                        $obj->dt_blog_post_flat_style( $post_ID, $meta );
                                    break;
                                    case 'entry-alternate':
                                        if( $flag ):
                                            $obj->dt_blog_post_alternate_first_style( $post_ID, $meta );
                                            $flag = false;
                                        else:
                                            $obj->dt_blog_post_alternate_two_style( $post_ID, $meta );
                                            $flag = true;
                                        endif;
                                    break;
                                    case 'entry-overlay':
                                        $obj->dt_blog_post_overlay_style( $post_ID, $meta );
                                    break;
                                    case 'entry-minimal':
                                        $obj->dt_blog_post_minimal_2_3_column_style( $post_ID, $meta );
                                    break;
                                    case 'entry-minimal list':
                                        $obj->dt_blog_post_minimal_2_3_column_style( $post_ID, $meta );
                                    break;
                                    case 'entry-classic':
                                        $obj->dt_blog_post_classic_style( $post_ID, $meta );
                                    break;
                                    case 'entry-minimal type2':
                                        $obj->dt_blog_post_minimal2_style( $post_ID, $meta );
                                    break;
                                endswitch;
                            endif;

							$x = next($post_layout_arr);
							if( empty($x) && (count($post_layout_arr) == 3) ){
								unset($post_layout_arr);
								$post_layout_arr[] = 2;
							} elseif( empty($x) && (count($post_layout_arr) == 4) ){
								unset($post_layout_arr);
								$post_layout_arr[] = 3;
							} elseif( empty($x) && (count($post_layout_arr) == 5) ){
								reset($post_layout_arr);
								next($post_layout_arr);
							} elseif( empty($x) && (count($post_layout_arr) == 6) ){
								reset($post_layout_arr);
							} elseif( empty($x) && (count($post_layout_arr) == 1) ){
								reset($post_layout_arr);
							}

						echo '</article>';
					echo '</div>';
				endwhile;
				wp_reset_postdata();
				prev($post_layout_arr);
				$key = key($post_layout_arr);
				$key = !empty($key) ? $key : '0';		

				echo '#####$$$$$'.$key.'#####$$$$$'.$column;

			endif;
			die();
		}

		function dt_blog_post_cs_metabox_options( $options ) {

			$flds = array(
			  'single-flat' => esc_html__('Flat', 'designthemes-blog'),
			);
			$flds = array_merge( $options[1]['sections'][2]['fields'][1]['options'], $flds );
			$options[1]['sections'][2]['fields'][1]['options'] = $flds;

			// Adding new styles
			$flds = array(
				'entry-flat' => esc_html__('Flat','designthemes-blog'),
				'entry-alternate' => esc_html__('Alternate','designthemes-blog'),
				'entry-flat list' => esc_html__('Flat List','designthemes-blog')
			);

			$flds = array_merge( $options[0]['sections'][3]['fields'][2]['options'], $flds );
			$options[0]['sections'][3]['fields'][2]['options'] = $flds;

			// Adding new fields
			$flds1 = array(
			  'id'      => 'show-likes-views',
			  'type'    => 'switcher',
			  'title'   => esc_html__('Show Views and Likes', 'designthemes-blog' ),
			  'default' => true,
			  'dependency'   => array( 'blog-post-style', 'any', 'entry-flat,entry-flat type2,entry-alternate,entry-flat list' ),
			);

			$flds2 = array(
			  'id'      => 'show-share-info',
			  'type'    => 'switcher',
			  'title'   => esc_html__('Show Share Info', 'designthemes-blog' ),
			  'default' => true,
			  'dependency'   => array( 'blog-post-style', 'any', 'entry-flat,entry-flat type2,entry-alternate,entry-flat list' ),
			);

			$flds3 = array(
				'id'           => 'blog-pagination-style',
				'type'         => 'select',
				'title'        => esc_html__('Pagination Style', 'designthemes-blog'),
				'options'      => array(
				  ''     			=> esc_html__('Default', 'designthemes-blog'),
				  'loadmore_btn'    => esc_html__('Load More Button', 'designthemes-blog'),
				  'infinite_load'   => esc_html__('Infinite Load', 'designthemes-blog'),
				),
				'class'        => 'chosen',
				'default'      => '',
			    'dependency'   => array( 'blog-post-style', 'any', 'entry-flat,entry-flat type2,entry-alternate,entry-flat list' ),
				'info'         => esc_html__('Choose pagination style in this blog template.', 'designthemes-blog')
			);
			array_push( $options[0]['sections'][3]['fields'], $flds1, $flds2, $flds3 );

			// Adding & Unset read more field
			unset( $options[0]['sections'][3]['fields'][3], $options[0]['sections'][3]['fields'][4] );

			$flds = array(
				'id'      => 'enable-blog-readmore',
				'type'    => 'switcher',
				'title'   => esc_html__('Read More', 'designthemes-blog' ),
				'default' => true
			);
			array_push( $options[0]['sections'][3]['fields'], $flds );

			$flds = array(
				'id'           => 'blog-readmore',
				'type'         => 'textarea',
				'title'        => esc_html__('Read More Shortcode', 'designthemes-blog' ),
				'default'      => '[dt_sc_button title="Read More" style="filled" icon_type="fontawesome" iconalign="icon-right with-icon" iconclass="fa fa-long-arrow-right" class="type1" /]',
				'dependency'   => array( 'enable-blog-readmore|blog-post-style', '==|any', 'true|blog-default-style,entry-date-left,entry-date-left outer-frame-border,entry-date-author-left,blog-modern-style,bordered,classic,entry-overlay-style,overlap,entry-center-align,entry-fashion-style,entry-minimal-bordered,blog-medium-style,blog-medium-style dt-blog-medium-highlight,blog-medium-style dt-blog-medium-highlight dt-sc-skin-highlight' )
			);
			array_push( $options[0]['sections'][3]['fields'], $flds );

			$flds = array(
				'id'           => 'blog-readmore-text',
				'type'         => 'text',
				'title'        => esc_html__('Read More Text', 'designthemes-blog' ),
				'default'      => esc_html__('Read More', 'designthemes-blog' ),
				'dependency'   => array( 'enable-blog-readmore|blog-post-style', '==|any', 'true|entry-flat,entry-flat type2,entry-alternate,entry-flat list' )
			);
			array_push( $options[0]['sections'][3]['fields'], $flds );

			return $options;

		}

		function dt_blog_post_cs_framework_options( $options ) {

			// Adding new styles
			$flds = array(
				'entry-flat' => esc_html__('Flat','designthemes-blog'),
				'entry-alternate' => esc_html__('Alternate','designthemes-blog'),
				'entry-flat list' => esc_html__('Flat List','designthemes-blog')
			); 

			$flds = array_merge( $options[2]['sections'][0]['fields'][11]['options'], $flds );
			$options[2]['sections'][0]['fields'][11]['options'] = $flds;

			return $options;

		}

		function dt_blog_post_cs_taxonomy_options( $options ) {

			$options[]   = array(
			  'id'       => '_post_category_options',
			  'taxonomy' => 'category',
			  'fields'   => array(

				array(
				  'id'      => 'c_color',
				  'type'    => 'color_picker',
				  'title'   => 'Color',
	              'after'  => '<p class="description">'.esc_html__('Pick a color of this term.', 'designthemes-blog').'</p>',
				),

			  ),
			);

			$options[]   = array(
			  'id'       => '_post_tag_options',
			  'taxonomy' => 'post_tag',
			  'fields'   => array(

				array(
				  'id'      => 't_color',
				  'type'    => 'color_picker',
				  'title'   => 'Color',
	              'after'  => '<p class="description">'.esc_html__('Pick a color of this term.', 'designthemes-blog').'</p>',
				),

			  ),
			);

			return $options;

		}

		function dt_blog_custom_taxonomy_columns( $columns ) {
			$newcolumns = array (
				"cb" => "<input type=\"checkbox\" />",
				"dt_color" => '<a href="javascript:void(0)"><span>'.esc_html__('Color', 'designthemes-blog').'</span></a>'
			);

			$columns = array_merge ( $columns, $newcolumns );
			return $columns;
		}

		function dt_blog_custom_taxonomy_columns_content( $content, $column_name, $term_id ) {

			$out = '';

			if ( 'dt_color' == $column_name ) {
				$meta = get_term_meta( $term_id, '_post_category_options', false );
				$content = !empty($meta[0]['c_color']) ? $meta[0]['c_color'] : '';

				if( empty($content) ) {
					$meta = get_term_meta( $term_id, '_post_tag_options', false );
					$content = !empty($meta[0]['t_color']) ? $meta[0]['t_color'] : '';
				}

				$out .= !empty($content) ? "<span style='background-color:{$content}; width:15px; height:15px; float:left; border:1px solid #b4b9be; box-shadow:inset 0px 0px 0px 1px #fff;'></span>" : '';
			}
			$content = $out;

			return $content;
		}

		function dt_blog_single_template($single_template) {
			global $post;

			if ($post->post_type == 'post') {
				$single_template = dirname( __FILE__ ) . '/single-template.php';
			}

			return $single_template;
		}

		function dt_blog_template_include($new_template) {
			global $post;

			if( !is_404() ):

				$post_styles = array( 'entry-flat', 'entry-flat type2', 'entry-alternate', 'entry-flat list' );

				if( is_page_template('tpl-blog.php') ) {

					$tpl_default_settings = get_post_meta($post->ID, '_tpl_default_settings', TRUE);
					$tpl_default_settings = is_array( $tpl_default_settings ) ? $tpl_default_settings  : array();
					$post_style = !empty( $tpl_default_settings['blog-post-style'] ) ? $tpl_default_settings['blog-post-style'] : '';

					if( in_array( $post_style, $post_styles ) )
						$new_template = dirname( __FILE__ ) . '/tpl-blog.php';
				}

				if( is_archive() ) {

					$post_style = cs_get_option('post-style');
					if( in_array( $post_style, $post_styles ) )
						$new_template = dirname( __FILE__ ) . '/archive.php';
				}
				
				if( is_search() ) {

					$post_style = cs_get_option('post-style');
					if( in_array( $post_style, $post_styles ) )
						$new_template = dirname( __FILE__ ) . '/search.php';
				}

			endif;

			return $new_template;
		}
	}
} ?>