<?php
	$post_meta = get_post_meta($post->ID,'_dt_post_settings',TRUE);
	$post_meta = is_array($post_meta) ? $post_meta  : array();

	if(empty($post_meta))
		$post_meta['show-featured-image'] = 'true';

	$format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'single-flat';

	$post_style = isset( $post_meta['single-post-style'] )? $post_meta['single-post-style'] : 'single-flat';
	$post_classes = array('blog-entry', 'post-'.$post_style ); ?>

    <article id="post-<?php the_ID();?>" <?php post_class($post_classes);?>>
		<?php require_once( plugin_dir_path ( __FILE__ ) . 'partials/post-' . $post_style .'.php' ); ?>
	</article>

<?php # Post Author Information Box
	$post_author_box = cs_get_option( 'single-post-authorbox' );
	if( !empty($post_author_box) && !empty(get_the_author_meta('description'))):?>   	
		<div class="dt-sc-clear"></div>
		<section class="author-info">
			<div class="thumb">
				<?php echo get_avatar(get_the_author_meta('ID'), 450 );?>
			</div>
			<div class="desc-wrapper">
				<h3><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php the_author_meta( 'display_name' ); ?></a> - <?php esc_html_e('Author', 'designthemes-blog'); ?></h3>
				<div class="desc"><?php echo do_shortcode( get_the_author_meta('description') ); ?></div>
			</div>	
		</section><?php
	endif;

	# Post Navigation
	$post_navigation = cs_get_option( 'single-post-navigation' );
	if( !empty($post_navigation) ):?>
		<div class="dt-sc-clear"></div>
        <div class="post-nav-container">
            <div class="post-prev-link"><?php previous_post_link('%link','<i class="fa fa-angle-double-left"> </i>'.esc_html__('Prev Entry','designthemes-blog') );?> </div>
            <div class="post-next-link"><?php next_post_link('%link',esc_html__('Next Entry','designthemes-blog').'<i class="fa fa-angle-double-right"> </i>');?></div>
        </div><?php
	endif;

	# Related Article
	$related_article = cs_get_option( 'single-post-related' );
	if(!empty($related_article) && $pcats = wp_get_post_categories( get_the_ID() ) ):

		$args = array(
			'category__in'			=> $pcats,
			'ignore_sticky_posts'	=> true,
			'no_found_rows'			=> true,
			'post__not_in'			=> array( get_the_ID() ),
			'posts_per_page'		=> 1,
			'post_status'			=> 'publish');

		$the_query = new WP_Query( $args );
		if( $the_query->have_posts() ):?>
            <div class="related-article">
                <div class="arrow"></div>
                <div class="content">
                    <span><?php esc_html_e('Related Article', 'designthemes-blog');?></span><?php
					while ( $the_query->have_posts() ):
						$the_query->the_post();?>
                        <a href="<?php the_permalink();?>" title="<?php the_title();?>">
                            <article><?php
								if( has_post_thumbnail() ) : ?>
	                                <div class="entry-thumb"><?php the_post_thumbnail('thumbnail');?></div><?php
								endif;?>
                                <div class="entry-summary">
                                    <h2><?php echo substr(get_the_title(), 0, 40).'...';?></h2>
                                    <span class="entry-date"><?php echo get_the_date('M');?> <?php echo get_the_date('d,');?> <?php echo get_the_date('Y');?></span>
                                </div>
                            </article>
                        </a><?php
					endwhile;?>
                </div>
            </div>
			<div class="related-flag"></div><?php
		endif;
		wp_reset_postdata();
	endif;

	# Related Posts
	$related_post = cs_get_option( 'single-post-related' );
	if( !empty($related_post) && $aCategories = wp_get_post_categories( get_the_ID() ) ): ?>
		<!-- ** Related Posts ** -->
		<div class="dt-sc-hr-invisible-small"></div>
		<div class="dt-sc-clear"></div>
		<section class="related-post">
			<h2><?php esc_html_e('You Might Also Like','designthemes-blog');?></h2><?php
			$sc = "[dt_sc_blog_template_posts taxonomies='".implode(',', $aCategories)."' post_not_in='".get_the_ID()."' count='3' read_btn='".esc_html__('Read More', 'designthemes-blog')."' allow_excerpt='no' show_comment='no' show_tag='no' show_views_likes='no' show_post_format='no' show_author='no' /]";
			if( shortcode_exists( 'dt_sc_blog_template_posts' ) )
				echo do_shortcode($sc);?>
        </section><?php
	endif;

	#Post Comments
	$post_comment = cs_get_option( 'single-post-comments' );
	if( !empty($post_comment) ):?>
		<div class="dt-sc-clear"></div>
        <!-- ** Comment Entries ** -->
		<section class="commententries">
			<?php  comments_template('', true); ?>
		</section><?php
    endif; ?>