<?php
	global $post;

	$show_author_meta = cs_get_option( 'post-author-meta' );
	$show_author_meta = !empty( $show_author_meta ) ? "" : "hidden";

	$show_date_meta = cs_get_option( 'post-date-meta' );
	$show_date_meta = !empty( $show_date_meta ) ? "" : "hidden";	

	$show_comment_meta = cs_get_option( 'post-comment-meta' );
	$show_comment_meta = !empty( $show_comment_meta ) ? "" : "hidden";

	$show_category_meta = cs_get_option( 'post-category-meta' );
	$show_category_meta = !empty( $show_category_meta ) ? "" : "hidden";

	$show_tag_meta = cs_get_option( 'post-tag-meta' );
	$show_tag_meta = !empty( $show_tag_meta ) ? "" : "hidden"; ?>

    <!-- Featured Image -->
    <div class="entry-thumb">
        <?php require_once( plugin_dir_path ( __FILE__ ) . 'entry-thumb.php' ); ?>
        <!-- .entry-meta -->
        <div class="entry-meta bottom-left"><?php
			$cats = wp_get_object_terms(get_the_ID(),'category');
			if( !empty($cats) && $show_category_meta != 'hidden' ):
				$count = count($cats);
				echo '<p class="category">';
					foreach( $cats as $key => $term ) {
						$meta = get_term_meta( $term->term_id, '_post_category_options', false );
						$color = !empty($meta[0]['c_color']) ? 'style="background: '.$meta[0]['c_color'].'"' : '';

						echo '<a href="'.get_term_link( $term->slug ,'category').'" rel="category" '.$color.'>'.esc_html( $term->name ).'</a>';
						$key += 1;

						if( $key !== $count ){
							echo ' ';
						}
					}
				echo '</p>';
			endif; ?>

            <div class="entry-title">
                <h4><a href="<?php the_permalink();?>" title="<?php printf( esc_attr__('Permalink to %s','designthemes-blog'), the_title_attribute('echo=0'));?>"><?php the_title(); ?></a></h4>
            </div>

            <div class="entry-info">
                <div class="author <?php echo esc_attr( $show_author_meta );?>"><?php echo get_avatar( get_the_author_meta( 'ID' ), 50 ); ?> <?php esc_html_e('By', 'designthemes-blog');?> <a href="<?php echo get_author_posts_url(get_the_author_meta('ID'));?>" title="<?php esc_attr_e('View all posts by ', 'designthemes-blog'); echo get_the_author();?>"><?php echo get_the_author();?></a></div>

                <div class="date <?php echo esc_attr($show_date_meta);?>"><span><?php esc_html_e('On', 'designthemes-blog');?></span><?php echo get_the_date('M');?> <?php echo get_the_date('d,');?> <?php echo get_the_date('Y');?></div>

				<div class="comments <?php echo esc_attr($show_comment_meta);?>"><?php
				    comments_popup_link('<i class="zmdi zmdi-comment-list zmdi-hc-fw"> </i> 0 '.esc_html__('comments', 'designthemes-blog'), '<i class="zmdi zmdi-comment-list zmdi-hc-fw"> </i> 1 '.esc_html__('comment', 'designthemes-blog'), '<i class="zmdi zmdi-comment-list zmdi-hc-fw"> </i> % '.esc_html__('comments', 'designthemes-blog'), '', '<i class="zmdi zmdi-comment-list zmdi-hc-fw"> </i>'.esc_html('comments off', 'designthemes-blog'));?></div>
                <?php $post_views = cs_get_option( 'post-views' ); if($post_views): ?>
                <div class="views"><i class="zmdi zmdi-eye zmdi-hc-fw"> </i> <?php echo DTBlogAddonTemplates::dt_blog_get_view_count($post->ID);?> </div>
                <?php endif; ?>
                <?php $post_likes = cs_get_option( 'post-likes' ); if($post_likes): ?>
                <div class="likes dt_like_btn">
                    <i class="zmdi zmdi-favorite-outline zmdi-hc-fw"> </i>
                    <a href="#" data-postid="<?php the_ID(); ?>" data-action="like">
                      <i><?php echo DTBlogAddonTemplates::dt_blog_get_like_count($post->ID); ?></i>
                    </a>
                </div>
                <?php endif; ?>
            </div>
        </div><!-- .entry-meta -->
    </div><!-- Featured Image -->

	<div class="entry-details">
        <div class="entry-body">
			<?php the_content();?>
            <?php wp_link_pages( array( 'before'=>'<div class="page-link">', 'after'=>'</div>', 'link_before'=>'<span>', 'link_after'=>'</span>', 'next_or_number'=>'number',
                            'pagelink' => '%', 'echo' => 1 ) );?>
        </div>

        <!-- Category & Tag -->
        <div class="entry-meta-data">
        	<?php the_tags("<p class='tags {$show_tag_meta}'><span><i class='zmdi zmdi-tag zmdi-hc-fw'> </i></span>",' ',"</p>"); ?>
        </div><!-- Category & Tag -->

        <!-- Share -->
        <div class="share">
            <span><?php esc_html_e('Share:', 'designthemes-blog');?></span><?php
            $title = get_the_title( $post->ID );
            $title = urlencode($title); ?>
            <ul class="dt-share-list">
                <li><a href="http://www.facebook.com/sharer.php?u=<?php echo ($link);?>&amp;t=<?php echo ($title);?>" class="fa fa-facebook" target="_blank"></a></li>
                <li><a href="http://twitter.com/share?text=<?php echo ($title);?>&amp;url=<?php echo ($link);?>" class="fa fa-twitter" target="_blank"></a></li>
                <li><a href="http://plus.google.com/share?url=<?php echo ($link);?>" class="fa fa-google-plus" target="_blank"></a></li>
                <li><a href="http://pinterest.com/pin/create/button/?url=<?php echo ($link);?>&media=<?php echo get_the_post_thumbnail_url($post->ID, 'full');?>" class="fa fa-pinterest" target="_blank"></a></li>
            </ul>
        </div><!-- Share -->

        <?php edit_post_link( esc_html__( ' Edit ','designthemes-blog' ) ); ?>
    </div><!-- .entry-details -->