<?php get_header();
	$global_breadcrumb = cs_get_option( 'show-breadcrumb' );
	$header_class	   = cs_get_option( 'breadcrumb-position' ); ?>
<!-- ** Header Wrapper ** -->
<div id="header-wrapper">

	<!-- **Header** -->
	<header id="header" class="<?php echo esc_attr($header_class); ?>">
		<div class="container"><?php

	        /**
	         * maaya_header hook.
	         * 
	         * @hooked maaya_vc_header_template - 10
	         *
	         */
	        do_action( 'maaya_header' ); ?>
	    </div>
	</header><!-- **Header - End ** -->

	<!-- ** Breadcrumb ** -->
    <?php
        if( !empty( $global_breadcrumb ) ) {

        	$bstyle = maaya_cs_get_option( 'breadcrumb-style', 'default' );
        	$style = maaya_breadcrumb_css();
        	$breadcrumbs[] = '<a href="javascript:void(0);">' . esc_html__('Search', 'designthemes-blog') . '</a>';

            maaya_breadcrumb_output ( 
                '<h1>'.esc_html__("Search Result for",'designthemes-blog').' '.get_search_query().'</h1>',
                $breadcrumbs, 'dt-breadcrumb-for-archive-category '.$bstyle,
                $style
            );
        }
    ?><!-- ** Breadcrumb End ** -->
</div><!-- ** Header Wrapper - End ** -->

<!-- **Main** -->
<div id="main">
    <!-- ** Container ** -->
    <div class="container"><?php
    	$page_layout  = cs_get_option( 'post-archives-page-layout' );
    	$page_layout  = !empty( $page_layout ) ? $page_layout : "content-full-width";

    	$layout = maaya_page_layout( $page_layout );
    	extract( $layout );

    	if ( $show_sidebar ) {
    		if ( $show_left_sidebar ) {?>
    		 	<!-- Secondary Left -->
    			<section id="secondary-left" class="secondary-sidebar <?php echo esc_attr( $sidebar_class );?>"><?php
    				get_sidebar('left');?>
    			</section><!-- Secondary Left End --><?php
    		}
    	}?>

    	<!-- Primary -->
        <section id="primary" class="<?php echo esc_attr( $page_layout );?>">
            <div class="dt-sc-posts-list-wrapper"><?php
                // Getting options...
                $post_layout = cs_get_option( 'post-archives-post-layout' );
                $post_style = cs_get_option( 'post-style' );
        
                $post_layout_arr = array();
                $post_class = array( '1' => 'column dt-sc-one-column blog-fullwidth', '2' => 'column dt-sc-one-half', '3' => 'column dt-sc-one-third' );
        
                switch($post_layout):
        
                    case 'one-column':
                        $post_layout_arr[] = 1;
                    break;
        
                    case 'one-half-column':
                        $post_layout_arr[] = 2;
                    break;
        
                    case 'one-third-column':
                        $post_layout_arr[] = 3;
                    break;
        
                    default:
                        $post_layout_arr = explode('-', $post_layout);
                endswitch;
        
                if( have_posts() ):
        
                    $i = 1;
                    $gs_class = ( count( $post_layout_arr ) > 1 ) ? $post_layout_arr[1] : $post_layout_arr[0];
        
                    echo "<div class='tpl-blog-holder apply-isotope'>";
                    echo "<div class='grid-sizer ".esc_attr( $post_class[$gs_class] )."'></div>";
        
                    $obj = new DTBlogAddonTemplates;
                    $meta = $obj->dt_blog_post_meta_fields(false);
        
                    while( have_posts() ):
                        the_post();

                        $temp_class = "";
                        $post_ID = get_the_ID();

                        $post_layout = current($post_layout_arr);
						$meta[12]= $post_layout;

                        if($i == 1) $temp_class = $post_class[$post_layout]." first"; else $temp_class = $post_class[$post_layout];
                        if($i == $post_layout) $i = 1; else $i = $i + 1;

                        $post_meta = get_post_meta($post_ID ,'_dt_post_settings',TRUE);
                        $post_meta = is_array($post_meta) ? $post_meta : array();

                        $format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard'; ?>

                        <div class="<?php echo esc_attr($temp_class);?>">
                            <article id="post-<?php the_ID();?>" <?php post_class('blog-entry '.$post_style.' '.'format-'.$format);?>><?php
								if( $post_layout == 1 ):
									switch( $post_style ):
										case 'entry-flat':
											$obj->dt_blog_post_flat_style( $post_ID, $meta );
										break;
										case 'entry-flat type2':
											$obj->dt_blog_post_flat2_style( $post_ID, $meta );
										break;
										case 'entry-flat list':
											$obj->dt_blog_post_flat_style( $post_ID, $meta );
										break;
										case 'entry-alternate':
											if( $flag ):
												$obj->dt_blog_post_alternate_first_style( $post_ID, $meta );
												$flag = false;
											else:
												$obj->dt_blog_post_alternate_two_style( $post_ID, $meta );
												$flag = true;
											endif;
										break;
										case 'entry-overlay':
											$obj->dt_blog_post_overlay_style( $post_ID, $meta );
										break;
										case 'entry-minimal':
											$obj->dt_blog_post_minimal_one_column_style( $post_ID, $meta );
										break;
										case 'entry-minimal list':
											$obj->dt_blog_post_minimal_2_3_column_style( $post_ID, $meta );
										break;
										case 'entry-classic':
											$obj->dt_blog_post_classic_style( $post_ID, $meta );
										break;
										case 'entry-minimal type2':
											$obj->dt_blog_post_minimal2_style( $post_ID, $meta );
										break;
									endswitch;
								else:
									switch( $post_style ):
										case 'entry-flat':
											$obj->dt_blog_post_flat_style( $post_ID, $meta );
										break;
										case 'entry-flat type2':
											$obj->dt_blog_post_flat2_style( $post_ID, $meta );
										break;
										case 'entry-flat list':
											$obj->dt_blog_post_flat_style( $post_ID, $meta );
										break;
										case 'entry-alternate':
											if( $flag ):
												$obj->dt_blog_post_alternate_first_style( $post_ID, $meta );
												$flag = false;
											else:
												$obj->dt_blog_post_alternate_two_style( $post_ID, $meta );
												$flag = true;
											endif;
										break;
										case 'entry-overlay':
											$obj->dt_blog_post_overlay_style( $post_ID, $meta );
										break;
										case 'entry-minimal':
											$obj->dt_blog_post_minimal_2_3_column_style( $post_ID, $meta );
										break;
										case 'entry-minimal list':
											$obj->dt_blog_post_minimal_2_3_column_style( $post_ID, $meta );
										break;
										case 'entry-classic':
											$obj->dt_blog_post_classic_style( $post_ID, $meta );
										break;
										case 'entry-minimal type2':
											$obj->dt_blog_post_minimal2_style( $post_ID, $meta );
										break;
									endswitch;
								endif;

                                $x = next($post_layout_arr);
                                if( empty($x) && (count($post_layout_arr) == 3) ){
                                    unset($post_layout_arr);
                                    $post_layout_arr[] = 2;
                                } elseif( empty($x) && (count($post_layout_arr) == 4) ){
                                    unset($post_layout_arr);
                                    $post_layout_arr[] = 3;
                                } elseif( empty($x) && (count($post_layout_arr) == 5) ){
                                    reset($post_layout_arr);
                                    next($post_layout_arr);
                                } elseif( empty($x) && (count($post_layout_arr) == 6) ){
                                    reset($post_layout_arr);
                                } elseif( empty($x) && (count($post_layout_arr) == 1) ){
                                    reset($post_layout_arr);
                                }
            
                            echo '</article>';
                        echo '</div>';
            
                    endwhile;
                    echo '</div>';
        
                else:?>
                    <h2><?php esc_html_e('Nothing Found.', 'designthemes-blog'); ?></h2>
                    <p><?php esc_html_e('Apologies, but no results were found for the requested archive.', 'designthemes-blog'); ?></p><?php
                endif;?>
            </div>

            <!-- **Pagination** -->
            <div class="pagination blog-pagination"><?php
                echo '<div class="older-posts">'.get_next_posts_link( esc_html__('Older Posts ', 'designthemes-blog').'<i class="fa fa-angle-right"></i>' ).'</div>';
                echo '<div class="newer-posts">'.get_previous_posts_link( '<i class="fa fa-angle-left"></i>'.esc_html__(' Newer Posts', 'designthemes-blog') ).'</div>';
            ?></div><!-- **Pagination** -->
        </section><!-- Primary End --><?php

    	if ( $show_sidebar ) {
    		if ( $show_right_sidebar ) {?>
    		 	<!-- Secondary Right -->
    			<section id="secondary-right" class="secondary-sidebar <?php echo esc_attr( $sidebar_class );?>"><?php
    				get_sidebar('right');?>
    			</section><!-- Secondary Right End --><?php
    		}
    	}?>
    </div>
    <!-- ** Container End ** -->
</div><!-- **Main - End ** -->    

<?php get_footer(); ?>