<?php add_action( 'vc_before_init', 'dt_sc_blog_template_posts_vc_map' );
function dt_sc_blog_template_posts_vc_map() {

	$arr = array( esc_html__('Yes','designthemes-blog') => 'yes', esc_html__('No','designthemes-blog') => 'no' );

	vc_map( array(
		"name" => esc_html__( "Blog Template Posts", 'designthemes-blog' ),
		"base" => "dt_sc_blog_template_posts",
		"icon" => "dt_sc_blog_template_posts",
		"category" => DTBLOG_VC_CATEGORY,
		"description" => esc_html__("Show blog template posts by category.",'designthemes-blog'),
		"params" => array(

			// Data Source
			array(
				'type' => 'autocomplete',
				'heading' => __( 'Narrow data source', 'designthemes-blog' ),
				'param_name' => 'taxonomies',
				'settings' => array(
					'multiple' => true,
					'min_length' => 1,
					'groups' => true,
					'unique_values' => true,
					'display_inline' => true,
					'delay' => 500,
					'auto_focus' => true,
				),
				'param_holder_class' => 'vc_not-for-custom',
				'description' => __( 'Enter categories title & pick.', 'designthemes-blog' )
			),

			// Post Count
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Post Counts', 'designthemes-blog' ),
				'param_name' => 'count',
				'description' => esc_html__( 'Enter post count', 'designthemes-blog' ),
				'admin_label' => true
			),

			// Post Order
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Order','designthemes-blog'),
				'param_name' => 'order',
				'value' => array(
					esc_html__('Ascending','designthemes-blog') => 'ASC',
					esc_html__('Descending','designthemes-blog') => 'DESC'
				),
				'admin_label' => true,
				'std' => 'DESC',
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Post Order By
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Order By','designthemes-blog'),
				'param_name' => 'orderby',
				'value' => array(
					esc_html__('ID','designthemes-blog') => 'ID',
					esc_html__('Title','designthemes-blog') => 'title',
					esc_html__('Name','designthemes-blog') => 'name',
					esc_html__('Type','designthemes-blog') => 'type',
					esc_html__('Date','designthemes-blog') => 'date',
					esc_html__('Random','designthemes-blog') => 'rand',
				),
				'admin_label' => true,
				'std' => 'date',
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Post style
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Style','designthemes-blog'),
				'param_name' => 'post_style',
				'value' => array(
					esc_html__('Flat','designthemes-blog') => 'entry-flat',
					esc_html__('Alternate','designthemes-blog') => 'entry-alternate',
					esc_html__('Flat List','designthemes-blog') => 'entry-flat list'
				),
				'admin_label' => true,
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Post column
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Columns','designthemes-blog'),
				'param_name' => 'column',
				'value' => array(
					esc_html__('I Column','designthemes-blog') => 'one-column',
					esc_html__('II Columns','designthemes-blog') => 'one-half-column',
					esc_html__('III Columns','designthemes-blog') => 'one-third-column',
					esc_html__('I-II-II Columns','designthemes-blog') => '1-2-2',
					esc_html__('I-III-III Columns','designthemes-blog') => '1-3-3-3',
					esc_html__('I-II-I-II Columns','designthemes-blog') => '1-2-2-1-2-2',
					esc_html__('I-III-I-III Columns','designthemes-blog') => '1-3-3-3-1'
				),
				'std' => 'one-third-column',
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Allow excerpt
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Allow Excerpt','designthemes-blog'),
				'param_name' => 'allow_excerpt',
				'value' => $arr,
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Excerpt Length
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Excerpt Length', 'designthemes-blog' ),
				'param_name' => 'excerpt_length',
				'value' => 30,
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Show Post Format ?
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Show Post Format ?','designthemes-blog'),
				'param_name' => 'show_post_format',
				'value' => $arr,
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Show Author ?
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Show Author ?','designthemes-blog'),
				'param_name' => 'show_author',
				'value' => $arr,
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Show Date ?
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Show Date ?','designthemes-blog'),
				'param_name' => 'show_date',
				'value' => $arr,
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Show Comment ?
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Show Comment ?','designthemes-blog'),
				'param_name' => 'show_comment',
				'value' => $arr,
				'edit_field_class' => 'vc_col-xs-6'				
			),

			// Show Category ?
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Show Category ?','designthemes-blog'),
				'param_name' => 'show_category',
				'value' => $arr,
				'edit_field_class' => 'vc_col-xs-6'				
			),

			// Show Tag ?
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Show Tag ?','designthemes-blog'),
				'param_name' => 'show_tag',
				'value' => $arr,
				'edit_field_class' => 'vc_col-xs-6'				
			),

			// Show Views & Likes ?
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Show Views & Likes ?','designthemes-blog'),
				'param_name' => 'show_views_likes',
				'value' => $arr,
				'edit_field_class' => 'vc_col-xs-6'				
			),

			// Show Share ?
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Show Share Info ?','designthemes-blog'),
				'param_name' => 'show_share_info',
				'value' => $arr,
				'edit_field_class' => 'vc_col-xs-6'				
			),

			// Pagination Type
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Pagination:','designthemes-blog'),
				'param_name' => 'paginate_type',
				'value' => array(
					esc_html__('No','designthemes-blog') => '',
					esc_html__('Yes','designthemes-blog') => 'default'
					#esc_html__('Load More Button','designthemes-blog') => 'loadmore_btn',
					#esc_html__('Infinite Load','designthemes-blog') => 'infinite_load'
				),
				'description' => esc_html__( 'Select "Yes" to enable pagination', 'designthemes-blog' ),
				'admin_label' => true,
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Button Text
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Read more Text','designthemes-blog'),
				'param_name' => 'read_btn',
				'value' => esc_html__('Read More', 'designthemes-blog'),
				'description' => esc_html__( 'Enter read more text', 'designthemes-blog' ),
				'edit_field_class' => 'vc_col-xs-6'
			)
		)
	) );	
}?>