<?php add_action( 'vc_before_init', 'dt_sc_breaking_news_vc_map' );
function dt_sc_breaking_news_vc_map() {

	$arr = array( esc_html__('Yes','designthemes-blog') => 'yes', esc_html__('No','designthemes-blog') => 'no' );

	vc_map( array(
		"name" => esc_html__( "Breaking News", 'designthemes-blog' ),
		"base" => "dt_sc_breaking_news",
		"icon" => "dt_sc_breaking_news",
		"category" => DTBLOG_VC_CATEGORY,
		"description" => esc_html__("Show breaking posts by category.",'designthemes-blog'),
		"params" => array(

			// Title
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Title', 'designthemes-blog' ),
				'param_name' => 'title',
				'description' => esc_html__( 'Enter title of this section', 'designthemes-blog' )
			),

			// Data Source
			array(
				'type' => 'autocomplete',
				'heading' => __( 'Narrow data source', 'designthemes-blog' ),
				'param_name' => 'taxonomies',
				'settings' => array(
					'multiple' => true,
					'min_length' => 1,
					'groups' => true,
					'unique_values' => true,
					'display_inline' => true,
					'delay' => 500,
					'auto_focus' => true,
				),
				'param_holder_class' => 'vc_not-for-custom',
				'description' => __( 'Enter categories title & pick.', 'designthemes-blog' )
			),

			// Post Count
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Post Counts', 'designthemes-blog' ),
				'param_name' => 'count',
				'description' => esc_html__( 'Enter post count', 'designthemes-blog' ),
				'admin_label' => true,
				'edit_field_class' => 'vc_col-xs-6'				
			),

			// Post Order
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Order','designthemes-blog'),
				'param_name' => 'order',
				'value' => array(
					esc_html__('Ascending','designthemes-blog') => 'ASC',
					esc_html__('Descending','designthemes-blog') => 'DESC'
				),
				'admin_label' => true,
				'std' => 'DESC',
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Post Order By
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Order By','designthemes-blog'),
				'param_name' => 'orderby',
				'value' => array(
					esc_html__('ID','designthemes-blog') => 'ID',
					esc_html__('Title','designthemes-blog') => 'title',
					esc_html__('Name','designthemes-blog') => 'name',
					esc_html__('Type','designthemes-blog') => 'type',
					esc_html__('Date','designthemes-blog') => 'date',
					esc_html__('Random','designthemes-blog') => 'rand',
				),
				'admin_label' => true,
				'std' => 'date',
				'edit_field_class' => 'vc_col-xs-6'
			),			

			// Style
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Style','designthemes-blog'),
				'param_name' => 'style',
				'value' => array(
					esc_html__('Classic','designthemes-blog') => 'classic',
					esc_html__('Modern','designthemes-blog') => 'modern'
				),
				'edit_field_class' => 'vc_col-xs-6'				
			),

			// Auto animate
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Auto Animate','designthemes-blog'),
				'param_name' => 'auto_animate',
				'value' => $arr,
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Auto controls
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Controls','designthemes-blog'),
				'param_name' => 'auto_controls',
				'value' => $arr,
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Class
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Class','designthemes-blog'),
				'param_name' => 'class',
          		'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS', 'designthemes-blog' )
			)
		)
	) );
}?>