<?php add_action( 'vc_before_init', 'dt_sc_post_block_default_filter_vc_map' );
function dt_sc_post_block_default_filter_vc_map() {

	$arr = array( esc_html__('Yes','designthemes-blog') => 'yes', esc_html__('No','designthemes-blog') => 'no' );

	vc_map( array(
		"name" => esc_html__( "Posts Block Default Filter", 'designthemes-blog' ),
		"base" => "dt_sc_post_block_default_filter",
		"icon" => "dt_sc_post_block_default_filter",
		"category" => DTBLOG_VC_CATEGORY,
		"description" => esc_html__("Show posts by category with filter.",'designthemes-blog'),
		"params" => array(

			// Title
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Title', 'designthemes-blog' ),
				'param_name' => 'title',
				'description' => esc_html__( 'Enter the title of block.', 'designthemes-blog' )
			),

			// Data Source
			array(
				'type' => 'autocomplete',
				'heading' => __( 'Narrow data source', 'designthemes-blog' ),
				'param_name' => 'taxonomies',
				'settings' => array(
					'multiple' => true,
					'min_length' => 1,
					'groups' => true,
					'unique_values' => true,
					'display_inline' => true,
					'delay' => 500,
					'auto_focus' => true,
				),
				'param_holder_class' => 'vc_not-for-custom',
				'description' => __( 'Enter categories title & pick.', 'designthemes-blog' )
			),

			// Post Count
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Post Counts', 'designthemes-blog' ),
				'param_name' => 'count',
				'description' => esc_html__( 'Enter post count', 'designthemes-blog' ),
				'admin_label' => true
			),
			
			// Post Order
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Order','designthemes-blog'),
				'param_name' => 'order',
				'value' => array(
					esc_html__('Ascending','designthemes-blog') => 'ASC',
					esc_html__('Descending','designthemes-blog') => 'DESC'
				),
				'admin_label' => true,
				'std' => 'DESC',
				'edit_field_class' => 'vc_col-xs-6'
			),
			
			// Post Order By
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Order By','designthemes-blog'),
				'param_name' => 'orderby',
				'value' => array(
					esc_html__('ID','designthemes-blog') => 'ID',
					esc_html__('Title','designthemes-blog') => 'title',
					esc_html__('Name','designthemes-blog') => 'name',
					esc_html__('Type','designthemes-blog') => 'type',
					esc_html__('Date','designthemes-blog') => 'date',
					esc_html__('Random','designthemes-blog') => 'rand',
				),
				'admin_label' => true,
				'std' => 'date',
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Post style
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Style','designthemes-blog'),
				'param_name' => 'style',
				'value' => array(
					esc_html__('Default','designthemes-blog') => 'default',
					esc_html__('Fullwidth','designthemes-blog') => 'fullwidth'
				),
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Allow excerpt
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Allow Excerpt','designthemes-blog'),
				'param_name' => 'allow_excerpt',
				'value' => $arr,
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Excerpt Length
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Excerpt Length', 'designthemes-blog' ),
				'param_name' => 'excerpt_length',
				'value' => 20,
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Show Post Format ?
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Show Post Format ?','designthemes-blog'),
				'param_name' => 'show_post_format',
				'value' => $arr,
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Show Author ?
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Show Author ?','designthemes-blog'),
				'param_name' => 'show_author',
				'value' => $arr,
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Show Date ?
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Show Date ?','designthemes-blog'),
				'param_name' => 'show_date',
				'value' => $arr,
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Show Comment ?
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Show Comment ?','designthemes-blog'),
				'param_name' => 'show_comment',
				'value' => $arr,
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Show Category ?
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Show Category ?','designthemes-blog'),
				'param_name' => 'show_category',
				'value' => $arr,
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Show Tag ?
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Show Tag ?','designthemes-blog'),
				'param_name' => 'show_tag',
				'value' => $arr,
				'edit_field_class' => 'vc_col-xs-6'
			),
			
			// Show Likes ?
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Show Likes ?','designthemes-blog'),
				'param_name' => 'show_likes',
				'value' => $arr,
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Show Views ?
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Show Views ?','designthemes-blog'),
				'param_name' => 'show_views',
				'value' => $arr,
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Button Style
			array(
				'type' => 'textarea_html',
				'heading' => esc_html__('Read more Button','designthemes-blog'),
				'param_name' => 'content',
				'value' => '[dt_sc_button size="small" style="filled" class="type1" title="Read More" icon_type="fontawesome" target="_blank" /]'
			)
		)
	) );	
}?>