<?php add_action( 'vc_before_init', 'dt_sc_widget_headlines_vc_map' );
function dt_sc_widget_headlines_vc_map() {

	vc_map( array(
		"name" => esc_html__( "Widget Headlines", 'designthemes-blog' ),
		"base" => "dt_sc_widget_headlines",
		"icon" => "dt_sc_widget_headlines",
		"category" => DTBLOG_VC_CATEGORY,
		"description" => esc_html__("Show headlines posts by category.",'designthemes-blog'),
		"params" => array(

			// Title
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Title', 'designthemes-blog' ),
				'param_name' => 'title',
				'description' => esc_html__( 'Enter title of this widget', 'designthemes-blog' )
			),

			// Data Source
			array(
				'type' => 'autocomplete',
				'heading' => __( 'Narrow data source', 'designthemes-blog' ),
				'param_name' => '_post_categories',
				'settings' => array(
					'multiple' => true,
					'min_length' => 1,
					'groups' => true,
					'unique_values' => true,
					'display_inline' => true,
					'delay' => 500,
					'auto_focus' => true,
				),
				'param_holder_class' => 'vc_not-for-custom',
				'description' => __( 'Enter categories title & pick.', 'designthemes-blog' )
			),

			// Show Date
			array(
      			'type' => 'checkbox',
      			'heading' => esc_html__( 'Show Date', 'designthemes-blog' ),
      			'param_name' => '_enabled_date',
      			'description' => esc_html__( 'If checked post date to be disabled.', 'designthemes-blog' ),
      			'value' => array( esc_html__( 'Yes', 'designthemes-blog' ) => '1' ),
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Post Count
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Post Counts', 'designthemes-blog' ),
				'param_name' => '_post_count',
				'description' => esc_html__( 'Enter post count', 'designthemes-blog' ),
				'admin_label' => true,
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Widget Title Style
      		array(
      			'type' => 'dropdown',
      			'heading' => esc_html__( 'Widget Title Style', 'designthemes-blog' ),
      			'param_name' => 'widget_tstyle',
      			'value' => array(
      				esc_html__('Choose any one','designthemes-blog') => '',
      				esc_html__('Double Border','designthemes-blog') => 'type1',
					esc_html__('Tooltip','designthemes-blog') => 'type2',
      				esc_html__('Title Top Border','designthemes-blog') => 'type3',
					esc_html__('Left Border & Pattren','designthemes-blog') => 'type4',
      				esc_html__('Bottom Border','designthemes-blog') => 'type5',
					esc_html__('Tooltip Border','designthemes-blog') => 'type6',
      				esc_html__('Boxed Modern','designthemes-blog') => 'type7',
					esc_html__('Elegant Border','designthemes-blog') => 'type8',
      				esc_html__('Needle','designthemes-blog') => 'type9',
					esc_html__('Ribbon','designthemes-blog') => 'type10',
      				esc_html__('Content Background','designthemes-blog') => 'type11',
					esc_html__('Classic BG','designthemes-blog') => 'type12',
					esc_html__('Tiny Boders','designthemes-blog') => 'type13',
      				esc_html__('BG & Border','designthemes-blog') => 'type14',
					esc_html__('Classic BG Alt','designthemes-blog') => 'type15',
      				esc_html__('Left Border & BG','designthemes-blog') => 'type16',
					esc_html__('Basic','designthemes-blog') => 'type17',
      				esc_html__('BG & Pattern','designthemes-blog') => 'type18'
      			),
      			'description' => esc_html__( 'Select style of widget title', 'designthemes-blog' )
      		)
		)
	) );
}?>