<?php add_action( 'vc_before_init', 'dt_sc_widget_tabbed_posts_vc_map' );
function dt_sc_widget_tabbed_posts_vc_map() {

	vc_map( array(
		"name" => esc_html__( "Widget Tabbed Posts", 'designthemes-blog' ),
		"base" => "dt_sc_widget_tabbed_posts",
		"icon" => "dt_sc_widget_tabbed_posts",
		"category" => DTBLOG_VC_CATEGORY,
		"description" => esc_html__("To list out posts with tabbing.",'designthemes-blog'),
		"params" => array(

			// Title
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Title', 'designthemes-blog' ),
				'param_name' => 'title',
				'description' => esc_html__( 'Enter title of this widget', 'designthemes-blog' )
			),

			// Select Tabs
			array(
      			'type' => 'checkbox',
      			'heading' => esc_html__( 'Select Tabs', 'designthemes-blog' ),
      			'param_name' => 'tabs',
      			'description' => esc_html__( 'If checked, tab can be visible.', 'designthemes-blog' ),
				'value' => array(
					esc_html__('Popular Tab','designthemes-blog') => 'popular',
					esc_html__('Latest Tab','designthemes-blog') => 'latest',
					esc_html__('Comments Tab','designthemes-blog') => 'comments'
				),
				'multiple' => true
			),

			// Popular
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Popular Tab', 'designthemes-blog' ),
				'param_name' => 'popular_tab',
				'description' => esc_html__( 'Select Tab Order', 'designthemes-blog' ),
				'value' => array(
					esc_html__('First','designthemes-blog') => '1',
					esc_html__('Second','designthemes-blog') => '2',
					esc_html__('Third','designthemes-blog') => '3'
				),
      			'std' => '1',
				'edit_field_class' => 'vc_col-xs-3'
			),

			// Latest
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Latest Tab', 'designthemes-blog' ),
				'param_name' => 'latest_tab',
				'description' => esc_html__( 'Select Tab Order', 'designthemes-blog' ),
				'value' => array(
					esc_html__('First','designthemes-blog') => '1',
					esc_html__('Second','designthemes-blog') => '2',
					esc_html__('Third','designthemes-blog') => '3'
				),
      			'std' => '2',
				'edit_field_class' => 'vc_col-xs-3'
			),

			// Comments
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Comments Tab', 'designthemes-blog' ),
				'param_name' => 'comments_tab',
				'description' => esc_html__( 'Select Tab Order', 'designthemes-blog' ),
				'value' => array(
					esc_html__('First','designthemes-blog') => '1',
					esc_html__('Second','designthemes-blog') => '2',
					esc_html__('Third','designthemes-blog') => '3'
				),
      			'std' => '3',
				'edit_field_class' => 'vc_col-xs-3'
			),

			// Popular From
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Popular From', 'designthemes-blog' ),
				'param_name' => 'popular_from',
				'description' => esc_html__( 'Select popular from to show', 'designthemes-blog' ),
				'value' => array(
					esc_html__('Comment Count','designthemes-blog') => 'comment_count',
					esc_html__('Review (WP Review plugin need)','designthemes-blog') => 'review'
				),
      			'std' => 'comment_count',
      			'admin_label' => true,
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Post Count
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Post Counts', 'designthemes-blog' ),
				'param_name' => 'post_count',
				'description' => esc_html__( 'Enter post count', 'designthemes-blog' ),
				'admin_label' => true,
				'edit_field_class' => 'vc_col-xs-6'
			),

			// Show Thumb
			array(
      			'type' => 'checkbox',
      			'heading' => esc_html__( 'Show Thumb', 'designthemes-blog' ),
      			'param_name' => 'show_thumb',
      			'value' => array( esc_html__( 'Yes', 'designthemes-blog' ) => '1' ),
				'edit_field_class' => 'vc_col-xs-3'
			),

			// Show Category
			array(
      			'type' => 'checkbox',
      			'heading' => esc_html__( 'Show Category', 'designthemes-blog' ),
      			'param_name' => 'show_category',
      			'value' => array( esc_html__( 'Yes', 'designthemes-blog' ) => '1' ),
				'edit_field_class' => 'vc_col-xs-3'
			),

			// Show Comment Number
			array(
      			'type' => 'checkbox',
      			'heading' => esc_html__( 'Show Comment', 'designthemes-blog' ),
      			'param_name' => 'show_comment_num',
      			'value' => array( esc_html__( 'Yes', 'designthemes-blog' ) => '1' ),
				'edit_field_class' => 'vc_col-xs-3'
			),

			// Show Excerpt
			array(
      			'type' => 'checkbox',
      			'heading' => esc_html__( 'Show Excerpt', 'designthemes-blog' ),
      			'param_name' => 'show_excerpt',
      			'value' => array( esc_html__( 'Yes', 'designthemes-blog' ) => '1' ),
				'edit_field_class' => 'vc_col-xs-3'
			),

			// Excerpt Length
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Excerpt Length', 'designthemes-blog' ),
				'param_name' => 'excerpt_length',
				'value' => 10,
				'edit_field_class' => 'vc_col-xs-4'
			),
			
			// Comment Count
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Comment Counts', 'designthemes-blog' ),
				'param_name' => 'comment_count',
				'edit_field_class' => 'vc_col-xs-4'
			),

			// Show Avatar
			array(
      			'type' => 'checkbox',
      			'heading' => esc_html__( 'Show Avatar', 'designthemes-blog' ),
      			'param_name' => 'show_avatar',
      			'value' => array( esc_html__( 'Yes', 'designthemes-blog' ) => '1' ),
				'edit_field_class' => 'vc_col-xs-4'
			),
			
			// Widget Title Style
      		array(
      			'type' => 'dropdown',
      			'heading' => esc_html__( 'Widget Title Style', 'designthemes-blog' ),
      			'param_name' => 'widget_tstyle',
      			'value' => array(
      				esc_html__('Choose any one','designthemes-blog') => '',
      				esc_html__('Double Border','designthemes-blog') => 'type1',
					esc_html__('Tooltip','designthemes-blog') => 'type2',
      				esc_html__('Title Top Border','designthemes-blog') => 'type3',
					esc_html__('Left Border & Pattren','designthemes-blog') => 'type4',
      				esc_html__('Bottom Border','designthemes-blog') => 'type5',
					esc_html__('Tooltip Border','designthemes-blog') => 'type6',
      				esc_html__('Boxed Modern','designthemes-blog') => 'type7',
					esc_html__('Elegant Border','designthemes-blog') => 'type8',
      				esc_html__('Needle','designthemes-blog') => 'type9',
					esc_html__('Ribbon','designthemes-blog') => 'type10',
      				esc_html__('Content Background','designthemes-blog') => 'type11',
					esc_html__('Classic BG','designthemes-blog') => 'type12',
					esc_html__('Tiny Boders','designthemes-blog') => 'type13',
      				esc_html__('BG & Border','designthemes-blog') => 'type14',
					esc_html__('Classic BG Alt','designthemes-blog') => 'type15',
      				esc_html__('Left Border & BG','designthemes-blog') => 'type16',
					esc_html__('Basic','designthemes-blog') => 'type17',
      				esc_html__('BG & Pattern','designthemes-blog') => 'type18'
      			),
      			'description' => esc_html__( 'Select style of widget title', 'designthemes-blog' )
      		)
		)
	) );
}?>