<?php
if (! class_exists ( 'DTBlogAddonVcModules' )) {

	class DTBlogAddonVcModules {

		function __construct() {

			add_action( 'after_setup_theme', array ( $this, 'dt_blog_map_shortcodes' ) , 1000 );
			add_action( 'admin_enqueue_scripts', array ( $this, 'dt_blog_vc_admin_scripts') );

			add_filter( 'vc_autocomplete_dt_sc_post_block_default_taxonomies_callback', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_search' ), 10, 1 );
			add_filter( 'vc_autocomplete_dt_sc_post_block_default_taxonomies_render', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_render' ), 10, 1 );

			add_filter( 'vc_autocomplete_dt_sc_post_block_modern_taxonomies_callback', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_search' ), 10, 1 );
			add_filter( 'vc_autocomplete_dt_sc_post_block_modern_taxonomies_render', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_render' ), 10, 1 );

			add_filter( 'vc_autocomplete_dt_sc_post_block_creative_taxonomies_callback', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_search' ), 10, 1 );
			add_filter( 'vc_autocomplete_dt_sc_post_block_creative_taxonomies_render', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_render' ), 10, 1 );

			add_filter( 'vc_autocomplete_dt_sc_post_block_minimal_taxonomies_callback', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_search' ), 10, 1 );
			add_filter( 'vc_autocomplete_dt_sc_post_block_minimal_taxonomies_render', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_render' ), 10, 1 );

			add_filter( 'vc_autocomplete_dt_sc_post_block_classic_taxonomies_callback', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_search' ), 10, 1 );
			add_filter( 'vc_autocomplete_dt_sc_post_block_classic_taxonomies_render', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_render' ), 10, 1 );

			add_filter( 'vc_autocomplete_dt_sc_breaking_news_taxonomies_callback', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_search' ), 10, 1 );
			add_filter( 'vc_autocomplete_dt_sc_breaking_news_taxonomies_render', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_render' ), 10, 1 );

			add_filter( 'vc_autocomplete_dt_sc_widget_headlines__post_categories_callback', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_search' ), 10, 1 );
			add_filter( 'vc_autocomplete_dt_sc_widget_headlines__post_categories_render', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_render' ), 10, 1 );

			add_filter( 'vc_autocomplete_dt_sc_post_block_masonry_taxonomies_callback', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_search' ), 10, 1 );
			add_filter( 'vc_autocomplete_dt_sc_post_block_masonry_taxonomies_render', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_render' ), 10, 1 );

			add_filter( 'vc_autocomplete_dt_sc_blog_template_posts_taxonomies_callback', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_search' ), 10, 1 );
			add_filter( 'vc_autocomplete_dt_sc_blog_template_posts_taxonomies_render', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_render' ), 10, 1 );

			add_filter( 'vc_autocomplete_dt_sc_post_block_default_filter_taxonomies_callback', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_search' ), 10, 1 );
			add_filter( 'vc_autocomplete_dt_sc_post_block_default_filter_taxonomies_render', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_render' ), 10, 1 );

			add_filter( 'vc_autocomplete_dt_sc_breaking_news_type2_taxonomies_callback', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_search' ), 10, 1 );
			add_filter( 'vc_autocomplete_dt_sc_breaking_news_type2_taxonomies_render', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_render' ), 10, 1 );

			add_filter( 'vc_autocomplete_dt_sc_post_default_carousel_taxonomies_callback', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_search' ), 10, 1 );
			add_filter( 'vc_autocomplete_dt_sc_post_default_carousel_taxonomies_render', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_render' ), 10, 1 );

			add_filter( 'vc_autocomplete_dt_sc_post_default_slider_taxonomies_callback', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_search' ), 10, 1 );
			add_filter( 'vc_autocomplete_dt_sc_post_default_slider_taxonomies_render', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_render' ), 10, 1 );

			add_filter( 'vc_autocomplete_dt_sc_post_block_default_loadmore_taxonomies_callback', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_search' ), 10, 1 );
			add_filter( 'vc_autocomplete_dt_sc_post_block_default_loadmore_taxonomies_render', array ( $this, 'dt_sc_post_block_autocomplete_taxonomies_field_render' ), 10, 1 );

		}

		function dt_blog_map_shortcodes() {

			define( 'DTBLOG_VC_CATEGORY', esc_html__('Blog Addon', 'designthemes-blog') );

			$path = plugin_dir_path ( __FILE__ ) . 'modules/';
			$modules = array(
				'dt_sc_post_block_default'		=>		$path . 'post_block_default.php',
				'dt_sc_post_block_modern'		=>		$path . 'post_block_modern.php',
				'dt_sc_post_block_creative'		=>		$path . 'post_block_creative.php',
				'dt_sc_post_block_minimal'		=>		$path . 'post_block_minimal.php',
				'dt_sc_post_block_classic'		=>		$path . 'post_block_classic.php',
				'dt_sc_breaking_news'			=>		$path . 'breaking_news.php',
				'dt_sc_widget_headlines'		=>		$path . 'widget_headlines.php',
				'dt_sc_widget_tabbed_posts'		=>		$path . 'widget_tabbed_posts.php',
				'dt_sc_widget_ads_medium'		=>		$path . 'widget_ads_medium.php',
				'dt_sc_widget_ads_small'		=>		$path . 'widget_ads_small.php',
				'dt_sc_post_block_masonry'		=>		$path . 'post_block_masonry.php',
				'dt_sc_blog_template_posts'		=>		$path . 'blog_template_posts.php',
				#'dt_sc_post_block_default_filter'		=>	$path . 'post_block_default_filter.php',
				#'dt_sc_breaking_news_type2'			=>	$path . 'breaking_news_type2.php',
				#'dt_sc_post_default_carousel'			=>	$path . 'post_default_carousel.php',
				#'dt_sc_post_default_slider'			=>	$path . 'post_default_slider.php',
				#'dt_sc_post_block_default_loadmore'	=>	$path . 'post_block_default_loadmore.php',
			);

			$modules = apply_filters( 'vcex_builder_modules', $modules );
			if( !empty( $modules ) ){
				foreach ( $modules as $key => $val ) {
					require_once( $val );
				}
			}
		}

		function dt_blog_vc_admin_scripts( $hook ) {

			if( $hook == "post.php" || $hook == "post-new.php" ) {
				wp_enqueue_style( 'dt-blog-vc-admin', plugins_url ('designthemes-blog-addon') . '/vc/style.css', array (), false, 'all' );
			}
		}

		function dt_sc_post_block_autocomplete_taxonomies_field_search( $search_string ) {
			$data = array();
			$vc_filter_by = vc_post_param( 'vc_filter_by', '' );
			$vc_taxonomies = get_terms( array(
				'hide_empty' => false,
				'search' => $search_string,
				'taxonomy' => 'category'
			) );
			if ( is_array( $vc_taxonomies ) && ! empty( $vc_taxonomies ) ) {
				foreach ( $vc_taxonomies as $t ) {
					if ( is_object( $t ) ) {
						$data[] = vc_get_term_object( $t );
					}
				}
			}
		
			return $data;
		}

		function dt_sc_post_block_autocomplete_taxonomies_field_render( $term ) {
			$terms = get_terms( array(
				'include' => array( $term['value'] ),
				'hide_empty' => false,
				'taxonomy' => 'category'
			) );
			$data = false;
			if ( is_array( $terms ) && 1 === count( $terms ) ) {
				$term = $terms[0];
				$data = vc_get_term_object( $term );
			}
		
			return $data;
		}
	}
}?>