<?php
class Maaya_About extends WP_Widget {
	#1.constructor
	function __construct() {
		$widget_options = array('classname'=>'widget_about', 'description'=>esc_html__('To show author about.', 'designthemes-blog'));
		parent::__construct(false,MAAYA_THEME_NAME.esc_html__(' About','designthemes-blog'),$widget_options);
	}

	#2.widget input form in back-end
	function form($instance) {
		$instance = wp_parse_args( (array) $instance,array('title'=>'','image_url'=>'','desc'=>'') );
		$title     = strip_tags($instance['title']);
	    $image_url = !empty($instance['image_url']) ? $instance['image_url']: MAAYA_THEME_URI.'/images/dummy-images/post-thumb.jpg';
	    $desc      = !empty($instance['desc']) ? $instance['desc']: '';
		$filter    = isset( $instance['filter'] ) ? $instance['filter'] : 0; ?>

        <!-- Form -->
        <p><label for="<?php echo ($this->get_field_id('title')); ?>"><?php esc_html_e('Title:','designthemes-blog');?> 
		   <input class="widefat" id="<?php echo ($this->get_field_id('title')); ?>" name="<?php echo ($this->get_field_name('title')); ?>" 
            type="text" value="<?php echo esc_attr($title); ?>" /></label></p>
           
        <p><label for="<?php echo ($this->get_field_id('image_url')); ?>"><?php esc_html_e('Image:','designthemes-blog');?></label>
		   <input class="regular-text uploadfield" id="<?php echo ($this->get_field_id('image_url')); ?>" name="<?php echo ($this->get_field_name('image_url')); ?>" type="text" value="<?php echo esc_attr($image_url); ?>" />
           <input type="button" value="Upload" class="upload_image_button button">
           <input type="button" value="Reset" class="upload_image_reset button"></p>

        <p><label for="<?php echo ($this->get_field_id('desc')); ?>"><?php esc_html_e('Content:','designthemes-blog');?>
           <textarea class="widefat" rows="8" cols="20" id="<?php echo ($this->get_field_id('desc')); ?>" name="<?php echo ($this->get_field_name('desc')); ?>"><?php echo esc_attr($desc); ?></textarea></p>

		<p><input id="<?php echo ($this->get_field_id('filter')); ?>" name="<?php echo ($this->get_field_name('filter')); ?>" type="checkbox"<?php checked( $filter ); ?> />&nbsp;<label for="<?php echo ($this->get_field_id('filter')); ?>"><?php esc_html_e('Automatically add paragraphs', 'designthemes-blog'); ?></label></p>
        <!-- Form end-->
<?php
	}
	#3.processes & saves the about widget option
	function update( $new_instance,$old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['image_url'] = $new_instance['image_url'];
		$instance['desc'] = $new_instance['desc'];
		$instance['filter'] = ! empty( $new_instance['filter'] );

		return $instance;
	}

	#4.output in front-end
	function widget($args, $instance) {
		extract($args);

		$title = empty($instance['title']) ? '' : strip_tags($instance['title']);
		$image_url = $instance['image_url'];
		$desc = $instance['desc'];

		echo ($before_widget);
 	    if ( !empty( $title ) ) echo ($before_title.$title.$after_title);
		echo '<div class="dt-sc-about-widget">';
			echo '<div class="entry-about-thumb">';
				echo '<img src="'.esc_attr($image_url).'" alt="about-img" />';
			echo '</div>';
			echo '<div class="entry-about-desc">';
				echo !empty( $instance['filter'] ) ? wpautop( do_shortcode( $desc ) ) : do_shortcode( $desc );
			echo '</div>';
	 	echo '</div>';
		echo ($after_widget);
	}
}?>