<?php
class Maaya_Tabbed_Posts extends WP_Widget {
	#1.constructor
	function __construct() {
		$widget_options = array('classname'=>'widget_tabbed_posts', 'description'=>esc_html__('To list out posts with tabbing', 'designthemes-blog'));
		parent::__construct(false,MAAYA_THEME_NAME.esc_html__(' Tabbed Posts','designthemes-blog'),$widget_options);
	}

	#2.widget input form in back-end
	function form($instance) {
		$instance = wp_parse_args( (array) $instance,array(
			'title' => '',
			'tabs' => array('popular' => 1, 'latest' => 1, 'comments' => 1),
			'tab_order' => array('popular' => 1, 'latest' => 2, 'comments' => 3),
			'popular_from' => 'comment_count',
			'post_count' => '5',
			'show_thumb' => 1,
			'show_category' => 1,
			'show_comment_num' => 1,
			'show_excerpt' => 0,
			'excerpt_length' => '12',
			'comment_count' => '5',
			'show_avatar' => 1
		) );

		extract($instance);?>

        <!-- Form -->
        <p><label for="<?php echo ($this->get_field_id('title')); ?>"><?php esc_html_e('Title:','designthemes-blog');?> 
		   <input class="widefat" id="<?php echo ($this->get_field_id('title')); ?>" name="<?php echo ($this->get_field_name('title')); ?>" 
            type="text" value="<?php echo esc_attr($title); ?>" /></label></p>
        
        <h4><?php esc_html_e('Select Tabs', 'designthemes-blog'); ?></h4>
        <div class="dt_select_tabs">
            <label class="alignleft" style="display: block; width: 50%; margin-bottom: 5px" for="<?php echo ($this->get_field_id("tabs")); ?>_popular">
                <input type="checkbox" class="checkbox" id="<?php echo ($this->get_field_id("tabs")); ?>_popular" name="<?php echo ($this->get_field_name("tabs")); ?>[popular]" value="1" <?php if (isset($tabs['popular'])) { checked( 1, $tabs['popular'], true ); } ?> />
                <?php esc_html_e('Popular Tab', 'designthemes-blog'); ?>
            </label>
            <label class="alignleft" style="display: block; width: 50%; margin-bottom: 5px;" for="<?php echo ($this->get_field_id("tabs")); ?>_latest">
                <input type="checkbox" class="checkbox" id="<?php echo ($this->get_field_id("tabs")); ?>_latest" name="<?php echo ($this->get_field_name("tabs")); ?>[latest]" value="1" <?php if (isset($tabs['latest'])) { checked( 1, $tabs['latest'], true ); } ?> />		
                <?php esc_html_e('Latest Tab', 'designthemes-blog'); ?>
            </label>
            <label class="alignleft" style="display: block; width: 50%;" for="<?php echo ($this->get_field_id("tabs")); ?>_comments">
                <input type="checkbox" class="checkbox" id="<?php echo ($this->get_field_id("tabs")); ?>_comments" name="<?php echo ($this->get_field_name("tabs")); ?>[comments]" value="1" <?php if (isset($tabs['comments'])) { checked( 1, $tabs['comments'], true ); } ?> />
                <?php esc_html_e('Comments Tab', 'designthemes-blog'); ?>
            </label>
        </div>
        <div class="clear"></div>

        <h4><?php esc_html_e('Tab Order', 'designthemes-blog'); ?></h4>
        <div class="dt_tab_order">
            <label class="alignleft" for="<?php echo ($this->get_field_id('tab_order')); ?>_popular" style="width: 50%;">
                <input id="<?php echo ($this->get_field_id('tab_order')); ?>_popular" name="<?php echo ($this->get_field_name('tab_order')); ?>[popular]" type="number" min="1" step="1" value="<?php echo ($tab_order['popular']); ?>" style="width: 48px;" />
                <?php esc_html_e('Popular', 'designthemes-blog'); ?>
            </label>
            <label class="alignleft" for="<?php echo ($this->get_field_id('tab_order')); ?>_latest" style="width: 50%;">
                <input id="<?php echo ($this->get_field_id('tab_order')); ?>_recent" name="<?php echo ($this->get_field_name('tab_order')); ?>[latest]" type="number" min="1" step="1" value="<?php echo ($tab_order['latest']); ?>" style="width: 48px;" />
                <?php esc_html_e('Latest', 'designthemes-blog'); ?>
            </label>
            <label class="alignleft" for="<?php echo ($this->get_field_id('tab_order')); ?>_comments" style="width: 50%;">
                <input id="<?php echo ($this->get_field_id('tab_order')); ?>_comments" name="<?php echo ($this->get_field_name('tab_order')); ?>[comments]" type="number" min="1" step="1" value="<?php echo ($tab_order['comments']); ?>" style="width: 48px;" />
                <?php esc_html_e('Comments', 'designthemes-blog'); ?>
            </label>
		</div>
        <div class="clear"></div>

        <p><label for="<?php echo ($this->get_field_id('popular_from'));?>"><?php esc_html_e('Popular From:','designthemes-blog'); ?>
         	<select class="widefat" id="<?php echo ($this->get_field_id('popular_from')); ?>" name="<?php echo ($this->get_field_name('popular_from')); ?>">
            <?php
            $a = array('comment_count' => esc_html__('Comment Count', 'designthemes-blog'), 'review' => esc_html__('Review (WP Review plugin need)', 'designthemes-blog'));
			foreach($a as $key => $value ):
				$selected = ($popular_from == $key ) ? "selected='selected'" : ""; 
				echo "<option value='$key' $selected> $value</option>";
			endforeach;?>	
            </select>
        </label></p>

        <p><label for="<?php echo ($this->get_field_id('post_count')); ?>"><?php esc_html_e('Number of posts to show:', 'designthemes-blog'); ?><br />
        	<input id="<?php echo ($this->get_field_id('post_count')); ?>" name="<?php echo ($this->get_field_name('post_count')); ?>" type="number" min="1" step="1" value="<?php echo esc_attr($post_count); ?>" /></label></p>

        <p><label for="<?php echo ($this->get_field_id("show_thumb")); ?>">
        	<input type="checkbox" class="checkbox" id="<?php echo ($this->get_field_id("show_thumb")); ?>" name="<?php echo ($this->get_field_name("show_thumb")); ?>" value="1" <?php if (isset($show_thumb)) { checked( 1, $show_thumb, true ); } ?> /><?php esc_html_e( 'Show post thumbnails', 'designthemes-blog'); ?></label></p>

        <p><label for="<?php echo ($this->get_field_id("show_category")); ?>">
        	<input type="checkbox" class="checkbox" id="<?php echo ($this->get_field_id("show_category")); ?>" name="<?php echo ($this->get_field_name("show_category")); ?>" value="1" <?php if (isset($show_category)) { checked( 1, $show_category, true ); } ?> /><?php esc_html_e( 'Show post categories', 'designthemes-blog'); ?></label></p>

        <p><label for="<?php echo ($this->get_field_id("show_comment_num")); ?>">
        	<input type="checkbox" class="checkbox" id="<?php echo ($this->get_field_id("show_comment_num")); ?>" name="<?php echo ($this->get_field_name("show_comment_num")); ?>" value="1" <?php if (isset($show_comment_num)) { checked( 1, $show_comment_num, true ); } ?> /><?php esc_html_e( 'Show number of comments', 'designthemes-blog'); ?></label></p>

        <p><label for="<?php echo ($this->get_field_id("show_excerpt")); ?>">
        	<input type="checkbox" class="checkbox" id="<?php echo ($this->get_field_id("show_excerpt")); ?>" name="<?php echo ($this->get_field_name("show_excerpt")); ?>" value="1" <?php if (isset($show_excerpt)) { checked( 1, $show_excerpt, true ); } ?> /><?php esc_html_e( 'Show post excerpt', 'designthemes-blog'); ?></label></p>

        <p><label for="<?php echo ($this->get_field_id('excerpt_length')); ?>"><?php esc_html_e('Excerpt length (words):', 'designthemes-blog'); ?><br />
        	<input type="number" min="1" step="1" id="<?php echo ($this->get_field_id('excerpt_length')); ?>" name="<?php echo ($this->get_field_name('excerpt_length')); ?>" value="<?php echo esc_attr($excerpt_length); ?>" /></label></p>

        <p><label for="<?php echo ($this->get_field_id('comment_count')); ?>"><?php esc_html_e('Number of comments on Comments Tab:', 'designthemes-blog'); ?><br />
        	<input id="<?php echo ($this->get_field_id('comment_count')); ?>" name="<?php echo ($this->get_field_name('comment_count')); ?>" type="number" min="1" step="1" value="<?php echo esc_attr($comment_count); ?>" /></label></p>

        <p><label for="<?php echo ($this->get_field_id("show_avatar")); ?>">
        	<input type="checkbox" class="checkbox" id="<?php echo ($this->get_field_id("show_avatar")); ?>" name="<?php echo ($this->get_field_name("show_avatar")); ?>" value="1" <?php if (isset($show_avatar)) { checked( 1, $show_avatar, true ); } ?> /><?php esc_html_e( 'Show avatars on Comments Tab', 'designthemes-blog'); ?></label></p>
        <!-- Form end-->
<?php
	}
	#3.processes & saves the twitter widget option
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = $new_instance['title'];
		$instance['tabs'] = $new_instance['tabs'];
		$instance['tab_order'] = $new_instance['tab_order'];
		$instance['popular_from'] = $new_instance['popular_from'];
		$instance['post_count'] = $new_instance['post_count'];
		$instance['show_thumb'] =  $new_instance['show_thumb'];
		$instance['show_category'] =  $new_instance['show_category'];
		$instance['show_comment_num'] = $new_instance['show_comment_num'];
		$instance['show_excerpt'] = $new_instance['show_excerpt'];
		$instance['excerpt_length'] = $new_instance['excerpt_length'];
		$instance['comment_count'] = $new_instance['comment_count'];
		$instance['show_avatar'] = $new_instance['show_avatar'];
		return $instance;
	}

	#4.output in front-end
	function widget($args, $instance) {
		extract($args);
		extract($instance);
		
		$title = empty($instance['title']) ? '' : strip_tags($instance['title']);
		if (empty($tabs)) $tabs = array('popular' => 1, 'latest' => 1);
		
		$available_tabs = array('popular' => __('Popular', 'designthemes-blog'), 'latest' => __('Latest', 'designthemes-blog'), 'comments' => __('Comments', 'designthemes-blog'));

		array_multisort($tab_order, $available_tabs);

		$popular_from = $instance['popular_from'];
		if ($popular_from != 'comment_count' && $popular_from != 'review') {
			$popular_from = 'comment_count';
		}

		$post_count = (empty($instance['post_count']) ? 5 : intval($instance['post_count']));
		if ($post_count > 20 || $post_count < 1) {
			$post_count = 5;
		}

		$show_thumb = !empty($instance['show_thumb']);
		$show_category = !empty($instance['show_category']);
		$show_comment_num = !empty($instance['show_comment_num']);

		$show_excerpt = !empty($instance['show_excerpt']);
		$excerpt_length = intval($instance['excerpt_length']);
		if ($excerpt_length > 50 || $excerpt_length < 1) {
			$excerpt_length = 10;
		}

		$comment_count = (empty($instance['comment_count']) ? 5 : intval($instance['comment_count']));
		if ($comment_count > 20 || $comment_count < 1) {
			$comment_count = 5;
		}
		$show_avatar = !empty($instance['show_avatar']);

		echo ($before_widget);
 	    if ( !empty( $title ) ) echo ($before_title.$title.$after_title);
		echo '<div class="dt-sc-tabbed-post-widget">'; ?>
			<ul class="dt-sc-tabs-horizontal-frame">
				<?php foreach ($available_tabs as $tab => $label) { ?>
					<?php if (!empty($tabs[$tab])): ?>
						<li class="tab_title"><a href="#<?php echo esc_attr($tab); ?>-tab"><?php echo esc_html($label); ?></a></li>	
					<?php endif; ?>
				<?php } ?> 
			</ul> <!--end .tabs-->

			<?php if (!empty($tabs['popular'])): ?>	
            	<ul id="popular-tab" class="dt-sc-tabs-content"><?php
					// Performing tab...
					$warning = esc_html__('No Posts Found','designthemes-blog');

					$args = array( 'ignore_sticky_posts' => 1, 'posts_per_page' => $post_count, 'post_status' => 'publish', 'order' => 'desc' );
					if($popular_from == 'comment_count'):
						$args['orderby'] = 'comment_count';
					else:
						$args['meta_key'] = 'wp_review_user_reviews';
						$args['orderby'] = 'meta_value';
					endif;

					$the_query = new WP_Query( $args );
					if ( $the_query->have_posts() ) :
						while( $the_query->have_posts() ): $the_query->the_post();
							$the_id = get_the_ID();
							$the_title = get_the_title();
							$the_permalink = get_permalink();

							$post_meta = get_post_meta($the_id,'_dt_post_settings',TRUE);
							$post_meta = is_array($post_meta) ? $post_meta  : array();

							$the_format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard';

							$post_class = get_post_class( array('blog-entry', 'format-'.$the_format) , $the_id );
							$post_class = implode(' ',$post_class );

							echo "<li class='".esc_attr( $post_class )."'>";
								if( $show_thumb ):
									echo '<div class="entry-thumb">';
										// If it's video post
										if( $the_format === "video" && $post_meta['post-gallery-items'] != '' ) :
											echo '<div class="dt-video-wrap">';
												if( $post_meta['media-type'] == 'oembed' ) :
													echo wp_oembed_get($post_meta['media-url']);
												elseif( $post_meta['media-type'] == 'self' ) :
													echo wp_video_shortcode( array('src' => $post_meta['media-url']) );
												endif;
											echo '</div>';
										// If it's audio post
										elseif( $the_format === "audio" ) :
											if( has_post_thumbnail() ) :
												echo '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "thumbnail").'</a>';
											endif;

											if( $post_meta['media-url'] != '' ):
												if( $post_meta['media-type'] == 'oembed' ) :
													echo wp_oembed_get($post_meta['media-url']);
												elseif( $post_meta['media-type'] == 'self' ) :
													echo wp_audio_shortcode( array('src' => $post_meta['media-url']) );
												endif;
											endif;
										elseif( has_post_thumbnail() ) :
											echo '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "thumbnail").'</a>';
										endif;
										// Post format
										echo '<div class="entry-format">';
											echo '<a class="ico-format" href="javascript:void(0)"></a>';
										echo '</div>';
									echo '</div>';
								endif;

								echo '<div class="entry-details">';
									echo '<div class="entry-info">';
										$cats = wp_get_object_terms($the_id,'category');
										if( !empty($cats) && ($show_category) ):
											$count = count($cats);
											echo '<div class="category">';
												foreach( $cats as $key => $term ) {
													$meta = get_option( "taxonomy_term_$term->term_id" );
													$color = isset($meta['color']) ? $meta['color'] : 'none';
													echo '<a href="'.get_term_link( $term->slug ,'category').'" rel="category" style="color:'.esc_attr($color).'">'.esc_html( $term->name ).'</a>';
													$key += 1;

													if( $key !== $count ){
														echo ' ';
													}
												}
											echo '</div>';
										endif;
									echo '</div>';

									echo '<div class="entry-title">';
										echo '<h4><a href="'.$the_permalink.'" title="'.$the_title.'">'.$the_title.'</a></h4>';
									echo '</div>';

									if( function_exists( 'wp_review_constants' ) ):
										$p_meta = get_post_meta($the_id,'wp_review_user_reviews',TRUE);
										$r = !empty($p_meta) ? $p_meta : '0';
										$p = (($r) / 5 ) * 100;
										echo '<div class="post-rating-wrapper">';
											echo '<div class="star-rating" title="'.esc_attr__('Rated ', 'designthemes-blog').$r.esc_attr__(' out of 5', 'designthemes-blog').'">';
												echo '<span style="width: '.$p.'%;"><strong class="rating">'.$r.'</strong> '.esc_html__('out of 5', 'designthemes-blog').'</span>';
											echo '</div>';
										echo '</div>';
										$r = (strpos($r, '.') >= 1) ? $r : $r.'.0';
										echo '<div class="rating-value">'.$r.'</div>';
									endif;

									if( $show_comment_num ):
										echo '<div class="comments">';
											comments_popup_link('<i class="pe-icon pe-chat"> </i> 0', '<i class="pe-icon pe-chat"> </i> 1', '<i class="pe-icon pe-chat"> </i> %', '', '<i class="pe-icon pe-chat"> </i>'.esc_html('comments off', 'designthemes-blog'));
										echo '</div>';
									endif;
									
									if( $show_excerpt ):
										echo '<div class="entry-body">';
											echo DTBlogAddonSCsDefinition::dt_sc_post_excerpt($excerpt_length);
										echo '</div>';
									endif;
								echo '</div>';
							echo '</li>';
						endwhile;
						wp_reset_postdata();
					else:
						echo "<li class='dt-sc-warning-box'>{$warning}</li>";
					endif;				
                ?></ul>
            <?php endif; ?>

			<?php if (!empty($tabs['latest'])): ?>	
            	<ul id="latest-tab" class="dt-sc-tabs-content"><?php
					// Performing tab...
					$warning = esc_html__('No Posts Found','designthemes-blog');

					$args = array( 'posts_per_page' => $post_count, 'orderby' => 'date' );
					$the_query = new WP_Query( $args );
					if ( $the_query->have_posts() ) :
						while( $the_query->have_posts() ): $the_query->the_post();
							$the_id = get_the_ID();
							$the_title = get_the_title();
							$the_permalink = get_permalink();

							$post_meta = get_post_meta($the_id,'_dt_post_settings',TRUE);
							$post_meta = is_array($post_meta) ? $post_meta  : array();

							$the_format = !empty( $post_meta['post-format-type'] ) ? $post_meta['post-format-type'] : 'standard';

							$post_class = get_post_class( array('blog-entry', 'format-'.$the_format) , $the_id );
							$post_class = implode(' ',$post_class );

							echo "<li class='".esc_attr( $post_class )."'>";
								if( $show_thumb ):
									echo '<div class="entry-thumb">';
										if( $the_format === "video" && $post_meta['media-url'] != '' ) :
											echo '<div class="dt-video-wrap">';
												if( $post_meta['media-type'] == 'oembed' ) :
													echo wp_oembed_get($post_meta['media-url']);
												elseif( $post_meta['media-type'] == 'self' ) :
													echo wp_video_shortcode( array('src' => $post_meta['media-url']) );
												endif;
											echo '</div>';
										// If it's audio post
										elseif( $the_format === "audio" ) :
											if( has_post_thumbnail() ) :
												echo '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "thumbnail").'</a>';
											endif;

											if( $post_meta['media-url'] != '' ) :
												if( $post_meta['media-type'] == 'oembed' ) :
													echo wp_oembed_get($post_meta['media-url']);
												elseif( $post_meta['media-type'] == 'self' ) :
													echo wp_audio_shortcode( array('src' => $post_meta['media-url']) );
												endif;
											endif;
										elseif( has_post_thumbnail() ) :
											echo '<a href="'.$the_permalink.'" title="'.$the_title.'">'.get_the_post_thumbnail($the_id, "thumbnail").'</a>';
										endif;
										// Post format
										echo '<div class="entry-format">';
											echo '<a class="ico-format" href="javascript:void(0)"></a>';
										echo '</div>';
									echo '</div>';
								endif;

								echo '<div class="entry-details">';
									echo '<div class="entry-info">';
										$cats = wp_get_object_terms($the_id,'category');
										if( !empty($cats) && ($show_category) ):
											$count = count($cats);
											echo '<div class="category">';
												foreach( $cats as $key => $term ) {
													$meta = get_option( "taxonomy_term_$term->term_id" );
													$color = isset($meta['color']) ? $meta['color'] : 'none';
													echo '<a href="'.get_term_link( $term->slug ,'category').'" rel="category" style="color:'.esc_attr($color).'">'.esc_html( $term->name ).'</a>';
													$key += 1;

													if( $key !== $count ){
														echo ' ';
													}
												}
											echo '</div>';
										endif;
									echo '</div>';

									echo '<div class="entry-title">';
										echo '<h4><a href="'.$the_permalink.'" title="'.$the_title.'">'.$the_title.'</a></h4>';
									echo '</div>';

									echo '<div class="entry-meta">'.get_the_date('M').' '.get_the_date('d').', '.get_the_date('Y').'</div>';

									if( $show_comment_num ):
										echo '<div class="comments">';
											comments_popup_link('<i class="pe-icon pe-chat"> </i> 0', '<i class="pe-icon pe-chat"> </i> 1', '<i class="pe-icon pe-chat"> </i> %', '', '<i class="pe-icon pe-chat"> </i>'.esc_html('comments off', 'designthemes-blog'));
										echo '</div>';
									endif;
									
									if( $show_excerpt ):
										echo '<div class="entry-body">';
											echo DTBlogAddonSCsDefinition::dt_sc_post_excerpt($excerpt_length);
										echo '</div>';
									endif;
								echo '</div>';
							echo '</li>';
						endwhile;
						wp_reset_postdata();
					else:
						echo "<li class='dt-sc-warning-box'>{$warning}</li>";
					endif;
                ?></ul>
            <?php endif; ?>

			<?php if (!empty($tabs['comments'])): ?>	
            	<ul id="comments-tab" class="dt-sc-tabs-content"><?php
					$avatar_size = 65;            
					$comment_length = 90;
					$comment_args = array( 'type' => 'comments', 'status' => 'approve');
					
					$comments_query = new WP_Comment_Query();
					$comments = $comments_query->query( array_merge( array( 'number' => $comment_count ), $comment_args ) );
					if ( $comments ) : foreach ( $comments as $comment ) : ?>
                        <li class="entry-comment">
                            <?php if ($show_avatar) : ?>
                                <div class="entry-avatar">
                                    <a href="<?php echo get_comment_link($comment->comment_ID); ?>">
                                        <?php echo get_avatar( $comment->comment_author_email, $avatar_size ); ?>
                                    </a>
                                </div>
                            <?php endif; ?>
                            <div class="entry-comment-meta">
                                <a href="<?php echo get_comment_link($comment->comment_ID); ?>">
                                    <span class="entry-comment-author"><?php echo get_comment_author( $comment->comment_ID ); ?> </span> - <span class="entry-comment-post"><?php echo get_the_title($comment->comment_post_ID); ?></span>
                                </a>
                            </div>
                            <div class="entry-comment-content">
                                <p><?php echo ($this->maaya_truncate(strip_tags(apply_filters( 'get_comment_text', $comment->comment_content )), $comment_length));?></p>
                            </div>
                        </li>
                    <?php endforeach; else : ?>
                    	<li class="no-comments"><?php _e('No comments yet.', 'designthemes-blog'); ?></li><?php
					endif;
                ?></ul>
            <?php endif;
	 	echo '</div>';
		echo ($after_widget);
	}
	
	function maaya_truncate($str, $length = 24) {
		if (mb_strlen($str) > $length) {
			return mb_substr($str, 0, $length).'...';
		} else {
			return $str;
		}
	}
}?>